<?php

/**
 * Prodigy admin tag class
 *
 * @version 1.0.0
 * @package prodigy/admin
 */

defined( 'ABSPATH' ) || exit;

/**
 * Class Taxonomy
 */
class Prodigy_Admin_Tag {

    /**
     * Tag constructor.
     */
    public function __construct() {
        
        $tag_type = Prodigy::get_prodigy_tag_type();

        add_filter( 'manage_edit-'.$tag_type.'_columns', [ $this, 'product_tag_columns' ] );
        add_filter( 'manage_edit-'.$tag_type.'_sortable_columns', [ $this, 'product_tag_sort_columns' ] );
        add_filter( 'manage_'.$tag_type.'_custom_column', [ $this, 'product_tag_column_custom' ], 10, 3 );
    }


    /**
     * Thumbnail column added to tag admin.
     *
     * @param mixed $columns
     *
     * @return array
     */
    public function product_tag_columns( $columns ) {
        
        if ( ! wp_is_mobile() ) {
            $columns['handle'] = 'Sort';
        }

        return $columns;
    }

    /**
     * @param array $columns
     *
     * @return mixed
     */
    public function product_tag_sort_columns( $columns ) {
        
        if ( ! wp_is_mobile() ) {
            $columns['handle'] = 'Sort';
        }

        return $columns;
    }

    /**
     * @param $columns
     * @param $column
     * @param $id
     *
     * @return string
     */
    public function product_tag_column_custom( $columns, $column, $id ) {

        if ( 'handle' === $column ) {
            $columns .= '<i class="fas fa-bars"></i>';
            $columns .= '<input type="hidden" name="term_id" value="' . esc_attr( $id ) . '" />';
        }

        return $columns;
    }

}

//return new Prodigy_Admin_Tag();