<?php

defined( 'ABSPATH' ) || exit;

$list_pages = Prodigy_Admin_Settings_Menu::get_post_pages();
$current_shop_page_id = prodigy_get_page_id('shop');

?>
<div class="wrap">
    <h1 class="wp-heading-inline"><?php esc_html_e( 'Settings', 'prodigy' ) ?></h1>
    <div class="main-container">

        <div class="main-alert main-alert--red" style="display: none">
            <p class="font-12 mb-0">
                <?php esc_html_e( 'The store is disconnected. You need to paste API key for synchronize.',
                    'prodigy' ) ?>
            </p>
            <i class="main-alert__close icon icon-close"></i>
        </div>
        <div class="main-alert main-alert--red" style="display: none">
            <p class="font-12 mb-0"><?php esc_html_e( 'The store is deleted on Prodigy hosted system.', 'prodigy' ) ?>
                <a href="#" class="main-link">
                    <?php esc_html_e( 'See more details on Prodigy hosted system.', 'prodigy' ) ?>
                </a></p>
            <i class="main-alert__close icon icon-close"></i>
        </div>


        <div class="settins-container">
            <nav class="nav-tab-wrapper">
                <?php $tab = isset( $_GET['tab'] ) ? $_GET['tab'] : esc_attr(Prodigy_Admin_Settings_Menu::ACTION_GENERAL) ?>
                <a id="general-tab"
                   href="edit.php?post_type=<?php echo esc_attr(Prodigy::get_prodigy_product_type()) ?>&page=<?php echo
                   esc_attr(Prodigy_Admin_Settings_Menu::SETTINGS_PAGE) ?>&tab=<?php echo
                   esc_attr(Prodigy_Admin_Settings_Menu::ACTION_GENERAL) ?>"
                   class="nav-tab <?php echo $tab == esc_attr(Prodigy_Admin_Settings_Menu::ACTION_GENERAL) ? ' nav-tab-active' : '' ?>">
                    <?php esc_html_e( 'General', 'prodigy' ) ?>
                </a>
                <a id="products-tab"
                   href="edit.php?post_type=<?php echo esc_attr(Prodigy::get_prodigy_product_type()) ?>&page=<?php echo
                   esc_attr(Prodigy_Admin_Settings_Menu::SETTINGS_PAGE) ?>&tab=<?php echo
                   esc_attr(Prodigy_Admin_Settings_Menu::ACTION_PRODUCTS) ?>"
                   class="nav-tab <?php echo $tab == esc_attr(Prodigy_Admin_Settings_Menu::ACTION_PRODUCTS) ? 'nav-tab-active' : '' ?>">
                    <?php esc_html_e( 'Products', 'prodigy' ) ?>
                </a>
            </nav>


            <div id="general" <?php echo $tab == esc_attr(Prodigy_Admin_Settings_Menu::ACTION_GENERAL) ? '' : 'style="display: none"' ?> >
                <h4 class="plugin-settings__subtitle">
                    <?php esc_html_e( 'Setup wizard', 'prodigy' ) ?></h4>
                <p><?php esc_html_e(
                        'If you need to access the setup wizard again, please click on the button below.',
                        'prodigy'
                    ) ?>
                </p>
                
                <?php
                    if ( get_option( 'pg_step_wizard' ) ) {
                        $pg_step_wizard = get_option( 'pg_step_wizard' );
                    } else {
                        $pg_step_wizard = '1';
                    }

                
                ?>
                
                <script>
                    var url_redirect =  '<?php echo admin_url() . 'index.php?page=prodigy-setup&step='.esc_attr($pg_step_wizard); ?>';
                    var refresh_permalink_prodigy =  '<?php echo admin_url() . 'index.php?page=prodigy-setup&refresh_permalinks=1'; ?>';
                </script>
                
                <div class="d-flex mb-8">
                    <span class="button button-primary button-large setup-to-wizard-js">
                        <?php esc_html_e( 'Setup Wizard','prodigy' ) ?>
                    </span>
                </div>
                <div class="d-flex align-items-center">
                    <h4 class="plugin-settings__subtitle">
                        <?php esc_html_e( 'API synchronization status', 'prodigy' ) ?>
                    </h4>
                    <?php if ( $is_connected ): ?>
                        <span class="prodigy-pill ml-16 prodigy-pill--green"><?php esc_html_e('Connected', 'prodigy') ?></span>
                    <?php else: ?>
                        <span class="prodigy-pill ml-16"><?php esc_html_e('Not connected', 'prodigy') ?></span>
                    <?php endif; ?>
                </div>
                <?php if ( $is_connected ): ?>
                    <div>
                        <div class="d-flex mb-8">
                            <span class="button button-primary button-large update-store-js">
                                <?php esc_html_e( 'Update Store','prodigy' ) ?>
                            </span>
                            <span class="font-300" hidden="hidden"><?php esc_html_e('Data successfully updated', 'prodigy') ?></span>
                        </div>
                        <div class="d-flex mb-8">
                            <span class="width-100 mr-20"><?php esc_html_e('Store name', 'prodigy') ?></span>
                            <span class="font-700 name-store-js"><?php echo esc_attr($domain_hosted_system); ?></span>
                        </div>
                        <div class="d-flex mb-8">
                            <span class="width-100 mr-20"><?php esc_html_e('Subdomain', 'prodigy') ?></span>
                            <span class="font-700 subdomen-store-js"><?php echo esc_url(Prodigy_Helper_Hosted_System::get_url_home()); ?></span>
                        </div>
                        <div class="d-flex mb-8">
                            <span class="width-100 mr-20"><?php esc_html_e('Country', 'prodigy') ?></span>
                            <span class="font-700"><?php esc_html_e('United States', 'prodigy') ?></span>
                        </div>
                        <div class="d-flex mb-8">
                            <span class="width-100 mr-20"><?php esc_html_e('Currency', 'prodigy') ?></span>
                            <span class="font-700"><?php esc_html_e('United States dollar ($)', 'prodigy') ?></span>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="d-flex mb-8">
                    <span class="button button-primary button-large refresh-permalink-prodigy-js">
                        <?php esc_html_e( 'Refresh Permalinks','prodigy' ) ?>
                    </span>
                </div>
            </div>

            <div id="products" <?php echo $tab == esc_attr(Prodigy_Admin_Settings_Menu::ACTION_PRODUCTS) ? '' : 'style="display: none"' ?> >
                <h4 class="plugin-settings__subtitle"><?php esc_html_e( 'Shop pages', 'prodigy' ) ?></h4>
                <form action="#" method="post" class="form" id="product-form">
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e('Shop page', 'prodigy') ?></p>
                        </div>
                        <div class="form-right-col">
                            <select class="setting-shop-page-js" name="prodigy_shop_page_id" id="prodigy_shop_page_id">
                                <option value=""><?php esc_html_e( 'Select a page', 'prodigy' ) ?>...</option>
                                <?php foreach ($list_pages as $page_one): ?>
                                <option value="<?php echo esc_attr($page_one->ID); ?>"
                                    <?php if ($current_shop_page_id == $page_one->ID) { echo 'selected'; } ?>>
                                    <?php echo esc_attr($page_one->post_title); ?>
                                </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e('Customize Product page URL', 'prodigy') ?></p>
                        </div>
                        <div class="form-right-col">
                            <input class="prodigy-type-slug-js" type="text" name="prodigy_product_type_slug" id="prodigy_product_type_slug" value="<?php echo Prodigy::get_prodigy_product_type(); ?>" placeholder="<?php echo Prodigy::get_prodigy_product_type(); ?>">
                        </div>
                    </div>
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e('Customize Category page URL', 'prodigy') ?></p>
                        </div>
                        <div class="form-right-col">
                            <input class="prodigy-type-slug-js" type="text" name="prodigy_category_type_slug" id="prodigy_category_type_slug" value="<?php echo Prodigy::get_prodigy_category_type(); ?>" placeholder="<?php echo Prodigy::get_prodigy_category_type(); ?>">
                        </div>
                    </div>
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e('Customize Tag page URL', 'prodigy') ?></p>
                        </div>
                        <div class="form-right-col">
                            <input class="prodigy-type-slug-js" type="text" name="prodigy_tag_type_slug" id="prodigy_tag_type_slug" value="<?php echo Prodigy::get_prodigy_tag_type(); ?>" placeholder="<?php echo Prodigy::get_prodigy_tag_type(); ?>">
                        </div>
                    </div>
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e( 'Add to cart behaviour', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col">
                            <label class="main-label">
                                <input
                                        type="radio"
                                        name="pg_add_cart_behaviour"
                                        class="main-radio"
                                        value="redirect_to_cart"
                                    <?php echo get_option('pg_add_cart_behaviour') == 'redirect_to_cart' ? 'checked' : '' ?>
                                />
                                <?php esc_html_e( 'Redirect to the cart page after successful addition', 'prodigy' ) ?>
                            </label>

                            <label class="main-label">
                                <input
                                        type="radio"
                                        name="pg_add_cart_behaviour"
                                        value="current_page"
                                        class="main-radio"
                                    <?php echo get_option('pg_add_cart_behaviour') == 'current_page' ? 'checked' : '' ?>
                                />
                                <?php esc_html_e( 'Update cart widget and remain on current page', 'prodigy' ) ?>
                            </label>
                        </div>
                    </div>
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e('Cart expiration time', 'prodigy') ?></p>
                        </div>

                        <div class="form-right-col">
                            <select class="plugin-settings__select mb-12 expiration-time-js"
                                    name="pg_cart_expiration_time">
                                <option value="1" <?php echo get_option('pg_cart_expiration_time')==1?'selected':''?>>
                                    <?php esc_html_e('1 hour', 'prodigy') ?>
                                </option>
                                <option value="5" <?php echo get_option('pg_cart_expiration_time')==5?'selected':''?>>
                                    <?php esc_html_e('5 hours', 'prodigy') ?>
                                </option>
                                <option value="24" <?php echo get_option('pg_cart_expiration_time')==24?'selected':''?>>
                                    <?php esc_html_e('24 hours', 'prodigy') ?>
                                </option>
                                <option value="48" <?php echo get_option('pg_cart_expiration_time')==48?'selected':''?>>
                                    <?php esc_html_e('48 hours', 'prodigy') ?>
                                </option>
                                <option value="168" <?php echo get_option('pg_cart_expiration_time')==168?'selected':''?>>
                                    <?php esc_html_e('1 week(168h)', 'prodigy') ?>
                                </option>
                                <option value="672" <?php echo get_option('pg_cart_expiration_time')==672?'selected':''?>>
                                    <?php esc_html_e('4 weeks(672h)', 'prodigy') ?>
                                </option>
                                <option value="custom" <?php echo get_option('pg_cart_expiration_time')=='custom'?'selected':''?>><?php esc_html_e('Custom value', 'prodigy') ?></option>
                            </select>
                            <input
                                    class="plugin-settings__input expiration-custom-js"
                                    type="text"
                                    placeholder="from 1h to 9999h"
                                    style="display: none"
                                    name="pg_custom_expiration_time"
                                    value="<?php echo esc_attr(get_option( 'pg_custom_expiration_time')) ?>"
                            >
                        </div>
                    </div>
                    <h4 class="plugin-settings__subtitle"><?php esc_html_e( 'Measurements', 'prodigy' ) ?></h4>
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e( 'Weight unit', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col mb-26">
                            <label class="main-label">
                                <input
                                        type="radio"
                                        name="pg_weight"
                                        value="lbs"
                                        class="main-radio"
                                    <?php echo get_option( 'pg_weight' ) == 'lbs' ? 'checked' : '' ?>
                                />
                                lbs
                            </label>
                            <label class="main-label">
                                <input
                                        type="radio"
                                        name="pg_weight"
                                        value="kg"
                                        class="main-radio"
                                    <?php echo get_option( 'pg_weight' ) == 'kg' ? 'checked' : '' ?>
                                />
                                kg
                            </label>
                            <label class="main-label">
                                <input
                                        type="radio"
                                        name="pg_weight"
                                        value="g"
                                        class="main-radio"
                                    <?php echo get_option( 'pg_weight' ) == 'g' ? 'checked' : '' ?>
                                />
                                g
                            </label>
                            <label class="main-label">
                                <input
                                        type="radio"
                                        name="pg_weight"
                                        value="oz"
                                        class="main-radio"
                                    <?php echo get_option( 'pg_weight' ) == 'oz' ? 'checked' : '' ?>
                                />
                                oz
                            </label>
                        </div>
                        <div class="form-left-col">
                            <p><?php esc_html_e( 'Dimensions unit', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col">
                            <label class="main-label">
                                <input
                                        type="radio"
                                        name="pg_dimensions"
                                        value="cm"
                                        class="main-radio"
                                    <?php echo get_option( 'pg_dimensions', 'cm' ) == 'cm' ? 'checked' : '' ?>
                                />
                                cm
                            </label>
                            <label class="main-label">
                                <input
                                        type="radio"
                                        name="pg_dimensions"
                                        value="in"
                                        class="main-radio"
                                    <?php echo get_option( 'pg_dimensions' ) == 'in' ? 'checked' : '' ?>
                                />
                                in
                            </label>
                        </div>
                    </div>
                    <h4 class="plugin-settings__subtitle"><?php esc_html_e( 'Inventory', 'prodigy' ) ?></h4>
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e( 'Hide "Out of stock" items', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col mb-8">
                            <label class="main-checkbox">
                                <input
                                        type="checkbox"
                                        id="inventory_hide_products"
                                        name="pg_inventory_hide_products"
                                        class="main-checkbox__input"
                                        value="1"
                                    <?php checked( 1, esc_attr(get_option( 'pg_inventory_hide_products' )), true ); ?>
                                />
                                <span class="main-checkbox__text"><?php esc_html_e(
                                        'Enable items hiding',
                                        'prodigy'
                                    ) ?></span>
                            </label>
                        </div>
                    </div>
                    <h4 class="plugin-settings__subtitle"><?php esc_html_e( 'Reviews', 'prodigy' ) ?></h4>
                    <div class="form-row mb-26">
                        <div class="form-left-col">
                            <p><?php esc_html_e( 'Enable reviews', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col mb-8">
                            <label class="main-checkbox">
                                <input
                                        type="checkbox"
                                        id="product_review"
                                        name="pg_product_review"
                                        class="main-checkbox__input"
                                        value="1"
                                    <?php checked( 1, esc_attr(get_option( 'pg_product_review' )), true ); ?>
                                />
                                <span class="main-checkbox__text"><?php esc_html_e(
                                        'Enable product reviews',
                                        'prodigy'
                                    ) ?></span>
                            </label>
                        </div>
                        <div class="form-left-col">
                            <p><?php esc_html_e( 'Product ratings', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col mb-8">
                            <label class="main-checkbox">
                                <input
                                        type="checkbox"
                                        id="product_rating"
                                        name="pg_product_rating"
                                        class="main-checkbox__input"
                                        value="1"
                                    <?php checked( 1, esc_attr(get_option( 'pg_product_rating' )), true ); ?>
                                />
                                <span class="main-checkbox__text"><?php esc_html_e(
                                        'Enable star rating on reviews',
                                        'prodigy'
                                    ) ?></span>
                            </label>
                        </div>

                        <div class="form-left-col">
                            <p><?php esc_html_e( 'Enable captcha comments', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col mb-8">
                            <label class="main-checkbox">
                                <input
                                        type="checkbox"
                                        name="pg_captcha_launch"
                                        class="main-checkbox__input captcha-launch-js"
                                        value="1"
                                    <?php checked( 1, esc_attr(get_option( 'pg_captcha_launch' )), true ); ?>
                                />
                                <span class="main-checkbox__text"><?php esc_html_e(
                                        'Enable captcha',
                                        'prodigy'
                                    ) ?></span>
                            </label>
                        </div>

                        <div class="form-left-col captcha-block-js">
                            <p><?php esc_html_e( 'Captcha site key', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col mb-8 captcha-block-js">
                            <label class="main-label">
                                <p><?php esc_html_e( 'Please make sure you accurately copy and paste the Captcha site key and secret key into the fields below', 'prodigy' ) ?></p>
                                <input
                                        type="text"
                                        name="pg_captcha_site_key"
                                        class="main-checkbox__input"
                                        value="<?php echo esc_attr(get_option( 'pg_captcha_site_key' )) ?>"
                                        style="width: 280px"
                                />

                            </label>
                        </div>

                        <div class="form-left-col captcha-block-js">
                            <p><?php esc_html_e( 'Captcha secret key', 'prodigy' ) ?></p>
                        </div>
                        <div class="form-right-col mb-8 captcha-block-js">
                            <label class="main-label">
                                <input
                                        type="text"
                                        name="pg_captcha_secret_key"
                                        class="main-checkbox__input"
                                        value="<?php echo esc_attr(get_option( 'pg_captcha_secret_key') ) ?>"
                                        style="width: 280px"
                                />

                            </label>
                        </div>

                    <button type="submit" class="button button-primary">
                        <?php esc_html_e( 'Save Changes', 'prodigy' ) ?>
                    </button>
                </form>
            </div>
        </div>
    </div>


    <div id="saveModal">
        <div class="modal-body">
            <div class="modal-content">
                <div class="plugin-settings__modal-body modal-body">
                    <h4 class="plugin-settings__subtitle font-20">
                        <?php esc_html_e( 'You have an Unsaved Settings', 'prodigy' ) ?>
                    </h4>
                    <p class="mb-0">
                        <?php esc_html_e( 'Are you sure you want to leave this page without saving it?', 'prodigy' ) ?>
                    </p>
                    <p>
                        <?php esc_html_e( 'If you leave this page, all unsaved changes will be lost.', 'prodigy' ) ?>
                    </p>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <div class="plugin-settings__modal-footer modal-footer">
                <input
                        class="button-link mr-20 close-setting-popup"
                        type="button"
                        value="Leave without saving"
                />
                <input class="main-button main-button--grey-dark settings-button-save" type="submit"
                       value="Save and Leave"/>
            </div>
        </div>
    </div>
</div>
