<?php defined( 'ABSPATH' ) || exit; ?>
<div class="wrap nosubsub">
    <h1 class="wp-heading-inline"><?php esc_html_e('Attributes', 'prodigy') ?></h1>
    <form name="search" method="post" class="search-form wp-clearfix">
      <p class="search-box">
        <input
                style="margin-bottom: 10px;"
          type="search"
          name="query_search"
          value="<?php if (isset($_POST['query_search'])) { echo esc_attr($_POST['query_search']); } ?>"
        />
        <input
          class="button"
          type="submit" value="Search attributes"
        />
      </p>
    </form>
    <div id="col-container" class="wp-clearfix">
        <div id="col-left">
            <div class="col-wrap">
                <div class="form-wrap">
                    <h2><?php esc_html_e('Add New Attribute', 'prodigy') ?></h2>
                    <p><?php esc_html_e('Attributes let you define extra product data, such as size or color. You can use these attributes in the shop sidebar using the "Prodigy Product Filters" widgets.', 'prodigy') ?></p>
                    <form action="" method="post" id="add-attribute">
                        <div class="form-field">
                            <label for="attribute_name"><?php esc_html_e('Name', 'prodigy') ?></label>
                            <input name="attribute_name" maxlength="30" type="text" value="">
                            <p class="description"><?php esc_html_e('Name for the attribute (shown on the front-end).', 'prodigy') ?></p>
                        </div>
                        <div class="form-field">
                            <label for="attribute_slug"><?php esc_html_e('Slug', 'prodigy') ?></label>
                            <input name="attribute_slug" maxlength="30" type="text" value="" >
                            <p class="description"><?php esc_html_e('Unique slug/reference for the attribute.', 'prodigy') ?></p>
                        </div>
                        <div class="form-field">
                            <label for="attribute_value"><?php esc_html_e('Attribute Values', 'prodigy') ?></label>
                            <input type="text" name="attribute_value">
                            <p class="description"><?php esc_html_e('Add values for new attribute separated by commas', 'prodigy') ?></p>
                        </div>
                        <div class="form-field">
                            <label for="attribute_orderby"><?php esc_html_e('Default Sort Order', 'prodigy') ?></label>
                            <select name="attribute_orderby">
                                <option value="0"><?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ORDER_NAME) ?></option>
                                <option value="1"><?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ORDER_NAME_NUMERIC) ?></option>
                                <option value="2"><?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ORDER_TERM_ID) ?></option>
                            </select>
                            <p class="description"><?php esc_html_e('Determines the sort order of the terms on the frontend shop product pages.', 'prodigy') ?></p>
                        </div>
                        <p class="submit">
                            <button
                                    type="button"
                                    name="add_new_attribute"
                                    class="button button-primary submit_attribute"
                            >
                                <?php esc_html_e('Add Attribute', 'prodigy') ?>
                            </button>
                        </p>
                    </form>
                </div>
            </div>
        </div>
        <div id="col-right" class="mt-8">
            <div class="col-wrap">
                <div class="attribute-table-container">
                  <table class="widefat attribute-table" style="width:100%">
                    <thead>
                    <tr>
                        <th scope="col"><?php esc_html_e('Name', 'prodigy') ?></th>
                        <th scope="col"><?php esc_html_e('Slug', 'prodigy') ?></th>
                        <th scope="col"><?php esc_html_e('Order by', 'prodigy') ?></th>
                        <th scope="col"><?php esc_html_e('Attribute values', 'prodigy') ?></th>
                        <th scope="col"><?php esc_html_e('Count', 'prodigy') ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php if (!empty($attributes)): ?>
                        <?php foreach ( $attributes as $key => $item ):
                            $count_products = Prodigy_Product_Attributes::get_count_variants_from_attribute($item['attribute']->id);
                            ?>
                            <tr class="alternate">
                                <td>
                                    <strong>
                                        <?php if ( empty($count_products)): ?>
                                        <a href="edit.php?post_type=<?php echo esc_attr(Prodigy::get_prodigy_product_type()) ?>&page=<?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ATTRIBUTES_PAGE) ?>&action=<?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ACTION_UPDATE)?>&id=<?php echo esc_attr($item['attribute']->id)?>">
                                            <?php echo $item['attribute']->name ?>
                                        </a>
                                        <?php else: ?>
                                            <a href="#" class="edit-attributes-js" data-count-prods="<?php echo esc_attr($count_products); ?>"><?php echo esc_attr($item['attribute']->name) ?></a>
                                        <?php endif; ?>
                                    </strong>
                                    <div class="row-actions">
                                        <span class="edit">
                                        <?php if ( empty($count_products)): ?>
                                           <a href="edit.php?post_type=<?php echo esc_attr(Prodigy::get_prodigy_product_type()) ?>&page=<?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ATTRIBUTES_PAGE) ?>&action=<?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ACTION_UPDATE)?>&id=<?php echo esc_attr($item['attribute']->id) ?>">
                                              <?php esc_html_e('Edit', 'prodigy') ?>
                                           </a>
                                        <?php else: ?>
                                            <a href="#" class="edit-attributes-js" data-count-prods="<?php echo esc_attr($count_products); ?>"><?php esc_html_e('Edit', 'product') ?></a>
                                        <?php endif; ?>
                                            |
                                        </span>
                                        
                                        <span class="delete">
                                            <?php if ( empty($count_products)): ?>
                                            <a
                                                class="delete_attribute"
                                                href="#"
                                                data-attr-slug="<?php echo esc_attr($item['attribute']->slug) ?>"
                                            >
                                                <?php esc_html_e('Delete', 'prodigy') ?>
                                            </a>
                                            <?php else: ?>
                                                <a href="#" class="delete-attributes-js" data-count-prods="<?php echo esc_attr($count_products); ?>">
                                                    <?php esc_html_e('Delete', 'prodigy') ?>
                                                </a>
                                            <?php endif; ?>
                                        </span></div>
                                </td>
                                <td><?php echo esc_attr($item['attribute']->slug) ?></td>
                                <td><?php echo esc_attr(Prodigy_Admin_Attributes_Menu::$order_type_mapper[$item['attribute']->order_by]) ?></td>
                                <td class="attribute-terms">
                                    <?php
                                        $values = [];
                                        foreach ( $item['values'] as $key => $value) {
                                            $values[$key] = $value['text'];
                                        }
                                    ?>
                                    <span><?php echo esc_attr(implode(", ", $values)) ;?></span>
                                </td>
                                <td>
                                    <?php echo esc_attr(Prodigy_Product_Attributes::get_count_products_from_attribute($item['attribute']->id)) ?>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    <?php else: ?>
                        <tr class="alternate">
                            <td style="text-align: left" colspan="5"><?php esc_html_e( 'No attributes found.', 'prodigy' ); ?></td>
                        </tr>
                    <?php endif; ?>
                    </tbody>
                </table>
              </div>
            </div>
        </div>

    </div>
</div>
