<?php defined( 'ABSPATH' ) || exit; ?>
<div>
    <h1><?php esc_html_e('Edit attribute', 'prodigy') ?></h1>
    <form action="" method="post" id="edit_attribute">
        <table class="form-table attribute-form-table">
            <tbody>
            <tr>
                <th scope="row" valign="top">
                    <label for="attribute_label"><?php esc_html_e('Name', 'prodigy') ?></label>
                </th>
                <td class="form-field">
                    <input
                            name="attribute_name"
                            id="attribute_name"
                            type="text"
                            value="<?php echo esc_attr($item['attribute']->name) ?>">
                    <p class="description"><?php esc_html_e('Name for the attribute (shown on the front-end).', 'prodigy') ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row" valign="top">
                    <label for="attribute_slug"><?php esc_html_e('Slug', 'prodigy') ?></label>
                </th>
                <td class="form-field">
                    <input
                            name="attribute_slug"
                            id="attribute_slug"
                            type="text"
                            value="<?php echo esc_attr($item['attribute']->slug) ?>"
                    >
                    <p class="description"><?php esc_html_e('Unique slug/reference for the attribute.', 'prodigy') ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row" valign="top">
                    <label for="attribute_orderby"><?php esc_html_e('Attribute values', 'prodigy') ?></label>
                </th>

                <td class="form-field">
                    <input
                            type="text"
                            name="edit_attribute_value"
                            value="<?php echo esc_attr($terms_values); ?>"
                    >
                    <p class="description"><?php esc_html_e('Add values for new attribute separated by commas', 'prodigy') ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row" valign="top">
                    <label for="attribute_orderby"><?php esc_html_e('Default sort order', 'prodigy') ?></label>
                </th>
                <td class="form-field">
                    <select name="attribute_orderby" id="attribute_orderby">
                        <option value="0" <?php echo $item['attribute']->order_by==0?'selected':''?>>
                            <?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ORDER_NAME) ?>
                        </option>
                        <option value="1" <?php echo $item['attribute']->order_by==1?'selected':''?>>
                            <?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ORDER_NAME_NUMERIC) ?>
                        </option>
                        <option value="2" <?php echo $item['attribute']->order_by==2?'selected':''?>>
                            <?php echo esc_attr(Prodigy_Admin_Attributes_Menu::ORDER_TERM_ID) ?>
                        </option>
                    </select>
                    <p class="description">
                        <?php esc_html_e('Determines the sort order of the terms on the frontend shop product pages.', 'prodigy') ?>
                    </p>
                </td>
            </tr>
            </tbody>
        </table>
</div>
        <p class="font-700">
            <?php echo esc_html("Note: Deleting an attribute (or a term) will remove it from all products and variations to which it has been assigned.") . '</br>' . esc_html('Recreating a term will not automatically assign it back to products') ?>
        <p class="submit">
            <button type="submit" name="update_attribute" id="submit" class="button-primary" value="Update">
                <?php esc_html_e('Update', 'prodigy') ?>
            </button>
        </p>
    </form>
</div>
