<?php defined( 'ABSPATH' ) || exit; ?>
<form action="#" method="post">
    <div class="field_wrapper tab-card-body">
        <div>
            <p class="font-12" id="show-add-button">
                <?php esc_html_e('Add attributes if this product comes in multiple versions, like different sizes.', 'prodigy') ?>
            </p>
            <button
                    type="button"
                    class="main-button main-button--small main-button--grey-light show-add-button"
                    id="add_attribute"
            >
                <?php esc_html_e('Add Attribute', 'prodigy') ?>
            </button>
        </div>
        <br>

        <?php if ( !empty( $all_attributes_values ) ) : ?>
            <?php $x = 0; ?>
            <?php if ( !empty($attributes_unserialized) ): ?>
            <?php foreach ( $attributes_unserialized as $attribute_info ): ?>
            <?php if ( !Prodigy_Product_Attributes::is_empty_attribute( $attribute_info['attribute'][key($attribute_info['attribute'])] ) ): ?>
            <?php $attr_id = key($attribute_info['attribute']); ?>
                <?php $attrValues = $attribute_info['values']; ?>
                <input type="hidden" value="<?php echo $attr_id ?>" name="attribute_id[]">
                <div class="attribute-container" data-attr-id="<?php echo esc_attr($x); ?>" id="attribute-container-<?php echo esc_attr($x); ?>">
                    <div class="d-inline-block width-210 mr-12 mb-12">
                        <label class="main-label">
                            <span><?php esc_html_e('Attribute', 'prodigy') ?></span>
                            <a href="#" class="main-link float-right" id="show-popup-attribute">
                                <?php esc_html_e('Add New Attribute', 'prodigy') ?>
                            </a>
                        </label>

                        <select class="d-block select_attribute_names" name="attribute[]">
                            <?php foreach ( $all_attributes as $attribute_item ): ?>
                                    <option value="<?php echo esc_attr($attribute_item->slug) . ',' . esc_attr($attribute_item->id) ?>"
                                        <?php
                                    echo $attribute_item->id == $attr_id ? 'selected' : '' ?>>
                                        <?php echo esc_attr($attribute_item->name); ?>
                                    </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    <input type="hidden" name="enabled_use_option" class="enabled-use-option-js">
                    <div class="d-inline-block">
                        <label class="main-checkbox">

                            <input
                                    type="checkbox"
                                    name="use_option[<?php echo esc_attr($attr_id) ?>]"
                                    class="enable-variant enable-variant-js"
                                    data-attr="<?php echo esc_attr($attr_id) ?>"
                                    <?php echo isset($is_use_option_unserialized[$attr_id]) ? 'checked' : '' ?>
                            />
                            <span class="main-checkbox__text">
                                <?php esc_html_e('Use as option', 'prodigy') ?>
                            </span>
                        </label>
                    </div>
                    <div class="ad-attributes-item">
                        <label class="main-label">
                            <span><?php esc_html_e('Values', 'prodigy') ?></span>
                            <a
                                    href="#"
                                    class="main-link show-popup-values float-right"
                                    data-val="<?php echo esc_attr($attribute_info['attribute'][key($attribute_info['attribute'])]) ?>"
                            >
                                <?php esc_html_e('Add New Value', 'prodigy') ?>
                            </a>
                        </label>
                        <div class="d-flex">
                            <select
                                    class="js-example-basic-multiple"
                                    name="values[<?php echo esc_attr($x); ?>][]"
                                    multiple="multiple"
                            >
                                <?php if ( !empty($attrValues) ) : ?>
                                    <?php $values_list = $all_attributes_values[$attr_id] ?>
                                    <?php foreach ( $values_list['values'] as $key => $value ): ?>
                                        <option value="<?php echo esc_attr($value['id']) ?>" <?php echo in_array($value['id'], $attrValues) ? 'selected' : '' ?>><?php echo esc_attr($value['text']); ?></option>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            </select>
                            <i
                                    class="ad-category__icon-basket icon icon-basket remove-attribute-js"
                                    id="remove_attribute"
                            ></i>
                        </div>
                    </div>
                </div>
                <?php $x++; ?>
                <?php endif; ?>
            <?php endforeach; ?>
            <?php endif; ?>
        <?php endif; ?>

        <div id="create-attribute" class="wp-dialog hidden">
            <div class="modal-body">
                <div class="main-form-field">
                    <label class="main-label"><?php esc_html_e('Attribute Name', 'prodigy') ?></label>
                    <input type="text" class="width-full" name="create_attribute_name" maxlength="30"/>
                </div>
                <div class="main-form-field mb-20">
                    <label class="main-label"><?php esc_html_e('Attribute Values', 'prodigy') ?></label>
                    <input
                            type="text"
                            class="width-full"
                            name="create_attribute_values"
                            placeholder='Enter attributes by "," separating values'
                    />
                </div>
            </div>
            <div class="modal-footer">
                <button
                        type="button"
                        name="add_new_attribute"
                        class="button button-primary save_attribute"
                        value="Add attribute"
                >
                    <?php esc_html_e('Add Attribute', 'prodigy') ?>
                </button>
            </div>
        </div>


        <div id="create-values" class="wp-dialog hidden">
            <div class="modal-body">
                <div class="main-form-field">
                    <label class="main-label"><?php esc_html_e('Attribute Name', 'prodigy') ?></label>
                    <input type="text" class="width-full" name="create_attribute_name_value" disabled/>
                </div>
                <div class="main-form-field mb-20">
                    <label class="main-label"><?php esc_html_e('Attribute Values', 'prodigy') ?></label>
                    <input
                            type="text"
                            class="width-full"
                            name="add_attribute_values"
                            placeholder='Enter attributes by "," separating values'
                    />
                </div>
            </div>
            <div class="modal-footer">
                <button
                        type="button"
                        name="add_new_attribute"
                        class="button button-primary save_values"
                        value="Add Attribute"
                >
                    <?php esc_html_e('Add Values', 'prodigy') ?>
                </button>
            </div>
        </div>

        </div>
</form>
