<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<fieldset class="quick-edit__col inline-edit-col-right">
	<div id="prodigy-fields-bulk" class="inline-edit-col">

		<h4><?php esc_html_e( 'Product data', 'prodigy' ); ?></h4>

		<?php do_action( 'prodigy_product_bulk_edit_start' ); ?>

		<div class="inline-edit-group">
			<label>
				<span class="title"><?php esc_html_e( 'Price', 'prodigy' ); ?></span>
				<span class="input-text-wrap">
					<select class="change_regular_price change_to quick-edit__input" name="change_regular_price">
						<?php
						$options = array(
							''  => __( '— No change —', 'prodigy' ),
							'1' => __( 'Increase existing price by (fixed amount or %):', 'prodigy' ),
							'2' => __( 'Decrease existing price by (fixed amount or %):', 'prodigy' ),
						);
						foreach ( $options as $key => $value ) {
							echo '<option value="' . esc_attr( $key ) . '">' . esc_attr($value) . '</option>';
						}
						?>
					</select>
				</span>
			</label>
			<label class="change-input" style="display: none">
				<input
                       type="text"
                       name="regular_price_value"
                       class="text regular_price quick-edit__input"
                       placeholder="<?php esc_attr_e( 'Enter price $', 'prodigy' ); ?>"
                       value=""
                />
			</label>
		</div>

		<div class="inline-edit-group">
			<label>
				<span class="title"><?php esc_attr_e( 'Sale', 'prodigy' ); ?></span>
				<span class="input-text-wrap">
					<select class="change_sale_price change_to quick-edit__input" name="change_sale_price">
						<?php
						$options = array(
							''  => __( '— No change —', 'prodigy' ),
							'1' => __( 'Increase existing sale price by (fixed amount or %):', 'prodigy' ),
							'2' => __( 'Decrease existing sale price by (fixed amount or %):', 'prodigy' ),
							'3' => __( 'Set to regular price decreased by (fixed amount or %):', 'prodigy' ),
						);
						foreach ( $options as $key => $value ) {
							echo '<option value="' . esc_attr( $key ) . '">' . esc_attr($value) . '</option>';
						}
						?>
					</select>
				</span>
			</label>
			<label class="change-input" style="display: none" >
				<input
                        type="text"
                        name="sale_price_value"
                        class="text sale_price quick-edit__input"
                        placeholder="<?php esc_attr_e( 'Enter sale price $', 'prodigy' ); ?>"
                        value=""
                />
			</label>
		</div>

        <div class="inline-edit-group">
            <label>
                <span class="title"><?php esc_attr_e( 'Stock Status', 'prodigy' ); ?></span>
                <span class="input-text-wrap">
					 <select class="product_stock_status quick-edit__input" name="product_stock_status" >
                         <option value="" selected>
                            <?php echo __( '— No change —', 'prodigy' ) ?>
                        </option>
                        <option value="0">
                            <?php esc_html_e('In stock', 'prodigy') ?>
                        </option>
                        <option value="1">
                            <?php esc_html_e('Out of Stock', 'prodigy') ?>
                        </option>
                    </select>
				</span>
            </label>
        </div>
    </div>
</fieldset>
