<?php defined( 'ABSPATH' ) || exit; ?>
<div class="tab-card-body card-body">
    <div>
        <div class="d-flex mb-8">
            <div class="main-form-field width-160 mr-40">
                <label class="main-label font-12"><?php esc_html_e('Regular Price', 'prodigy') ?></label>
                <?php $regular_price = esc_attr($regular_price); ?>
                <input
                        type="text"
                        placeholder="$0.00"
                        name="regular_price"
                        data-rule-regularPrice="<?php echo empty($check_sale_price) ? 'false' : 'true' ?>"
                        value="<?php echo esc_attr( $regular_price ) ?>"
                />
            </div>
            <div class="main-form-field width-160">
                <label class="main-label font-12">
                    <?php esc_html_e('Sale Price', 'prodigy') ?>
                </label>
                <input
                        type="text"
                        placeholder="$0.00"
                        data-rule-required="<?php echo empty($check_sale_price) ? 'false' : 'true' ?>"
                        name = "sale_price"
                        value="<?php echo esc_attr( $sale_price ) ?>"
                />
            </div>
        </div>
        <label class="main-checkbox">
            <input
                    type="checkbox"
                    class="main-checkbox__text"
                    id="product-sale-price"
                    name = "check_sale_price"
                    <?php echo empty($check_sale_price) ? '' : 'checked' ?>
            />
            <span class="main-checkbox__text"><?php esc_html_e('Sale Price Dates', 'prodigy') ?></span>
        </label>
        <div class="d-flex sale-price-date" <?php echo empty($check_sale_price) ? 'style="display: none"' : '' ?>>
            <div class="main-form-field width-160 mr-40 sale-price-date">
                <label class="main-label font-12"><?php esc_html_e('From', 'prodigy') ?></label>
                <input
                        id="sale_from_date"
                        type="text"
                        placeholder="From... yyyy-mm-dd"
                        autocomplete="off"
                        class="datepicker"
                        name = "from_date"
                        data-rule-fromdate="<?php echo empty($check_sale_price) ? 'false' : 'true' ?>"
                        value="<?php echo esc_attr( $from_date ) ?>"
                />
            </div>
            <div class="main-form-field width-160 sale-price-date">
                <label class="main-label font-12"><?php esc_html_e('To', 'prodigy') ?></label>
                <input
                        id="sale_to_date"
                        type="text"
                        placeholder="To... yyyy-mm-dd"
                        autocomplete="off"
                        class="datepicker"
                        name = "to_date"
                        data-rule-todate="<?php echo empty($check_sale_price) ? 'false' : 'true' ?>"
                        value="<?php echo esc_attr( $to_date ) ?>"
                />
            </div>
        </div>
    </div>
</div>
