<?php defined( 'ABSPATH' ) || exit; ?>
<div>
    <div class="main-form-field">
        <label for="upsell" class="main-label">
            <?php esc_html_e('Up-sells', 'prodigy') ?>
            <div class="tooltip">
                        <i class="tooltip__icon fa fa-info-circle"></i>
                        <span class="tooltip__message">
                            <?php esc_html_e('Up-sells are products displayed on the Product page: more expensive items, upgrades or other add-ons and make a sale more profitable', 'prodigy') ?>
                        </span>
                    </div>
        </label>
        <?php
            $upsell = [];
            $values = '';
            if (!empty($upsell_product_names ) && is_array($upsell_product_names)) {
                foreach ($upsell_product_names as $key => $product) {
                    $upsell[$key] = $product['post_title'];
                }
                $values = implode(",", $upsell);
            }

        ?>
        <input
                name="upsell"
                value="<?php print_r(esc_attr($values)); ?>"
                id="upsell"
                class="max-width-400 mr-8"
        >
    </div>
    <div class="main-form-field">
        <label for="crossells" class="main-label">
            <?php esc_html_e('Cross-sells', 'prodigy') ?>
            <div class="tooltip">
                <i class="tooltip__icon fa fa-info-circle"></i>
                <span class="tooltip__message">
                    <?php esc_html_e('Cross-sells are products displayed after Order completion to make your Customer buy another related products', 'prodigy') ?>
                </span>
            </div>
        </label>
        <?php
            $crossell = [];
            $values = '';
            if (!empty($crossell_product_names) && is_array($crossell_product_names)) {
                foreach ($crossell_product_names as $key => $product) {
                    $crossell[$key] = $product['post_title'];
                }
            }
            $values = implode(",", $crossell);
        ?>
        <input
            name="crossells"
            value="<?php echo esc_attr($values) ?>"
            id="crossells"
            class="max-width-400 mr-8"
        >
    </div>
</div>
