<?php defined( 'ABSPATH' ) || exit; ?>
<div>
    <div class="tab-card-body card-body">
        <label class="main-checkbox">
            <input
                    type="checkbox"
                    class="main-checkbox__input product-requires-shipping-js"
                    id="product_requires_shipping"
                    name="product_requires_shipping"
                    <?php echo empty( $product_requires_shipping ) ? '' : 'checked'?>
            />
            <span class="main-checkbox__text"><?php esc_html_e( 'Product requires shipping', 'prodigy' ) ?></span>
        </label>
        <div class="d-flex flex-wrap">
            <div class="main-form-field mr-30 product_shipping_weight">
                <label class="main-label"><?php esc_html_e( 'Weight', 'prodigy' ) ?></label>
                <div class="d-flex">
                    <select
                            class="width-56 mr-8"
                            name="product_weight_type"
                    >
                        <?php if ( $product_weight_type !== '' ): ?>
                            <option value="0" <?php echo Prodigy_Product::WEIGHT_LBS == Prodigy_Product::$weight_type_mapper[$product_weight_type]?'selected':''?> >
                                <?php esc_html_e( 'lbs', 'prodigy' ) ?>
                            </option>
                            <option value="1" <?php echo Prodigy_Product::WEIGHT_G == Prodigy_Product::$weight_type_mapper[$product_weight_type]?'selected':''
                            ?>>
                                <?php esc_html_e( 'g', 'prodigy' ) ?>
                            </option>
                            <option value="2" <?php echo Prodigy_Product::WEIGHT_OZ == Prodigy_Product::$weight_type_mapper[$product_weight_type]?'selected':''
                            ?>>
                                <?php esc_html_e( 'oz', 'prodigy' ) ?>
                            </option>
                            <option value="3" <?php echo Prodigy_Product::WEIGHT_KG == Prodigy_Product::$weight_type_mapper[$product_weight_type]?'selected':''
                            ?>>
                                <?php esc_html_e( 'kg', 'prodigy' ) ?>
                            </option>

                        <?php else: ?>
                            <option value="0" <?php echo Prodigy_Product::WEIGHT_LBS === get_option( 'pg_weight' ) ? 'selected' : ''?> >
                                <?php esc_html_e( 'lbs', 'prodigy' ) ?>
                            <option value="1" <?php echo Prodigy_Product::WEIGHT_G === get_option( 'pg_weight' ) ? 'selected' : '' ?> >
                                <?php esc_html_e( 'g', 'prodigy' ) ?>
                            </option>
                            <option value="2" <?php echo Prodigy_Product::WEIGHT_OZ === get_option( 'pg_weight' ) ? 'selected' : ''?> >
                                <?php esc_html_e( 'oz', 'prodigy' ) ?>
                            </option>

                            <option value="3" <?php echo Prodigy_Product::WEIGHT_KG === get_option( 'pg_weight' ) ? 'selected' : ''?> >
                                <?php esc_html_e( 'kg', 'prodigy' ) ?>
                            </option>
                            
                        <?php endif; ?>
                    </select>
                    <input
                            type="text"
                            placeholder="0"
                            class="width-100"
                            name="product_weight_value"
                            data-rule-productweight="<?php echo empty($product_requires_shipping) ? 'false' : 'true' ?>"
                            value="<?php echo esc_attr($product_weight_value) ?>"
                    />
                </div>
            </div>
            <div class="main-form-field product_shipping_dimensions">
                <label class="main-label"><?php esc_html_e( 'Dimensions', 'prodigy' ) ?></label>
                <div class="d-flex">
                    <select
                            class="width-56 mr-8"
                            name="shipping_dimensions"
                    >
                        <?php if ( $product_weight_type !== '' ): ?>
                            <option value="1" <?php echo Prodigy_Product::DIMENSION_IN == Prodigy_Product::$dimension_type_mapper[$shipping_dimensions]?'selected':'' ?>>
                                <?php esc_html_e( 'in', 'prodigy' ) ?>
                            </option>
                            <option value="0" <?php echo Prodigy_Product::DIMENSION_CM == Prodigy_Product::$dimension_type_mapper[$shipping_dimensions]?'selected':'' ?>>
                                <?php esc_html_e( 'cm', 'prodigy' ) ?>
                            </option>
                        <?php else: ?>
                            <option value="1" <?php echo Prodigy_Product::DIMENSION_IN == get_option( 'pg_dimensions' )?'selected':'' ?>>
                                <?php esc_html_e( 'in', 'prodigy' ) ?>
                            </option>
                            <option value="0" <?php echo Prodigy_Product::DIMENSION_CM == get_option( 'pg_dimensions' )?'selected':'' ?>>
                                <?php esc_html_e( 'cm', 'prodigy' ) ?>
                            </option>
                        <?php endif; ?>
                    </select>
                    <input
                            type="text"
                            placeholder="Length"
                            name="shipping_dimension_length"
                            class="width-62 mr-8"
                            data-rule-dimensionlength="<?php echo empty($product_requires_shipping) ? 'false' : 'true' ?>"
                            value="<?php echo esc_attr($shipping_dimension_length) ?>"
                    />
                    <input
                            type="text"
                            placeholder="Width"
                            class="width-62 mr-8"
                            name="shipping_dimension_width"
                            data-rule-dimensionwidth="<?php echo empty($product_requires_shipping) ? 'false' : 'true' ?>"
                            value="<?php echo $shipping_dimension_width ?>"
                    />
                    <input
                            type="text"
                            placeholder="Height"
                            class="width-62"
                            name="shipping_dimension_height"
                            data-rule-dimensionheight="<?php echo empty($product_requires_shipping) ? 'false' : 'true' ?>"
                            value="<?php echo esc_attr($shipping_dimension_height) ?>"
                    />
                </div>
            </div>
        </div>
        <label class="main-checkbox taxable">
            <input
                    type="checkbox"
                    class="main-checkbox__input"
                    id="taxable"
                    name="taxable"
                    <?php echo empty( $taxable ) ? '' : 'checked' ?>
            />
            <span class="main-checkbox__text"><?php esc_html_e( 'Taxable', 'prodigy' ) ?></span>
        </label>
        <div class="main-form-field product_tax_category">
            <label class="main-label">
                <?php esc_html_e('Special Tax Category', 'prodigy') ?>
                <div class="tooltip">
                    <i class="tooltip__icon fa fa-info-circle"></i>
                    <span class="tooltip__message">
                        <?php esc_html_e('Choose a tax class for your product. Tax classes are used to calculate tax rates on Checkout.', 'prodigy') ?>
                    </span>
                </div>
            </label>
            <select class="width-180" name="tax_category_id">
                <?php foreach ( $tax_categories_list['categories'] as $category ) : ?>
                    <option
                            value="<?php echo esc_attr($category['product_tax_code']) ?>"
                            <?php echo ( $tax_category_id == $category['product_tax_code'] ) ? 'selected' : ''  ?>
                    >
                        <?php echo esc_attr($category['name']) ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>
    </div>
</div>
