<?php defined( 'ABSPATH' ) || exit; ?>
<input type="hidden" value="<?php echo esc_attr($post->ID) ?>" name="current_post" class="current_post">

<div id="accordion">
    <?php foreach ($variants as $key => $variant): ?>
    <?php $image_id = get_post_meta( $variant['ID'], 'category-image-id', true ); ?>
    <div class="ad-variants-item accordion-toggle variants-container-js">
        <p class="mb-0"><?php echo esc_attr($variant['post_title']) ?></p>
        <div>
            <i class="ad-variants-item__arrow icon icon-arrow-up"></i>
            <i class="ad-variants-item__icon-basket icon icon-basket delete_variant"></i>
        </div>
        <input type="hidden" name="variants[post_title][]" value="<?php echo esc_attr($variant['post_title']) ?>">
        <?php  if (isset($variant['post_attributes'])): ?>
            <input type="hidden" value="<?php echo esc_attr($variant['post_attributes']) ?>" class="variant_attributes" name="variants[post_attributes][]">
        <?php endif; ?>
    </div>
        <div class="accordion-content ad-variants-details">
            <div class="form-field term-group">
                    <input type="hidden"
                           data-id = '<?php echo !empty($image_id) ? $image_id : '' ?>'
                           id="category-image-id-<?php echo esc_attr($key);?>"
                           name="variants[category-image-id][<?php echo esc_attr($key);?>]"
                           class="custom_media_url"
                           value="<?php echo !empty($variant['category-image-id']) ? esc_attr($variant['category-image-id']) : ''?>"
                    >

                    <div id="category-image-wrapper-<?php echo esc_attr($key); ?>">
                        <img src="<?php echo esc_attr($images[$key]) ;?>" style="margin-left: 20px; max-height: 100px; float:none;
                        display: block;" />
                    </div><br>
                <p>
                    <input type="button" class="button button-secondary ct_variant_media_button" id="ct_tax_media_button-<?php echo esc_attr($key);?>"
                           data-key="<?php echo esc_attr($key) ;?>" name="ct_tax_media_button" value="Add Image" />
                    <input type="button" class="button button-secondary ct_variant_media_remove" id="ct_tax_media_remove-<?php echo esc_attr($key);?>"
                           data-key="<?php echo esc_attr($key) ;?>" name="ct_tax_media_remove" value="Remove Image" />
                </p>
            </div>
            <div class="ad-variants-details__row">
                <div class="ad-variants-details__col">
                    <div class="main-form-field width-160">
                        <label class="main-label"><?php esc_html_e('Regular Price', 'prodigy') ?></label>
                        <input type="text"
                               placeholder="$0.00"
                               class="variants-product-regular-price-<?php echo esc_attr($key) ?>"

                               value="<?php echo empty($variant['product_regular_price']) ? 0 : esc_attr($variant['product_regular_price']) ?>"

                               name="variants[product_regular_price][]"
                               data-rule-variantRegularPrice="<?php echo empty($variant['check_sale_price']) ? 'false' : 'true' ?>"
                        />
                    </div>
                </div>
                <div class="ad-variants-details__col">
                    <div class="main-form-field width-160">
                        <label class="main-label"><?php esc_html_e('Sale Price', 'prodigy') ?></label>
                        <input
                                type="text"
                                placeholder="$0.00"
                                class="variants-product-sale-price-<?php echo esc_attr($key) ?>"
                                value="<?php echo esc_attr($variant['product_sale_price']) ?>"
                                name="variants[product_sale_price][]"
                                data-rule-variantSalePrice="<?php echo empty($variant['check_sale_price']) ? 'false' : 'true' ?>"
                        />
                    </div>
                </div>
            </div>
            <label class="main-checkbox">
                <input
                        type="checkbox"
                        name="variants[check_sale_price][]"
                        class="variants-product-check-sale-price"
                        <?php echo isset($variant['check_sale_price']) ? 'checked' : '' ?>
                />
                <span class="main-checkbox__text"><?php esc_html_e('Sale price dates', 'prodigy') ?></span>
            </label>
            <div class="ad-variants-details__row mb-16 variants-product-check-sale-price-container" <?php echo !isset($variant['check_sale_price']) ? 'style="display: none;"' : '' ?>>
                <div class="ad-variants-details__col">
                    <div class="main-form-field width-160">
                        <label class="main-label"><?php esc_html_e('From', 'prodigy') ?></label>
                        <input
                                type="text"
                                placeholder="Date"
                                class="variants-product-from-date datepicker"
                                value="<?php echo esc_attr($variant['product_from_date']) ?>"
                                name="variants[product_from_date][]"
                        />
                    </div>
                </div>
                <div class="ad-variants-details__col">
                    <div class="main-form-field width-160">
                        <label class="main-label"><?php esc_html_e('To', 'prodigy') ?></label>
                        <input
                                type="text"
                                placeholder="Date"
                                class="variants-product-to-date datepicker"
                                value="<?php echo esc_attr($variant['product_to_date']) ?>"
                                name="variants[product_to_date][]"
                        />
                    </div>
                </div>
            </div>
            <div class="ad-variants-details__row">
                <div class="ad-variants-details__col">
                    <div class="main-form-field width-160">
                        <label class="main-label">
                            <?php esc_html_e('SKU', 'prodigy') ?>
                            <div class="tooltip">
                                <i class="tooltip__icon fa fa-info-circle"></i>
                                <span class="tooltip__message">
                                    <?php esc_html_e('Stock- keeping unit- unique identifier for each distinct product and service that can be purchased.', 'prodigy') ?>
                                </span>
                            </div>
                        </label>
                        <input type="hidden" name="variants[post_id][]" class="variant_id" value="<?php echo esc_attr($variant['ID']) ?>">

                        <input
                                type="text"
                                placeholder=""
                                class="variants-product-sku"
                                name="variants[product_sku][]"
                                value="<?php echo esc_attr($variant['product_sku']) ?>"
                        />
                    </div>
                </div>
                <div class="ad-variants-details__col">
                    <div class="main-form-field width-160">
                        <label class="main-label"><?php esc_html_e('Stock Status', 'prodigy') ?></label>
                        <select class="variants-product-stock-status" name="variants[product_stock_status][]">
                            <option value="0" <?php echo $variant['product_stock_status'] == 0 ? 'selected': '' ?> >
                                <?php esc_html_e('In Stock', 'prodigy') ?>
                            </option>
                            <option value="1" <?php echo $variant['product_stock_status'] == 1 ? 'selected': '' ?>>
                                <?php esc_html_e('Out of Stock', 'prodigy') ?>
                            </option>
                        </select>
                    </div>
                </div>
            </div>

            <label class="main-checkbox main-hint">
                <input
                        type="checkbox"
                        name="variants[check_requires_shipping][]"
                        class="variants-product-requires-shipping"
                        <?php echo isset($variant['check_requires_shipping']) ? 'checked' : '' ?>
                        style="<?php echo isset($variant['check_requires_shipping']) ? 'cursor: not-allowed;' : ''?>"
                 disabled/>
                <span class="main-checkbox__text"><?php esc_html_e('Product requires shipping', 'prodigy') ?></span>
            </label>
            <div class="ad-variants-details__row product_shipping_weight">
                <div class="main-form-field mr-30">
                    <label class="main-label"><?php esc_html_e('Weight', 'prodigy') ?></label>
                    <div class="d-flex">
                        <select class="width-56 mr-8 variants-product-weight-type" name="variants[product_weight_type][]">
                            <option value="0" <?php echo $variant['product_weight_type'] == 0 ? 'selected': '' ?>>
                                <?php esc_html_e('lbs', 'prodigy') ?>
                            </option>
                            <option value="1" <?php echo $variant['product_weight_type'] == 1 ? 'selected': '' ?>>
                                <?php esc_html_e('g', 'prodigy') ?>
                            </option>
                            <option value="2" <?php echo $variant['product_weight_type'] == 2 ? 'selected': '' ?>>
                                <?php esc_html_e('oz', 'prodigy') ?>
                            </option>
                            <option value="3" <?php echo $variant['product_weight_type'] == 3 ? 'selected': '' ?>>
                                <?php esc_html_e('kg', 'prodigy') ?>
                            </option>
                        </select>
                        <input
                                type="text"
                                value="<?php echo esc_attr($variant['product_weight_value']) ?>"
                                class="width-100 variants-product-weight-value"
                                name="variants[product_weight_value][]"
                        >
                    </div>
                </div>
                <div class="main-form-field product_shipping_dimensions">
                    <label class="main-label"><?php esc_html_e('Dimensions', 'prodigy') ?></label>
                    <div class="d-flex">
                        <select class="width-56 mr-8 variants-dimension" name="variants[dimension][]">
                            <option value="0" <?php echo $variant['dimension'] == 0 ? 'selected': '' ?>>
                                <?php esc_html_e('cm', 'prodigy') ?>
                            </option>
                            <option value="1" <?php echo $variant['dimension'] == 1 ? 'selected': '' ?>>
                                <?php esc_html_e('in', 'prodigy') ?>
                            </option>
                        </select>
                        <input type="text" name="variants[shipping_dimension_length][]" placeholder="Length"
                            class="variants-shipping-dimension-length width-62 mr-8"
                               value="<?php echo esc_attr($variant['shipping_dimension_length']) ?>"
                        >
                        <input type="text" name="variants[shipping_dimension_width][]" placeholder="Width"
                            class="width-62 mr-8 variants-shipping-dimension-width"
                               value="<?php echo esc_attr($variant['shipping_dimension_width']) ?>"
                        >
                        <input type="text" name="variants[shipping_dimension_height][]" placeholder="Height"
                               class="width-62 variants-shipping-dimension-height"
                               value="<?php echo esc_attr($variant['shipping_dimension_height']) ?>"
                        >
                    </div>
                </div>
            </div>

        </div>
    <?php endforeach; ?>
</div>


<div id="generate_variants_modal" class="wp-dialog hidden">
    <div class="modal-body">
        <div class="main-form-field">
            <p><?php esc_html_e('This action will delete all variants data. Are you sure you want to create new variants?', 'prodigy') ?></p>
        </div>
    <div class="modal-footer">
        <button
                type="button"
                class="button button-primary generate_variants_popup generate-variants-js"
        >
            <?php esc_html_e('Yes I agree', 'prodigy') ?>
        </button>
    </div>
</div>
