<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <title><?php esc_html_e('Prodigy Setup Wizard', 'prodigy'); ?></title>
    <?php do_action( 'admin_enqueue_scripts' ); ?>
    <?php do_action( 'admin_print_scripts' ); ?>
    <?php do_action( 'admin_print_styles' ); ?>
    <?php do_action( 'admin_head' ); ?>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700&display=swap" rel="stylesheet"/>
    <script>
        var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>';
        jQuery(document).ready(function ($) {
            $('.product-attr-js').select2({
                width: '120px',
                minimumResultsForSearch: -1
            });

            $(document).on('click', '#link_form_setting', function () {
                let form_setting = $("#form_setting");
                form_setting.attr('action', $(this).data('href'));
                form_setting.submit();
            });
        });
    </script>
</head>
<body>
<div class="container">
    <img src="<?php echo esc_url(Prodigy::plugin_url() . '/' . PRODIGY_WIZARD_PATH . '/images/logo.svg'); ?>"
         alt="Prodigy" class="logo"/>
    <ul class="steps">
        <?php foreach ( $this->page_header_steps as $key => $val ): ?>
            <li class="step <?php if ( $this->step == $key ): ?>step--active<?php elseif ( $this->step > $key ): ?>step--complete<?php endif; ?>"><?php echo esc_attr($val); ?></li>
        <?php endforeach; ?>
    </ul>
    <div class="form">
        <div class="form__header">
            <h1 class="form__title" ><?php echo esc_attr($this->page_header_content[ $this->step ]); ?></h1>
            <a href="<?php echo admin_url(); ?>" class="link d-none d-md-block"><?php esc_html_e('Back to Dashboard', 'prodigy') ?></a>
        </div>