<?php
    global $wp_session;
?>

<form method="post" action="<?php echo esc_url(admin_url() . 'index.php?page=prodigy-setup&step=2'); ?>" id="form_setting">
<div class="form__body">
    <div class="form__txt-wrp">
        <span class="form__txt"><?php esc_html_e('Connect your WP Plugin with the Prodigy Cloud Platform', 'prodigy'); ?>.</span>
        <?php if ( $this->is_connected ): ?>
            <span class="wp-connect-state pill"><?php esc_html_e('Connected', 'prodigy'); ?></span>
        <?php endif; ?>
    </div>
    <?php if ( $this->is_connected ): ?>
        <div class="store-info">
            <div class="store-info__inner">
                <span class="store-info__label"><?php esc_html_e('Store name', 'prodigy'); ?></span>
                <span class="store-info__name fw-700"><?php esc_attr_e($this->domain_hosted_system, 'prodigy'); ?></span>
            </div>
            <div class="store-info__inner">
                <span class="store-info__label"><?php esc_html_e('Subdomain', 'prodigy'); ?></span>
                <span class="store-info__name fw-700">
                        <?php esc_attr_e(PRODIGY_PROTOCOL_DOMAIN . $this->url_domain_hosted_system . '.' . PRODIGY_CHECKOUT_DOMAIN, 'prodigy'); ?>
                    </span>
            </div>
        </div>
        <?php if ( empty( get_option( Prodigy::PRODIGY_FIRST_CONNECTED_PRODUCT ) ) ): ?>
            <p>
                <?php
                esc_html_e('You can change the store that your WP Plugin is connected to if you have not yet created any
                products or
                categories.', 'prodigy');
                ?>
            </p>
            <?php if ( ! $this->is_created_products && ! $this->is_created_categories ): ?>
                <a class="btn" href="<?php echo esc_url( $this->get_url_login_hosted_system() ); ?>"><?php esc_html_e('Connect another store', 'prodigy'); ?></a>
            <?php endif; ?>
        <?php endif; ?>
    <?php else: ?>
        <div class="sync-store">
            <div class="checkbox">
                <input type="checkbox" class="checkbox__input" id="synchronization" hidden
                <?php
                    if (empty(get_option('pg_indicator_sync_content')) || get_option('pg_indicator_sync_content') == 'yes') { echo 'checked'; }
                ?>
                />
                <label for="synchronization" class="checkbox__label">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" class="checkbox__icon">
                        <path fill="#fff" fill-rule="nonzero" d="M17.2 6l-7.97 8.76-2.69-2.68L5 13.62l4.3 4.3 9.5-10.45z"/>
                    </svg>
                </label>
            </div>
            <span class="sync-store__txt">
              Synchronize existing products and product categories upon connection to the store.
            </span>
        </div>
        <a class="btn connect-button-js" href="<?php echo esc_url($this->get_url_login_hosted_system()); ?>">
            <?php esc_html_e('Connect', 'prodigy'); ?>
        </a>
    <?php endif; ?>
    <?php if ( isset($wp_session['message_error_connection']) ): ?>
        <p class="error"><?php esc_html_e('Connection error:', 'prodigy'); ?> <?php esc_attr_e($wp_session['message_error_connection']); ?></p>
    <?php endif; ?>
</div>
<div class="form__footer">
    <?php if ( $this->is_connected ): ?>
    <button id="c" class="btn btn--large btn--grey">
        <?php esc_html_e('Continue', 'prodigy'); ?>
    </button>
    <?php else: ?>
    <div class="btn btn--large btn--light-grey wizard-continue-js"><?php esc_html_e('Continue', 'prodigy'); ?></div>
    <?php endif; ?>
</div>
</form>
<div class="card d-none modal-info-synchronization-js">
    <span class="card__title">Warning!</span>
    <p class="card__txt">
        If you have any existing products/categories in the plugin, they will be deleted when you connect a store. Are
        you sure you want to continue?
    </p>
    <div class="card__actions">
        <a href="#" type="button" class="link link--grey mr-36 sync-content-js">Cancel</a>
        <button type="button" class="btn btn--grey btn--large cancel-sync-content-js">Continue</button>
    </div>
</div>