<form method="post" action="<?php echo esc_url(admin_url() . 'index.php?prodigy-clear-wizard=1'); ?>" id="form_setting">
    <div class="form__body">
        <div class="form__input-group">
            <label for="country" class="form__label"><?php esc_html_e('Where is your store based?', 'prodigy'); ?></label>
            <input type="text" value="United States" disabled id="country" class="form__input"/>
            <span class="form__input-hint"><?php esc_html_e('For the moment we work with US only, but we\'ll change it soon', 'prodigy'); ?></span>
        </div>
        <div class="form__input-group">
            <label for="currency" class="form__label"><?php esc_html_e('Which currency will your store use?', 'prodigy'); ?></label>
            <input type="text" value="United States dollar ($)" disabled id="currency" class="form__input"/>
            <span class="form__input-hint"><?php esc_html_e('We\'ll work with other currency options soon', 'prodigy'); ?></span>
        </div>
        <div class="form__input-group">
            <label for="weights" class="form__label"><?php esc_html_e('Which unit should be used for product weights?', 'prodigy'); ?></label>
            <select class="product-attr-js" name="pg_weight">
                <?php foreach ( $this->weights as $key => $val ): ?>
                    <option value="<?php echo $val; ?>" <?php if ( $val == get_option( 'pg_weight' ) ) {
                        echo 'selected="selected"';
                    } ?>>
                        <?php esc_attr_e($val); ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>
        <div class="form__input-group">
            <label for="dimensions" class="form__label"><?php esc_html_e('Which unit should be used for product dimensions?', 'prodigy'); ?></label>
            <select class="product-attr-js" name="pg_dimensions">
                <?php foreach ( $this->dimensions as $key => $val ): ?>
                    <option value="<?php esc_attr_e($val); ?>" <?php if ( $val == get_option( 'pg_dimensions' ) ) {
                        echo 'selected="selected"';
                    } ?>>
                        <?php esc_attr_e($val); ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>
    </div>
    <div class="form__footer">
        <a href="<?php echo esc_url(admin_url() . 'index.php?page=prodigy-setup&step=1'); ?>" class="btn btn--large btn--light-grey"><?php esc_html_e('Back', 'prodigy');?></a>
        <button type="submit" class="btn btn--large btn--grey"><?php esc_html_e('Finish', 'prodigy'); ?></button>
    </div>
</form>