<?php

/**
 * Prodigy Batches Categories class
 *
 * @version    1.0.5
 * @package    Prodigy
 * @subpackage Prodigy/includes
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 *
 * @example   $result = new Prodigy_Synchronize_Data(new Prodigy_Batches_Categories(new Prodigy_Api_Client()));
 *            $result->synchronize();
 *
 * Class Prodigy_Synchronize_Data
 */
class Prodigy_Synchronize_Data {
    
    /**
     * @var Prodigy_Batches_Categories
     */
    private $prodigy_batches_categories;

    /**
     * @var Prodigy_Send_Batch_Products
     */
    private $prodigy_send_products;

    /**
     * Prodigy_Synchronize_Data constructor.
     *
     * @param Prodigy_Batches_Categories  $prodigy_batches_categories
     * @param Prodigy_Send_Batch_Products $prodigy_products
     */
    public function __construct(
        Prodigy_Batches_Categories $prodigy_batches_categories,
        Prodigy_Send_Batch_Products $prodigy_products
    ) {
        $this->prodigy_batches_categories = $prodigy_batches_categories;
        $this->prodigy_send_products = $prodigy_products;
    }
    
    /**
     * General data synchronization stack
     */
    public function synchronize() {
        $this->synchronize_categories();
        $this->synchronize_products();
    }
    
    /**
     * Synchronize categories
     */
    public function synchronize_categories() {
        $this->prodigy_batches_categories->send_categories();
    }

    /**
     *  Send batch products
     */
    public function synchronize_products() {
        $this->prodigy_send_products->prodigy_send_batch_products();
    }
    
}



