<?php

/**
 * Prodigy ajax class
 *
 * @version    1.0.0
 * @package    Prodigy
 * @subpackage Prodigy/includes
 */

defined( 'ABSPATH' ) || exit;

/**
 * Class Prodigy_Ajax
 */
class Prodigy_Ajax
{
    /**
     * Hook in ajax handlers.
     */
    public static function init() {
        self::add_ajax_events();
    }

    /**
     * Hook in methods - uses WordPress ajax handlers (admin-ajax).
     */
    public static function add_ajax_events() {

        $ajax_events = array(
            'term_ordering' => false,
        );

        foreach ( $ajax_events as $ajax_event => $nopriv ) {
            add_action( 'wp_ajax_prodigy_' . $ajax_event, array( __CLASS__, $ajax_event ) );
        }
    }

    /**
     * Ajax request handling for categories ordering.
     */
    public static function term_ordering() {
        $id       = (int) $_POST['id'];
        $next_id  = isset( $_POST['nextid'] ) && (int) $_POST['nextid'] ? (int) $_POST['nextid'] : null;
        $taxonomy = isset( $_POST['thetaxonomy'] ) ? esc_attr( $_POST['thetaxonomy'] ) : null;
        $term     = get_term_by( 'id', $id, $taxonomy );

        if ( ! $id || ! $term || ! $taxonomy ) {
            wp_die( 0 );
        }

        prodigy_reorder_terms( $term, $next_id, $taxonomy );

        $children = get_terms( $taxonomy, "child_of=$id&menu_order=ASC&hide_empty=0" );

        if ( $term && sizeof( $children ) ) {
            echo 'children';
            wp_die();
        }
    }

}
