<?php


if ( ! function_exists( 'prodigy_contentfix' ) ) {
    /**
     * @param string $content
     *
     * @return string
     */
    function prodigy_contentfix( $content ) {
        $fix     = array(
            '<p>_____</p>' => '<div class="is-divider large"></div>',
            '<p>____</p>'  => '<div class="is-divider medium"></div>',
            '<p>___</p>'   => '<div class="is-divider small"></div>',
            '</div></p>'   => '</div>',
            '<p><div'      => '<div',
            ']</p>'        => ']',
            ']<br />'      => ']',
            '<p>['         => '[',
            '<br />['      => '[',
        );
        $content = strtr( $content, $fix );
        
        return do_shortcode( $content );
    }
}

if ( ! function_exists( 'prodigy_get_shortcode_inline_css' ) ) {
// Get Shortcode Inline CSS
    /**
     * @param array $args
     *
     * @return string
     */
    function prodigy_get_shortcode_inline_css( $args ) {
        $style = '';
        
        foreach ( $args as $key => $value ) {
            $unit = array_key_exists( 'unit', $value ) ? $value['unit'] : null;
            if ( $value['value'] ) {
                $style .= $value['attribute'] . ':' . $value['value'] . $unit . ';';
            }
        }
        
        if ( $style ) {
            return 'style="' . $style . '"';
        }
    }
}

if ( ! function_exists( 'prodigy_get_image' ) ) {
    /**
     * @param        $id
     * @param string $size
     * @param string $alt
     * @param bool $inline
     *
     * @return false|string
     */
    function prodigy_get_image( $id, $size = 'large', $alt = 'bg_image', $inline = false ) {

//    if(!$id) return '<img src="'.get_template_directory_uri().'/assets/img/missing.jpg'.'" />';
        
        if ( ! is_numeric( $id ) ) {
            return '<img src="' . $id . '" alt="' . $alt . '" />';
        } else {
            $meta = get_post_mime_type( $id );
            if ( $meta == 'image/svg+xml' && $inline ) {
                $image = wp_get_attachment_image_src( $id );
                
                return wp_remote_fopen( $image[0] );
            } else {
                return wp_get_attachment_image( $id, $size );
            }
        }
    }
}