<?php

/**
 * Prodigy admin product listener class
 *
 * @version 1.0.0
 * @package prodigy/admin
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

require_once PRODIGY_PLUGIN_PATH . 'includes/wp-queue/wp-async-request.php';
require_once PRODIGY_PLUGIN_PATH . 'includes/wp-queue/wp-background-process.php';

/**
 * Class Prodigy_Product_Listener
 */
class Prodigy_Update_Type_Products extends WP_Background_Process {
    
    /**
     * @var string
     */
    protected $action = 'pg_update_type_product_queue';

    /**
     * @param mixed $id
     *
     * @return bool|mixed
     */
    protected function task( $id ) {
        
        $type = Prodigy::get_prodigy_product_type();
        
        $arr = [
            'ID' => $id,
            'post_type' => $type
        ];
        
        wp_update_post($arr);

        return false;
    }

    public function complete() {
        parent::complete();
        update_option('pg_access_update_type_products_queue', false);
        Prodigy::refresh_permalink();
    }
}