<?php

/**
 * Prodigy admin product listener class
 *
 * @version 1.0.0
 * @package prodigy/admin
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Class Prodigy_Update_Type_Tags
 */
class Prodigy_Update_Type_Tags {
    
    /**
     * @var string
     */
    protected $action = 'pg_update_type_tag_queue';
    
    /**
     * @param mixed $id
     *
     * @return bool|mixed
     */
    public function update() {
        
        global $wpdb;
        
        $all_types_old = get_option( Prodigy::PRODIGY_OPTION_NAME_OLD_TAG_TYPES );
        
        $new_term = Prodigy::get_prodigy_tag_type();
        
        foreach ( $all_types_old as $old_term ) {
            $wpdb->update( $wpdb->term_taxonomy, [ 'taxonomy' => $new_term ], [ 'taxonomy' => $old_term ] );
        }
        
        update_option( 'pg_access_update_type_tags_queue', false );
        
        Prodigy::refresh_permalink();
    }
}