<?php

/**
 * Prodigy common widget class
 *
 * @version    1.0.0
 * @package    Prodigy
 * @subpackage Prodigy/includes
 */

/**
 * Class Prodigy_Product_Item
 */
class Prodigy_Product_Template_Item {

    protected $row_id;

    protected $fields;

    protected $meta;

    protected $attributes;

    protected $categories;

    protected $tags;

    protected $count_reviews;

    protected $count_rating;

    protected $average_rating;

    protected $available_variants;

    protected $up_sell_product_ids;

    protected $cross_sell_product_ids;

    protected $variants;

    /**
     * @return array
     */
    public function get_variants()
    {
        return $this->variants;
    }

    /**
     * @return mixed
     */
    public function get_row_id() {
        return $this->row_id;
    }

    /**
     * @param $id
     */
    public function set_row_id( $id ): void {
        $this->row_id = $id;
    }

    /**
     * @param array $variants
     */
    public function set_variants( $variants )
    {
        $this->variants = $variants;
    }

    /**
     * @param $ids
     */
    public function set_up_sell_product_ids( $ids ) {
        $this->up_sell_product_ids = $ids;
    }

    /**
     * @return array
     */
    public function get_up_sell_product_ids()
    {
        return $this->up_sell_product_ids;
    }

    /**
     * @return array
     */
    public function get_cross_sell_product_ids()
    {
        return $this->cross_sell_product_ids;
    }

    /**
     * @param mixed $ids
     */
    public function set_cross_sell_product_ids( $ids )
    {
        $this->cross_sell_product_ids = $ids;
    }

    /**
     * @param array $fields
     */
    public function set_fields( $fields ) {
        $this->fields = $fields;
    }

    /**
     * @param array $meta
     */
    public function set_meta( $meta ) {
        $this->meta = $meta;
    }

    /**
     * @param array $attributes
     */
    public function set_attributes( $attributes ) {
        $this->attributes =maybe_unserialize($attributes);
    }

    /**
     * @param array $variants
     */
    public function set_available_variants( $variants ) {
        $this->available_variants = $variants;
    }

    public function get_available_variants() {
        return $this->available_variants;
    }

    /**
     * @param int $count
     */
    public function set_count_reviews( $count ) {
        $this->count_reviews = $count;
    }

    /**
     * @param int $count
     */
    public function set_count_rating( $count ) {
        $this->count_rating = $count;
    }

    /**
     * @param float $avg
     */
    public function set_average_rating( $avg ) {
        $this->average_rating = $avg;
    }

    /**
     * @return array
     */
    public function get_count_reviews() {
        return $this->count_reviews;
    }

    /**
     * @return int
     */
    public function get_count_rating() {
        return $this->count_rating;
    }

    /**
     * @return float
     */
    public function get_average_rating() {
        return $this->average_rating;
    }

    /**
     * @param string $field_name
     *
     * @return string
     */
    public function get_field( $field_name ) {
        return isset($this->fields[$field_name]) ? $this->fields[$field_name] : '';
    }

    /**
     * @param string $meta_field_name
     *
     * @return string
     */
    public function get_meta_field( $meta_field_name ) {
        return isset($this->meta[$meta_field_name][0]) ? $this->meta[$meta_field_name][0] : '';
    }

    /**
     * @return array
     */
    public function get_attributes() {
        return $this->attributes;
    }

    /**
     * @param array $categories
     */
    public function set_categories( $categories ) {
        $this->categories = $categories;
    }

    /**
     * @return array
     */
    public function get_categories() {
        return $this->categories;
    }

    /**
     * @param array $tags
     */
    public function set_tags( $tags ) {
        $this->tags = $tags;
    }
    
    /**
     * @return array
     */
    public function get_tags() {
        $tags = [];
        
        if ( empty( $this->tags ) && ! is_array( $this->tags ) ) {
            return $tags;
        }
        
        foreach ( $this->tags as $key => $tag ) {
            $tags[ $key ] = $tag->name;
        }
        
        return $tags;
    }
}
