<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

include_once plugin_dir_path( dirname( __FILE__, 1 ) ) . 'class-prodigy-product-variants.php';

/**
 * Template shortcode search
 */
if ( ! function_exists( 'prodigy_get_template_shortcode_search' ) ) {
    function prodigy_get_template_shortcode_search() {
        prodigy_get_template( 'shortcode/search.php' );
    }
}

if ( ! function_exists( 'prodigy_get_template_shortcode_thank_you' ) ) {
    function prodigy_get_template_shortcode_thank_you( $data ) {
        prodigy_get_template( 'shortcode/thank-you.php', $data );
    }
}

if ( ! function_exists( 'prodigy_get_template_shortcode_price_filter' ) ) {
    function prodigy_get_template_shortcode_price_filter() {
        prodigy_get_template( 'shortcode/price-filter.php' );
    }
}

if ( ! function_exists( 'prodigy_get_template_shortcode_my_account' ) ) {
    function prodigy_get_template_shortcode_my_account() {
        prodigy_get_template( 'shortcode/my-account.php' );
    }
}

if ( ! function_exists( 'prodigy_get_template_shortcode_left_categories_filter' ) ) {
    function prodigy_get_template_shortcode_left_categories_filter( $data ) {
        prodigy_get_template( 'shortcode/left-categories-filter.php' , $data);
    }
}


if ( ! function_exists( 'prodigy_get_template_shortcode_cart' ) ) {
    function prodigy_get_template_shortcode_cart( $data ) {
        prodigy_get_template( 'shortcode/cart.php', $data );
    }
}

if ( ! function_exists( 'prodigy_get_template_shortcode_breadcrumbs' ) ) {
    function prodigy_get_template_shortcode_breadcrumbs( $data ) {
        prodigy_get_template( 'shortcode/breadcrumbs.php', $data );
    }
}

if ( ! function_exists( 'prodigy_get_template_shortcode_attributes_filter' ) ) {
    function prodigy_get_template_shortcode_attributes_filter( $data ) {
        prodigy_get_template( 'shortcode/attributes-filter.php', $data );
    }
}

if ( ! function_exists( 'prodigy_get_template_shortcode_active_filters' ) ) {
    function prodigy_get_template_shortcode_active_filters( $data ) {
        prodigy_get_template( 'shortcode/active-filters.php', $data );
    }
}

/**
 * Render feed_categories shortcode
 */
if ( ! function_exists( 'prodigy_shortcode_get_template_feed_categories' ) ) {
    function prodigy_shortcode_get_template_feed_categories( $data ) {
        prodigy_get_template( 'shortcode/feed_categories.php',  $data );
    }
}

/**
 * Render our_categories shortcode
 */
if ( ! function_exists( 'prodigy_shortcode_get_template_our_categories' ) ) {
    function prodigy_shortcode_get_template_our_categories( $data ) {
        prodigy_get_template( 'shortcode/our_categories.php',  $data );
    }
}


/**
 * Render cart shortcode (page)
 */
if ( ! function_exists( 'prodigy_get_template_shortcode_cart_page' ) ) {
    function prodigy_get_template_shortcode_cart_page( $data ) {
        prodigy_get_template( 'shortcode/pages/cart/common.php' );
    }
}

/**
 * Render subscription shortcode (page)
 */
if ( ! function_exists( 'prodigy_get_template_shortcode_subscription' ) ) {
    function prodigy_get_template_shortcode_subscription( $data ) {
        prodigy_get_template( 'shortcode/theme/subscription.php', $data );
    }
}

/**
 * Render products shortcode
 */
if ( ! function_exists( 'prodigy_get_template_shortcode_products_theme' ) ) {
    function prodigy_get_template_shortcode_products_theme( $data ) {
        prodigy_get_template( 'shortcode/products_theme.php',  $data );
    }
}

/**
 * Render products shortcode
 */
if ( ! function_exists( 'prodigy_get_template_shortcode_products' ) ) {
    function prodigy_get_template_shortcode_products( $data ) {
        prodigy_get_template( 'shortcode/products.php',  $data );
    }
}


if ( ! function_exists( 'prodigy_get_thank_you_page' ) ) {
    function prodigy_get_thank_you_page() {
        echo do_shortcode( '[thank-you-page]' );
    }
}


/**
 * Global
 */


if ( ! function_exists( 'prodigy_mobile_sortable' ) ) {
    function prodigy_mobile_sortable() {
        prodigy_get_template( 'shop/mobile-sortable.php' );
    }
}

if ( ! function_exists( 'prodigy_get_bottom_menu_breadcrumbs' ) ) {
    function prodigy_get_bottom_menu_breadcrumbs() {
        echo do_shortcode( '[breadcrumbs-list]' );
    }
}

if ( ! function_exists( 'prodigy_get_categories_filter' ) ) {
    function prodigy_get_categories_filter( $instance ) {
        if ( ! empty( $instance ) ) {
            $str = http_build_query( $instance, '', ' ' );
            echo do_shortcode( '[categories-filters ' . $str . ']' );
        }
    }
}

if ( ! function_exists( 'prodigy_get_products_price_filter' ) ) {
    function prodigy_get_products_price_filter( $instance ) {
        if ( !empty($instance) ) {
            $str = http_build_query( $instance, '', ' ' );

            echo do_shortcode( '[price-filter ' . $str . ']' );
        }
    }
}

if ( ! function_exists( 'prodigy_get_products_attributes_filter' ) ) {
    function prodigy_get_products_attributes_filter( $instance ) {
        if ( ! empty( $instance ) ) {
            $str = http_build_query( $instance, '', ' ' );
            echo do_shortcode( '[attributes-filter ' . $str . ']' );
        }
    }
}

if ( ! function_exists( 'prodigy_get_active_filters' ) ) {
    function prodigy_get_active_filters( $instance ) {
        if ( ! empty( $instance ) ) {
            $str = http_build_query( $instance, '', ' ' );
            echo do_shortcode( '[active-filters-products ' . $str . ']' );
        }
    }
}

if ( ! function_exists( 'prodigy_get_template_sortable' ) ) {
    function prodigy_get_template_sortable() {
        prodigy_get_template( 'shop/sortable.php' );
    }
}

if ( ! function_exists( 'prodigy_get_template_without_result' ) ) {
    function prodigy_get_template_without_result() {
        prodigy_get_template( 'shop/no-search-results.php' );
    }
}


if ( ! function_exists( 'prodigy_get_template_product_item' ) ) {
    function prodigy_get_template_product_item() {
        prodigy_get_template( 'shop/product-item.php' );
    }
}


if ( ! function_exists( 'prodigy_get_template_left_sidebar' ) ) {
    function prodigy_get_template_left_sidebar() {
        prodigy_get_template( 'shop/left-sidebar.php' );
    }
}


if ( ! function_exists( 'prodigy_photoswipe' ) ) {

    function prodigy_photoswipe() {
        prodigy_get_template( 'single-product/photoswipe.php' );
    }
}

if ( ! function_exists( 'prodigy_template_short_description' ) ) {

    /**
     * Output the start of the page wrapper.
     */
    function prodigy_template_short_description() {
        prodigy_get_template( 'single-product/short-description.php' );
    }
}

if ( ! function_exists( 'prodigy_template_single_title' ) ) {
    /**
     * Output the product title.
     */
    function prodigy_template_single_title() {
        prodigy_get_template( 'single-product/title.php' );
    }
}

if ( ! function_exists( 'prodigy_template_single_price' ) ) {
    /**
     * Output the product price.
     */
    function prodigy_template_single_price() {
        prodigy_get_template( 'single-product/price.php' );
    }
}

if ( ! function_exists( 'prodigy_template_single_variants' ) ) {
    /**
     * Output the product price.
     */
    function prodigy_template_single_variants() {
        prodigy_get_template( 'single-product/variants.php' );
    }
}


if ( ! function_exists( 'prodigy_template_single_meta' ) ) {
    /**
     * Output the product meta.
     */
    function prodigy_template_single_meta() {
        prodigy_get_template( 'single-product/meta.php' );
    }
}

if ( ! function_exists( 'prodigy_template_single_add_to_cart' ) ) {
    /**
     * Output the product meta.
     */
    function prodigy_template_single_add_to_cart() {
        prodigy_get_template( 'single-product/add-to-cart.php' );
    }
}

if ( ! function_exists( 'prodigy_template_single_categories' ) ) {
    /**
     * Output the product meta.
     */
    function prodigy_template_single_categories() {
        prodigy_get_template( 'single-product/categories.php' );
    }
}

if ( ! function_exists( 'prodigy_show_product_images' ) ) {
    /**
     * Output the product meta.
     */
    function prodigy_show_product_images() {
        prodigy_get_template( 'single-product/product-image.php' );
    }
}

if ( ! function_exists( 'prodigy_show_product_thumbnails' ) ) {
    /**
     * Output the product thumbnails.
     */
    function prodigy_show_product_thumbnails() {
        prodigy_get_template( 'single-product/product-thumbnails.php' );
    }
}

if ( ! function_exists( 'max_srcset_image_width_func' ) ) {

    /**
     * Output the product tabs.
     */
    function max_srcset_image_width_func() {
        return 1;
    }
}

if ( ! function_exists( 'prodigy_output_product_data_tabs' ) ) {

    /**
     * Output the product tabs.
     */
    function prodigy_output_product_data_tabs() {
        prodigy_get_template( 'single-product/tabs/tabs.php' );
    }
}

if ( ! function_exists( 'prodigy_upsell_products_display' ) ) {

    /**
     * Output the product tabs.
     */
    function prodigy_upsell_products_display() {
        prodigy_get_template( 'single-product/up-sell-products.php' );
    }
}

if ( ! function_exists( 'prodigy_product_description_tab' ) ) {

    /**
     * Output the description tab content.
     */
    function prodigy_product_description_tab() {
        prodigy_get_template( 'single-product/tabs/description.php' );
    }
}

if ( ! function_exists( 'prodigy_product_additional_information_tab' ) ) {

    /**
     * Output the attributes tab content.
     */
    function prodigy_product_additional_information_tab() {
        prodigy_get_template( 'single-product/tabs/additional-information.php' );
    }
}

if ( ! function_exists( 'is_product_taxonomy' ) ) {

    /**
     * Is_product_taxonomy - Returns true when viewing a product taxonomy archive.
     *
     * @return bool
     */
    function is_product_taxonomy() {
        return is_tax( get_object_taxonomies( Prodigy::get_prodigy_product_type() ) );
    }
}

if ( ! function_exists( 'prodigy_default_product_tabs' ) ) {

    /**
     * Add default product tabs to product pages.
     *
     * @param array $tabs Array of tabs.
     *
     * @return array
     */
    function prodigy_default_product_tabs( $tabs = array() ) {
        $product = $GLOBALS['prodigy_product'];

        // Description tab - shows product content.
        if ( $product->get_field( 'post_content' ) ) {
            $tabs['description'] = array(
                'title'    => __( 'Description', 'prodigy' ),
                'priority' => 10,
                'callback' => 'prodigy_product_description_tab',
            );
        }

        // Additional information tab - shows attributes.
        if ( ! empty( $product->get_attributes() || $product->get_meta_field( 'product_requires_shipping' ) ) ) {
            $tabs['additional_information'] = array(
                'title'    => __( 'Additional information', 'prodigy' ),
                'priority' => 20,
                'callback' => 'prodigy_product_additional_information_tab',
            );
        }

        // Reviews tab - shows comments.
        if ( comments_open() ) {
            global $wpdb;
            $count           = Prodigy_Product_Comments::get_count_comments( $product->get_field( 'ID' ) );
            $tabs['reviews'] = array(
                /* translators: %s: reviews count */
                'title'    => sprintf( __( 'Reviews (%d)', 'prodigy' ), $count ),
                'priority' => 30,
                'callback' => 'comments_template',
            );
        }

        return $tabs;
    }
}

if ( ! function_exists( 'prodigy_comments' ) ) {

    /**
     * Output the Review comments template.
     *
     * @param WP_Comment $comment
     * @param array $args
     * @param int $depth
     */
    function prodigy_comments( $comment, $args, $depth ) {
        $GLOBALS['prodigy_comment'] = $comment;
        prodigy_get_template( 'single-product/review.php', array(
            'comment' => $comment,
            'args'    => $args,
            'depth'   => $depth,
        ) );
    }
}


/**
 * Outputs a list of product attributes for a product.
 */
function prodigy_display_product_attributes( $product ) {
    prodigy_get_template( 'single-product/product-attributes.php', array(
        'product' => $product,
    ) );
}


if ( ! function_exists( 'prodigy_review_display_rating' ) ) {
    /**
     * Display the reviewers star rating
     *
     * @return void
     */
    function prodigy_review_display_rating() {
        if ( post_type_supports( Prodigy::get_prodigy_product_type(), 'comments' ) ) {
            prodigy_get_template( 'single-product/review-rating.php' );
        }
    }
}

if ( ! function_exists( 'prodigy_template_single_rating' ) ) {

    /**
     * Output the product rating.
     */
    function prodigy_template_single_rating() {
        if ( post_type_supports( Prodigy::get_prodigy_product_type(), 'comments' ) ) {
            prodigy_get_template( 'single-product/rating.php' );
        }
    }
}


if ( ! function_exists( 'prodigy_review_display_meta' ) ) {
    /**
     * Display the review authors meta (name, verified owner, review date)
     *
     * @return void
     */
    function prodigy_review_display_meta() {
        prodigy_get_template( 'single-product/review-meta.php' );
    }
}

if ( ! function_exists( 'prodigy_review_display_comment_text' ) ) {

    /**
     * Display the review content.
     */
    function prodigy_review_display_comment_text() {
        echo '<div class="prodigy-product-review__text">';
        comment_text();
        echo '</div>';
    }
}

/**
 * Get HTML for ratings.
 *
 * @param float $rating
 * @param int $count
 *
 * @return string
 */
function pg_get_rating_html( $rating, $count = 0 ) {
    $is_enable_rating = get_option( 'pg_product_rating' );
    if ( ! empty( $is_enable_rating ) ) {
        $html = '<div class="star-rating mb-0">' . pg_get_star_rating_html( $rating, $count ) . '</div>';

        return apply_filters( 'prodigy_product_get_rating_html', $html, $rating, $count );
    }
}

/**
 * Get HTML for star rating.
 *
 * @param float $rating
 * @param int $count
 *
 * @return string
 */
function pg_get_star_rating_html( $rating, $count = 0 ) {
    $html = '<span class="star-rating__item" style="width:' . ( ( roundToHalf( $rating ) / 5 ) * 100 ) . '%">';

    return apply_filters( 'pg_get_star_rating_html', $html, $rating, $count );
}

/**
 * @param int $x
 *
 * @return float
 */
function roundToHalf( $x ) {
    return ceil( $x / 0.5 ) * 0.5;
}


if ( ! function_exists( 'prodigy_review_display_gravatar' ) ) {
    /**
     * Display the review authors gravatar
     *
     * @param array $comment
     *
     * @return void
     */
    function prodigy_review_display_gravatar( $comment ) {
        echo get_avatar( $comment, apply_filters( 'prodigy_review_gravatar_size', '60' ), '' );
    }
}

/**
 * @param string $slug
 * @param string $name
 */
function prodigy_get_template_part( $slug, $name = '' ) {
    $template = '';

    // Look in yourtheme/slug-name.php and yourtheme/prodigy/slug-name.php.
    if ( $name ) {
        $template = locate_template( array( "{$slug}-{$name}.php", 'prodigy/' . "{$slug}-{$name}.php" ) );
    }

    // Get default slug-name.php.
    if ( ! $template && $name && file_exists( PRODIGY_PLUGIN_PATH . "/templates/partials/{$slug}-{$name}.php" ) ) {
        $template = PRODIGY_PLUGIN_PATH . "/templates/partials/{$slug}-{$name}.php";
    }

    // If template file doesn't exist, look in yourtheme/slug.php and yourtheme/prodigy/slug.php.
    if ( ! $template ) {
        $template = locate_template( array( "{$slug}.php", 'prodigy/' . "{$slug}.php" ) );
    }

    if ( $template ) {
        load_template( $template, false );
    }
}

/**
 * @param int $product_id
 * @param string $sep
 * @param string $before
 * @param string $after
 *
 * @return string|WP_Error
 */
function prodigy_get_product_category_list( $product_id, $sep = ', ', $before = '', $after = '' ) {
    return get_the_term_list( $product_id, Prodigy::get_prodigy_category_type(), $before, $sep, $after );
}

/**
 * @param int $product_id
 * @param string $sep
 * @param string $before
 * @param string $after
 *
 * @return string|WP_Error
 */
function prodigy_get_product_tag_list( $product_id, $sep = ', ', $before = '', $after = '' ) {
    return get_the_term_list( $product_id, Prodigy::get_prodigy_tag_type(), $before, $sep, $after );
}

/**
 * @param string $template_name
 * @param array $args
 * @param string $template_path
 * @param string $default_path
 */
function prodigy_get_template( $template_name, $args = [], $template_path = '', $default_path = '' ) {
    if ( ! empty( $args ) && is_array( $args ) ) {
        extract( $args );
    }

    $located = prodigy_locate_template( $template_name, $template_path, $default_path );
    $located = apply_filters( 'prodigy_get_template', $located, $template_name, $args, $template_path, $default_path );

    if ( file_exists( $located ) ) {
        include $located;
    }
}

/**
 * @param string $template_name
 * @param string $template_path
 * @param string $default_path
 *
 * @return string
 */
function prodigy_locate_template( $template_name, $template_path = '', $default_path = '' ) {
    if ( ! $template_path ) {
        $template_path = 'prodigy/';
    }

    if ( ! $default_path ) {
        $default_path = PRODIGY_PLUGIN_PATH . 'templates/partials/';
    }

    // Look within passed path within the theme - this is priority.
    $template = locate_template(
        array(
            trailingslashit( $template_path ) . $template_name,
            $template_name,
        )
    );

    // Get default template/.
    if ( ! $template ) {
        $template = $default_path . $template_name;
    }

    return $template;
}

/**
 * @param int $parent_product_id
 *
 * @return array
 */
function get_available_variants( $parent_product_id ) {
    $product_variants = Prodigy_Product_Variants::get_product_variants( $parent_product_id );

    return check_available_variants( $product_variants );
}

/**
 * @param array $variants
 *
 * @return array
 */
function check_available_variants( $variants ) {
    $available_variants = [];
    foreach ( $variants as $key => $product_variant ) {
        $variant_meta = get_post_meta( $product_variant['ID'] );
        if (
        ! empty( $variant_meta['product_regular_price'][0] )
        ) {
            if ( isset( $variant_meta['post_attributes'][0] ) ) {
                $available_variants[ $key ] = json_decode( str_replace( "'", '"', $variant_meta['post_attributes'][0] ), 1 );
            }
        }
    }

    return set_variants_value_to_string( $available_variants );

}

/**
 * @param $available_variants
 *
 * @return array
 */
function set_variants_value_to_string( $available_variants ) {
    if ( ! empty( $available_variants ) ) {
        foreach ( $available_variants as $key => $variants ) {
            foreach ( $variants as $key_variant => $variant_value ) {
                $available_variants[ $key ][ $key_variant ] = strval( $variant_value );
            }
        }
    } else {
        $available_variants = [];
    }

    return $available_variants;
}

/**
 * @param int $attachment_id
 * @param bool $main_image
 *
 * @return string
 */
function prodigy_get_gallery_image_html( $attachment_id, $main_image = false ) {

    $attachment_id = (int) $attachment_id;

    $thumbnail_size = array_values( array(
        'width'  => 500,
        'height' => 500,
        'crop'   => 1,
    ) );
    $full_size      = array_values( array(
        'width'  => 1600,
        'height' => 1600,
        'crop'   => 1,
    ) );
    $gallery_thumb  = array_values( array(
        'width'  => 100,
        'height' => 100,
        'crop'   => 1,
    ) );

    $image_size = $thumbnail_size;

    $thumbnail_src = wp_get_attachment_image_src( $attachment_id, $gallery_thumb );
    $full_src      = wp_get_attachment_image_src( $attachment_id, $full_size );
    $image         = wp_get_attachment_image( $attachment_id, $image_size, false, array(
        'title'                   => get_post_field( 'post_title', $attachment_id ),
        'data-caption'            => get_post_field( 'post_excerpt', $attachment_id ),
        'data-src'                => esc_url($full_src[0]),
        'data-large_image'        => esc_url($full_src[0]),
        'data-large_image_width'  => esc_attr($full_src[1]),
        'data-large_image_height' => esc_attr($full_src[2]),
        'class'                   => $main_image ? 'wp-post-image' : '',
    ) );

    return '<div style="max-width: 150px; float: left; width: 150px; margin-right: 10px;" data-thumb="' . esc_url( $thumbnail_src[0] ) . '" class="prodigy-product__gallery-image"><a class="gallery-fullscreen-js" href="' . esc_url( $full_src[0] ) . '">' . $image . '</a></div>';
}

/**
 * @param int $attachment_id
 * @param bool $main_image
 *
 * @return string
 */
function prodigy_get_gallery_thumb_html( $attachment_id, $index = 0 ) {
    $attachment_id = (int) $attachment_id;

    $thumbnail_size = array_values( array(
        'width'  => 500,
        'height' => 500,
        'crop'   => 1,
    ) );
    $full_size      = array_values( array(
        'width'  => 1600,
        'height' => 1600,
        'crop'   => 1,
    ) );
    $gallery_thumb  = array_values( array(
        'width'  => 100,
        'height' => 100,
        'crop'   => 1,
    ) );

    $image_size = $thumbnail_size;

    $thumbnail_src = wp_get_attachment_image_src( $attachment_id, $gallery_thumb );
    $full_src      = wp_get_attachment_image_src( $attachment_id, $full_size );
    $image         = wp_get_attachment_image( $attachment_id, $image_size, false, array(
        'title'                   => get_post_field( 'post_title', $attachment_id ),
        'data-caption'            => get_post_field( 'post_excerpt', $attachment_id ),
        'data-src'                => esc_url($full_src[0]),
        'data-large_image'        => esc_url($full_src[0]),
        'data-large_image_width'  => esc_attr($full_src[1]),
        'data-large_image_height' => esc_attr($full_src[2]),
        'class'                   => '',
    ) );

    return '<li ' . ( $index > 0 ? 'style="display: none;"' : '' ) . '>' . $image . '</li>';
}

/**
 * @param object $product
 *
 * @return array
 */
function get_price_range( $product ) {
    $prices = [];
    foreach ( $product->get_variants() as $key => $variant ) {
        if ( ! empty( $variant['product_regular_price'] ) ) {
            $prices[ $key ] = $variant['product_regular_price'];
        }
    }
    foreach ( $product->get_variants() as $key => $variant ) {
        if ( ! empty( $variant['product_sale_price'] ) ) {
            array_push( $prices, $variant['product_sale_price'] );
        }
    }

    array_push( $prices, $product->get_meta_field( 'product_regular_price' ) );

    $range = [];
    if ( count( array_unique( $prices ) ) > 1 ) {
        $range['min'] = min( $prices );
        $range['max'] = max( $prices );
    } else {
        $range['min'] = array_shift( $prices );
    }

    return $range;
}

/**
 * @param int $post_id
 *
 * @return Prodigy_Product_Template_Item
 */
function prodigy_setup_product_data( $post_id ) {

    if ( Prodigy::get_prodigy_product_type() === get_post_type( $post_id ) ) {
        unset( $GLOBALS['prodigy_product'] );
        $GLOBALS['prodigy_product'] = get_prodigy_product( $post_id );

        return $GLOBALS['prodigy_product'];
    }
}

/**
 * @param int $post_id
 *
 * @return Prodigy_Product_Template_Item
 */
function get_prodigy_product( int $post_id ) {
    $product = new Prodigy_Product_Template_Item();

    if ( (int) $post_id ) {
        $product->set_row_id($post_id);
        $product->set_fields( (array) get_post( $post_id, false ) );
        $product->set_meta( get_post_meta( $post_id ) );
        $product->set_attributes(
            get_post_meta( $post_id, Prodigy_Product_Attributes::PRODUCT_ATTRIBUTE_META, true )
        );

        $product->set_categories(
            get_the_terms( $post_id, Prodigy::get_prodigy_category_type() )
        );

        $product->set_tags(
            get_the_terms( $post_id, Prodigy::get_prodigy_tag_type() )
        );

        $product->set_count_reviews(
            Prodigy_Product_Comments::get_count_review_product( $post_id )
        );

        $product->set_count_rating(
            Prodigy_Product_Comments::get_counts_rating_product( $post_id )
        );

        $product->set_average_rating(
            Prodigy_Product_Comments::get_rating_average_product( $post_id )
        );

        $product->set_available_variants(
            get_available_variants( $post_id )
        );

        $product->set_up_sell_product_ids(
            Prodigy_Product::get_upsell_product_ids( $post_id )
        );

        $product->set_cross_sell_product_ids(
            Prodigy_Product::get_upsell_product_ids( $post_id )
        );
        $product->set_variants(
            Prodigy_Product_Variants::get_variants_from_product( $post_id )
        );
    }

    return $product;
}

/**
 * @param string $pages
 * @param int $range
 */
function prodigy_pagination( $pages = '', $range = 4 ) {
    $showitems = ( $range * 2 ) + 1;

    global $paged;
    if ( empty( $paged ) ) {
        $paged = 1;
    }

    if ( $pages == '' ) {
        global $wp_query;
        $pages = $wp_query->max_num_pages;
        if ( ! $pages ) {
            $pages = 1;
        }
    }

    if ( 1 != $pages ) {
        if ( $paged > 2 && $paged > $range + 1 && $showitems < $pages ) {
            echo "<a href='" . esc_url( get_pagenum_link( 1 ) ) . "'>&laquo; First</a>";
        }

        if ( $paged > 1 && $showitems < $pages ) {
            echo "<a class=\"prodigy-pagination__nav prodigy-pagination__nav-prev\" <a href='" . esc_url( get_pagenum_link( $paged - 1 ) ) . "'>
                    <i class=\"icon icon-arrow-left prodigy-pagination__nav-icon\"></i>
                    <span class=\"d-md-none\">&lsaquo; Prev</span>
                  </a> ";
        }

        for ( $i = 1; $i <= $pages; $i ++ ) {
            if ( 1 != $pages && ( ! ( $i >= $paged + $range + 1 || $i <= $paged - $range - 1 ) || $pages <= $showitems ) ) {
                echo ( $paged == $i ) ? "<span class=\"prodigy-pagination__item prodigy-pagination__item--active\">" . esc_attr( $i ) . "</span>" : "<a href='" . esc_url( get_pagenum_link( $i ) ) . "' class=\"prodigy-pagination__item\">" . esc_attr( $i ) . "</a>";
            }
        }

        if ( $paged < $pages && $showitems < $pages ) {
            echo "<a class=\"prodigy-pagination__nav prodigy-pagination__nav-next\" href=\"" . get_pagenum_link( $paged + 1 ) . "\">
                    <span class=\"d-md-none\">Next &rsaquo;</span>
                    <i class=\"icon icon-arrow-right prodigy-pagination__nav-icon\"></i>
                  </a>";
        }

        if ( $paged < $pages - 1 && $paged + $range - 1 < $pages && $showitems < $pages ) {
            echo "<a href='" . esc_url( get_pagenum_link( $pages ) ) . "'>Last &raquo;</a>";
        }

        echo "</div>\n";
    }
}

if ( ! function_exists( 'get_agrs_for_filter' ) ) {
    /**
     * return posts
     *
     * @return array
     */
    function get_agrs_for_filter() {

        global $wp_query;
        $args = [];

        $args['posts_per_page'] = - 1;
        $args['post_type']      = Prodigy::get_prodigy_product_type();
        $args['post_status']    = 'publish';

        if ( isset( $_GET['search'] ) && ! empty( $_GET['search'] ) && sanitize_text_field( $_GET['search'] ) ) {
            /*
             * Search by all symbols
             */
            $args['s'] = filter_var( $_GET['search'], FILTER_SANITIZE_STRIPPED );
        }

        if ( isset( $wp_query->queried_object->name ) && sanitize_text_field( $wp_query->queried_object->name ) ) {
            $args['tax_query'] = [
                'relation' => 'AND',
                [
                    'taxonomy' => $wp_query->queried_object->taxonomy,
                    'field'    => 'name',
                    'terms'    => $wp_query->queried_object->name,
                ],
            ];
        }

        if ( isset( $_GET['attr'] ) && is_array($_GET['attr']) ) {
            foreach ( $_GET['attr'] as $attr => $values ) {
                if ( $attr ) {
                    $terms = explode( ';', sanitize_text_field($values) );
                    foreach ( $terms as $key=>$term ) {
                        $valid_terms = [];
                        if ( $term ) {
                            $valid_terms[$key] = sanitize_text_field( $term );
                        }

                        if ( isset($args['tax_query']) ) {
                            $array = [
                                'taxonomy' => sanitize_text_field($attr),
                                'field' => 'name',
                                'terms' => $valid_terms,
                            ];
                            array_push( $args['tax_query'], $array );
                        } else {
                            $args['tax_query'] = [
                                'relation' => get_query_type_attr(),
                                [
                                    'taxonomy' => $attr,
                                    'field' => 'name',
                                    'terms' => $valid_terms,
                                ]
                            ];
                        }
                    }
                }
            }
        }

        if ( isset( $_GET['price_min'] ) && $_GET['price_min'] && isset( $_GET['price_max'] ) && $_GET['price_max'] ) {
            if (
            $price_min = filter_var( $_GET['price_min'], FILTER_VALIDATE_INT ) &&
                         $price_max = filter_var( $_GET['price_max'], FILTER_VALIDATE_INT )
            ) {
                $args['meta_query'][] = [
                    'key'     => 'product_regular_price',
                    'value'   => [ $price_min, $price_max ],
                    'type'    => 'numeric',
                    'compare' => 'between'
                ];
            }
        } else {
            if ( isset( $_GET['price_min'] ) && $_GET['price_min'] ) {
                if ( $price_min = filter_var( $_GET['price_min'], FILTER_VALIDATE_INT ) ) {
                    $args['meta_query'][] = [
                        'key'     => 'product_regular_price',
                        'value'   => $price_min,
                        'type'    => 'numeric',
                        'compare' => '>'
                    ];
                }
            }

            if ( isset( $_GET['price_max'] ) && $_GET['price_max'] ) {
                if ( $price_max = filter_var( $_GET['price_max'], FILTER_VALIDATE_INT ) ) {
                    $args['meta_query'][] = [
                        'key'     => 'product_regular_price',
                        'value'   => $price_max,
                        'type'    => 'numeric',
                        'compare' => '<'
                    ];
                }
            }
        }

        return $args;
    }
}

if ( ! function_exists( 'get_query_type_attr' ) ) {
    /**
     * @return mixed|string
     */
    function get_query_type_attr() {

        $query_type_attr = 'AND';

        $info_widget = get_info_widget( 'widget_filters_prodigy_widget' );
        if ( is_array( $info_widget ) ) {
            $query_type_attr = ( array_key_exists( 'query_type', $info_widget ) ) ? $info_widget['query_type'] : 'AND';
        }

        return $query_type_attr;
    }
}

if ( ! function_exists( 'get_agrs_categories_for_filter' ) ) {
    /**
     * return args
     *
     * @return array
     */
    function get_agrs_categories_for_filter() {

        global $wp_query;
        $args = [];

        $args['posts_per_page'] = - 1;
        $args['post_type']      = Prodigy::get_prodigy_product_type();
        $args['post_status']    = 'publish';

        if ( isset( $wp_query->queried_object->name ) && sanitize_text_field( $wp_query->queried_object->name ) ) {
            $args['tax_query'] = [
                'relation' => 'AND',
                [
                    'taxonomy' => $wp_query->queried_object->taxonomy,
                    'field'    => 'name',
                    'terms'    => $wp_query->queried_object->name,
                ],
            ];
        }

        return $args;
    }
}

if ( ! function_exists( 'get_info_widget' ) ) {
    /**
     * get info widget by name
     *
     * @param string $name
     *
     * @return bool|array
     */
    function get_info_widget( string $name ) {
        
        $info = get_option( $name );
        
        if (!is_array($info)) {
            return false;
        }
        
        foreach ( $info as $widget_filter ) {
            return $widget_filter;
        }
    }
}

if ( ! function_exists( 'prodigy_get_images_src' ) ) {
    /**
     * @param string $img_ids
     * @param string $img_size
     *
     * @return array
     */
    function prodigy_get_images_src( string $img_ids, $img_size = '' ) {
        
        
        $img_ids = explode( ",", $img_ids );
        
        $image_src = [];
        foreach ( $img_ids as $key => $img_id ) {
            $img = null;
            if ( ! empty( $img_id ) ) {
                $img_data = wp_get_attachment_image_src( (int) $img_id, $img_size );
                if ( ! empty( $img_data[0] ) ) {
                    $image_src[ $key ] = $img_data[0];
                }
            }
        }
        
        return $image_src;
    }
}
// add google captcha
add_action( 'wp_ajax_google-captcha-url', 'google_captcha_url' );
add_action( 'wp_ajax_nopriv_google-captcha-url', 'google_captcha_url' );

/**
 * Get google captcha
 */
function google_captcha_url() {
    $data = [];
    header( 'Content-Type: application/json' );
    error_reporting( E_ALL ^ E_NOTICE );
    if ( isset( $_POST['g-recaptcha-response'] ) ) {
        $captcha = $_POST['g-recaptcha-response'];
    }
    if ( ! $captcha ) {
        $data = array( 'nocaptcha' => 'true' );
        echo wp_json_encode( $data );
        exit;
    }
    // calling google recaptcha api.
    $response = wp_remote_get( "https://www.google.com/recaptcha/api/siteverify?secret=" . get_option( 'pg_captcha_secret_key' ) . "&response=" . $captcha . "&remoteip=" . $_SERVER['REMOTE_ADDR'] );
    // validating result.
    $responseKeys = wp_remote_retrieve_body( $response );
    if ( $responseKeys['success'] == false ) {
        $data = array( 'spam' => 'true' );
        echo wp_json_encode( $data );
    } else {
        $data = array( 'spam' => 'false' );
        echo wp_json_encode( $data );
    }
    wp_die();
}

add_action( 'wp_ajax_prodigy-is-admin', 'check_user_is_admin' );
add_action( 'wp_ajax_nopriv_prodigy-is-admin', 'check_user_is_admin' );


/**
 * check user is admin
 */
function check_user_is_admin() {
    $user = wp_get_current_user();
    if ( ! empty( $user->roles ) && $user->roles[0] === 'administrator' ) {
        echo true;
    } else {
        echo false;
    }
    wp_die();
}


/**
 * Check sale product price
 *
 * @param object $product
 *
 * @return bool
 */
function is_product_single_price( $product ) {
    $is_sale_prices = !empty($product->get_meta_field('product_sale_price'));

    foreach ( $product->get_variants() as $variant ) {
        if (!empty($variant['product_sale_price'])) {
            $is_sale_prices = true;
        }
    }

    $is_the_same_regular_prices = false;

    if ( !$is_sale_prices ) {

        $regular_prices = [];
        foreach ( $product->get_variants() as $key => $variant ) {
            if (!empty($variant['product_regular_price'])) {
                $regular_prices[$key] = $variant['product_regular_price'];
            }
        }
        array_push($regular_prices, $product->get_meta_field('product_regular_price'));

        if (count(array_unique($regular_prices)) <= 1) {
            $is_the_same_regular_prices = true;
        }
    }

    return $is_sale_prices && $is_the_same_regular_prices;
}

/*
* Change standard review title
*/
function isa_comment_reform ( $arg ) {

    if (is_prodigy_blog()) {
        $arg['title_reply'] = __('Leave a Comment');
    }
    if (isset($GLOBALS['prodigy_product'])) {
        $product = $GLOBALS['prodigy_product'];
        if ( $product ) {
            $arg['title_reply'] = __( 'My Review for ' . $product->get_field( 'post_title' ) );
        }
    }
    return $arg;
}
add_filter('comment_form_defaults','isa_comment_reform');


/**
 * Prodigy price format
 *
 * @param float $price
 *
 * @return string
 */
function prodigy_price_format( $price ) {
    return number_format( (float) $price,2, '.', ',');
}

/**
 * Generate unique hash
 *
 * @return string
 */
function generate_uuid() {
    return sprintf( '%04x%04x-%04x-%04x-%04x-%04x%04x%04x',
        mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ),
        mt_rand( 0, 0xffff ),
        mt_rand( 0, 0x0C2f ) | 0x4000,
        mt_rand( 0, 0x3fff ) | 0x8000,
        mt_rand( 0, 0x2Aff ), mt_rand( 0, 0xffD3 ), mt_rand( 0, 0xff4B )
    );
}

/**
 * Display a beautiful, human-readable, comment time
 *
 * @param int $comment_id
 *
 * @return string
 */
function prodigy_get_comment_time( $comment_id = 0 ){
    return sprintf(
        _x( '%s ago', 'Human-readable time', 'prodigy' ),
        human_time_diff(
            get_comment_date( 'U', $comment_id ),
            current_time( 'timestamp' )
        )
    );
}

if ( ! function_exists( 'prodigy_product_container_description' ) ) {

    /**
     * Show a shop page description on products shop.
     */
    function prodigy_product_container_description() {
        // Don't display the description on search results page.
        if ( is_search() ) {
            return;
        }

        $info_shop_page = prodigy_get_page_id( 'shop' );

        /*
         * if page is not "shop" then don't display the description
         */
        if ( empty( $info_shop_page ) ) {
            return;
        }

        $shop_page = get_post( $info_shop_page );
        if ( $shop_page ) {
            $description = prodigy_format_content( $shop_page->post_content );
            if ( $description ) {
                echo $description;
            }
        }
    }
}


function is_prodigy_blog () {
    return ( is_archive() || is_author() || is_category() || is_home() || is_single() || is_tag()) && 'post' == get_post_type();
}

/**
 * @param $page
 *
 * @return bool|int
 */
function prodigy_get_page_id( $page ) {

    $page = apply_filters( 'prodigy_get_' . $page . '_page_id', get_option( 'prodigy_' . $page . '_page_id' ) );

    return $page ? absint( $page ) : false;
}

/**
 * Format content to display shortcodes.
 *
 * @param  string $raw_string Raw string.
 * @return string
 */
function prodigy_format_content( $raw_string ) {
    return apply_filters( 'prodigy_format_content', apply_filters( 'prodigy_short_description', $raw_string ), $raw_string );
}


add_filter( 'prodigy_short_description', 'wptexturize' );
add_filter( 'prodigy_short_description', 'convert_smilies' );
add_filter( 'prodigy_short_description', 'convert_chars' );
add_filter( 'prodigy_short_description', 'wpautop' );
add_filter( 'prodigy_short_description', 'shortcode_unautop' );
add_filter( 'prodigy_short_description', 'prepend_attachment' );
add_filter( 'prodigy_short_description', 'do_shortcode', 11 );
