<?php

add_action( 'prodigy_container_description', 'prodigy_product_container_description', 10 );

/**
 * Shortcodes
 */
add_action( 'prodigy_shortcode_template_search', 'prodigy_get_template_shortcode_search', 10, 1 );
add_action( 'prodigy_shortcode_template_thank_you', 'prodigy_get_template_shortcode_thank_you', 10, 1 );
add_action( 'prodigy_shortcode_template_products', 'prodigy_get_template_shortcode_products', 10, 1 );
add_action( 'prodigy_shortcode_template_products_theme', 'prodigy_get_template_shortcode_products_theme', 10, 1 );


add_action( 'prodigy_shortcode_template_price_filter', 'prodigy_get_template_shortcode_price_filter', 10, 1 );
add_action( 'prodigy_shortcode_template_my_account', 'prodigy_get_template_shortcode_my_account', 10, 1 );
add_action( 'prodigy_shortcode_template_left_categories_filter', 'prodigy_get_template_shortcode_left_categories_filter', 10, 1 );
add_action( 'prodigy_shortcode_template_cart', 'prodigy_get_template_shortcode_cart', 10, 1 );
add_action( 'prodigy_shortcode_template_breadcrumbs', 'prodigy_get_template_shortcode_breadcrumbs', 10, 1 );
add_action( 'prodigy_shortcode_template_attributes_filter', 'prodigy_get_template_shortcode_attributes_filter', 10, 1 );
add_action( 'prodigy_shortcode_template_active_filters', 'prodigy_get_template_shortcode_active_filters', 10, 1 );
add_action( 'prodigy_shortcode_template_cart_page', 'prodigy_get_template_shortcode_cart_page', 10, 1 );
add_action( 'prodigy_shortcode_template_subscription', 'prodigy_get_template_shortcode_subscription', 10, 1 );



add_action( 'prodigy_thank_you_page', 'prodigy_get_thank_you_page', 15 );


add_action( 'prodigy_all_products_sidebar', 'prodigy_get_template_left_sidebar', 10 );
add_action( 'prodigy_all_products_get_item_product', 'prodigy_get_template_product_item', 10 );
add_action( 'prodigy_all_products_without_result', 'prodigy_get_template_without_result', 10 );
add_action( 'prodigy_all_products_active_filters', 'prodigy_get_active_filters', 10 );
add_action( 'prodigy_all_products_attributes_filter', 'prodigy_get_products_attributes_filter', 10 );
add_action( 'prodigy_all_products_price_filter', 'prodigy_get_products_price_filter', 10 );
add_action( 'prodigy_all_products_categories_filter', 'prodigy_get_categories_filter', 10 );

add_action( 'prodigy_header_menu_breadcrumbs', 'prodigy_get_bottom_menu_breadcrumbs', 10 );
add_action( 'prodigy_header_menu_breadcrumbs', 'prodigy_get_template_sortable', 10 );

add_action( 'prodigy_all_products_sortable', 'prodigy_mobile_sortable', 10 );

add_action( 'prodigy_shortcode_template_feed_categories', 'prodigy_shortcode_get_template_feed_categories', 10, 1 );
add_action( 'prodigy_shortcode_template_our_categories', 'prodigy_shortcode_get_template_our_categories', 10, 1 );



add_action( 'prodigy_single_product_summary', 'prodigy_template_single_title', 5 );
add_action( 'prodigy_single_product_summary', 'prodigy_template_single_meta', 10 );
add_action( 'prodigy_single_product_summary', 'prodigy_template_single_rating', 15 );
add_action( 'prodigy_single_product_summary', 'prodigy_template_short_description', 20 );
add_action( 'prodigy_single_product_summary', 'prodigy_template_single_variants', 25 );
add_action( 'prodigy_single_product_summary', 'prodigy_template_single_price', 30 );
add_action( 'prodigy_single_product_summary', 'prodigy_template_single_add_to_cart', 35 );
add_action( 'prodigy_single_product_summary', 'prodigy_template_single_categories', 40 );


add_action( 'prodigy_before_single_product_summary', 'prodigy_show_product_images', 20 );
add_action( 'prodigy_product_thumbnails', 'prodigy_show_product_thumbnails', 20 );

/**
 * Additional Information tab.
 *
 */
add_action( 'prodigy_product_additional_information', 'prodigy_display_product_attributes', 10 );

/**
 * Product page tabs.
 */
add_filter( 'prodigy_product_tabs', 'prodigy_default_product_tabs' );

add_filter('max_srcset_image_width', 'max_srcset_image_width_func', 10);

/**
 * After Single Products Summary Div.
 *
 * @see prodigy_output_product_data_tabs()
 */
add_action( 'prodigy_after_single_product_summary', 'prodigy_output_product_data_tabs', 10 );

add_action( 'prodigy_after_single_product_summary', 'prodigy_upsell_products_display', 10 );

/**
 * Reviews
 *
 * @see prodigy_review_display_rating()
 * @see prodigy_review_display_meta()
 * @see prodigy_review_display_comment_text()
 */
add_action( 'prodigy_review_before', 'prodigy_review_display_gravatar', 10 );
add_action( 'prodigy_review_before_comment_meta', 'prodigy_review_display_rating', 10 );
add_action( 'prodigy_review_meta', 'prodigy_review_display_meta', 10 );
add_action( 'prodigy_review_comment_text', 'prodigy_review_display_comment_text', 10 );

add_action( 'wp_footer', 'prodigy_photoswipe'  );
