<?php

/**
 * Prodigy breadcrumbs shortcode class
 *
 * @version    1.0.0
 * @package    Prodigy
 * @subpackage Prodigy/includes
 */


if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Class Prodigy_Short_Code_Breadcrumbs
 */
class Prodigy_Short_Code_Breadcrumbs {

    public function __construct() {
        add_shortcode( 'breadcrumbs-list', [ $this, 'output' ] );
    }

    /**
     * @param array $atts
     * @param null $content
     * @param string $name
     *
     * @return string
     */
    public function output( $atts, $content = null, $name ) {
        
        $current_object = get_queried_object();
    
        $category_name = '';
        $category_slug = '';
        $url_to = '';

        if (
                ! empty( $current_object )
                && (
                        get_term( $current_object->term_id, Prodigy::get_prodigy_category_type() )
                        || get_term( $current_object->term_id, Prodigy::get_prodigy_tag_type() )
                )
        ) {
            $category_slug     = $current_object->slug;
            $category_name     = $current_object->name;
            $category_taxonomy = $current_object->taxonomy;

            $url_to = '/' . $category_taxonomy . '/' . $category_slug;
        }

        $link_to_shop = get_permalink( get_page_by_path( 'shop' ) );
    
        ob_start();
    
        do_action( 'prodigy_shortcode_template_breadcrumbs', [
            'category_name' => $category_name,
            'link_to_shop' => $link_to_shop,
            'category_slug' => $category_slug,
            'url_to' => $url_to,
        ] );

        wp_reset_postdata();

        $content = ob_get_contents();
        ob_clean();

        return $content;
    }
}

return new Prodigy_Short_Code_Breadcrumbs();