(function( $ ) {
    'use strict';

    $(document).ready(function() {

        let current_type_tag = prodigy_active_filter.current_type_tag;

        $('.main-badge-js').on( 'click', function () {
            remove_attr_value($(this), $.trim($(this).text()));
        });

        $('.filter__item-list-close').on( 'click', function () {
            remove_attr_value($(this), $(this).attr('data-attribute-value'));
        });

        function remove_attr_value(self, close_p) {

            let close_param = close_p;
            let attr_name = self.attr("data-attribute-name");

            let new_url = '';
            if (attr_name === 'price') {
                let url = new URL(document.location.href);
                let params_price = new URLSearchParams(url.search.slice(1));
                params_price.delete('price_max');
                params_price.delete('price_min');

                new_url = document.location.origin + document.location.pathname + '?' + params_price.toString();

            } else if(attr_name === 'tag') {

                let url = new URL(document.location.href);
                let params_search = new URLSearchParams(url.search.slice(1));
                params_search.delete(current_type_tag);

                let new_search = '';

                if (params_search.toString()) {
                    new_search = '?' + params_search.toString();
                }

                new_url = document.location.origin + '/shop/' + new_search;
            } else {
                let param_values = getUrlParam('attr%5B' + attr_name + '%5D');
                let params_attr = param_values.split('%3B');
                removeArr(params_attr, close_param);
                new_url = setUrlParameter(document.location + '', 'attr%5B' + attr_name + '%5D', params_attr.join('%3B'));
            }

            history.pushState('', '', new_url);
            document.location.reload();
        }


        function removeArr(arr) {
            let what, a = arguments, L = a.length, ax;
            while (L > 1 && arr.length) {
                what = a[--L];
                while ((ax = arr.indexOf(what)) !== -1) {
                    arr.splice(ax, 1);
                }
            }
            return arr;
        }

        function getUrlParam( name ) {
            var results = new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
            if (results==null) {
                return null;
            }
            return decodeURI(results[1]) || 0;
        }

        function setUrlParameter(url, key, value) {

            var baseUrl = url.split('?')[0],
                urlQueryString = '?' + url.split('?')[1],
                newParam = key + '=' + value,
                params = '?' + newParam;

            // If the "search" string exists, then build params from it
            if (urlQueryString) {
                var updateRegex = new RegExp('([\?&])' + key + '[^&]*');
                var removeRegex = new RegExp('([\?&])' + key + '=[^&;]+[&;]?');

                if (typeof value === 'undefined' || value === null || value === '') { // Remove param if value is empty
                    params = urlQueryString.replace(removeRegex, "$1");
                    params = params.replace(/[&;]$/, "");

                } else if (urlQueryString.match(updateRegex) !== null) { // If param exists already, update it
                    params = urlQueryString.replace(updateRegex, "$1" + newParam);

                } else { // Otherwise, add it to end of query string
                    params = urlQueryString + '&' + newParam;
                }
            }

            // no parameter was set so we don't need the question mark
            params = params === '?' ? '' : params;

            return baseUrl + params;
        }

    });

}) (jQuery);