(function( $ ) {
    'use strict';
    $(document).ready(function() {
        var to = 1000;
        var from = 0;
        let from_change = 0;
        let to_change = 0;
        let taxonomy = prodigy_product_price.taxonomy;

        const button_apply = $('.price-filter-submit-js');

        let min_price = prodigy_product_price.min;
        let max_price = prodigy_product_price.max;
        let current_type_category = prodigy_product_price.current_type_category;

        button_apply.hide();

        $(".js-range-slider").ionRangeSlider({
                type: "double",
                from: getUrlParam('price_min'),
                to: getUrlParam('price_max'),
                min: min_price,
                max: max_price,
                hide_min_max: true,
                hide_from_to: true,
            onStart: function (data) {
                if (getUrlParam('price_min') !== null ) {
                    $('.min-js').text( getUrlParam('price_min') );
                } else {
                    $('.min-js').text(min_price);
                }
                if (getUrlParam('price_max') !== null) {
                    $('.max-js').text( getUrlParam('price_max') );
                } else {
                    $('.max-js').text(max_price);
                }
            },

            onChange: function (data) {
                button_apply.show();

                from_change = data.from;
                $('.min-js').text(data.from);

                to_change = data.to;
                $('.max-js').text(data.to);
            }
        });

        button_apply.click( function () {

            if ( getUrlParam('price_min') !== null ) {
                from = getUrlParam('price_min');
            }
            if ( getUrlParam('price_max') !== null ) {
                to = getUrlParam('price_max');
            }

            if ( min_price ) {
                from = min_price;
            }
            if ( max_price ) {
                to = max_price;
            }

            if ( from_change ) {
                from = from_change;
            }
            if ( to_change ) {
                to = to_change;
            }

            var newParams = [
                [ 'price_min', from ],
                [ 'price_max', to ],
            ];

            let path_redirect = '';
            if (taxonomy === current_type_category) {
                path_redirect = document.location.pathname;
            } else {
                path_redirect = document.location.origin + '/shop';
            }

            set_price_range_analytic_event(from, to);

            var newUrl = path_redirect + insertParams(newParams);
            history.pushState('', '', newUrl);
            document.location.reload();
        });


        function set_price_range_analytic_event(min_price, max_price) {
            gtag('event', 'set_price_filter', {
                "event_category": 'prodigy_product_catalog',
                'event_label': 'change_price_filter',
                'value': min_price
            });
        }


        function getUrlParam( name ) {
            var results = new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
            if (results==null) {
                return null;
            }
            return decodeURI(results[1]) || 0;
        }


        function insertParams(params) {
            var result;
            var ii = params.length;
            var queryString = document.location.search.substr(1);
            var kvps = queryString ? queryString.split('&') : [];
            var kvp;
            var skipParams = [];
            var i = kvps.length;
            while (i--) {
                kvp = kvps[i].split('=');
                if (kvp[0].slice(-2) != '[]') {
                    var ii = params.length;
                    while (ii--) {
                        if (params[ii][0] == kvp[0]) {
                            kvp[1] = params[ii][1];
                            kvps[i] = kvp.join('=');
                            skipParams.push(ii);
                        }
                    }
                }
            }
            var ii = params.length;
            while (ii--) {
                if (skipParams.indexOf(ii) === -1) {
                    kvps.push(params[ii].join('='));
                }
            }
            result = kvps.length ? '?' + kvps.join('&') : '';
            return result;
        }

    });
}) (jQuery);