<?php

/**
 * @param      $atts
 * @param null $content
 *
 * @return false|string
 */
function prodigy_accordion_box( $atts, $content = null ) {
    
    $atts = shortcode_atts(
        [
            'id' => 'text-box-' . rand(),
        ],
        $atts
    );
    
    extract( $atts );
    
    $parse_content = [];
    
    if ( ! empty( $content ) ) {
        $arr_list      = explode( '[]', $content );
        $parse_content = array_filter( $arr_list, function ( $val ) {
            return trim( $val );
        } );
        $parse_content = array_chunk( $parse_content, 2 );
    }
    
    ob_start();
    ?>
    <div id="accordion">
        <?php foreach ( $parse_content as $key => $value ): ?>
            <div class="<?php if ( $key === 0 ) {
                echo 'faq-section__accordion-card';
            } else {
                echo 'main-accordion__card';
            } ?>">
                <div class="main-accordion__card-header" id="heading<?php echo esc_attr( $key ); ?>">
                    <button
                            class="main-accordion__card-btn"
                            data-toggle="collapse"
                            data-target="#collapse<?php echo esc_attr( $key ); ?>"
                            aria-expanded="false"
                            aria-controls="collapse<?php echo esc_attr( $key ); ?>"
                    >
                        <i class="main-accordion__card-icon icon icon-arrow-down"></i>
                        <?php echo esc_html( strip_tags( $value[0] ) ); ?>
                    </button>
                </div>
                <div class="collapse" id="collapse<?php echo esc_attr( $key ); ?>"
                     aria-labelledby="heading<?php echo esc_attr( $key ); ?>" data-parent="#accordion">
                    <div class="main-accordion__card-body">
                        <p class="main-accordion__card-txt">
                            <?php echo esc_html( strip_tags( $value[1] ) ); ?>
                        </p>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>

    </div>

    <script>
        jQuery(document).ready(function ($) {
            (function () {
                $(".collapse").on("show.bs.collapse hide.bs.collapse", function (e) {
                    if (e.type === 'show') {
                        $(this).parent().addClass('main-accordion__card--open');
                        $(this).addClass('active');
                    } else {
                        $(this).parent().removeClass('main-accordion__card--open');
                        $(this).removeClass('active');
                    }
                });
            }).call(this);
        });
    </script>
    
    <?php
    $content = ob_get_contents();
    ob_end_clean();
    
    return $content;
}

add_shortcode( 'accordion', 'prodigy_accordion_box' );
