<?php

/**
 * @param      $atts
 * @param null $content
 *
 * @return false|string
 */
function prodigy_banner( $atts, $content = null ) {

    extract( shortcode_atts( array(
        '_id' => 'banner-'.rand(),
        'img_id' => '',
        'img_size' => 'full',
        'img_src' => ''
    ), $atts ) );

    $img = null;
    if (!empty($img_id)) {
        $img_data = wp_get_attachment_image_src( (int) $img_id, $img_size );
        if (!empty($img_data[0])) {
            $img = $img_data[0];
        }
    }

    $image_src = !empty($img_src) ? $img_src : $img;

    ?>

    <div class="about-us__header" id="<?php echo esc_attr($_id); ?>" style="background-image: url(<?php echo esc_attr($image_src) ?>);">

        <?php
            // Get Layers
            if ((has_shortcode( $content, 'text_box' ) || has_shortcode( $content, 'image' ))) {
                echo prodigy_contentfix($content);
            }
        ?>

    </div>

    <?php
    $content = ob_get_contents();
    ob_end_clean();
    return $content;
}

add_shortcode('banner', 'prodigy_banner');
