<?php

/**
 * @param array $atts
 * @return false|string
 */
function prodigy_tabs($atts) {

    $atts = shortcode_atts( array(
        'style'     => '',
        'locations' => '',
        'api_key'   => ''
    ), $atts );

    extract( $atts );
    ob_start();

    $places = explode(";", $locations);
    ?>

    <div class="col-xl-8 offset-xl-2 d-lg-flex">
      <ul class="nav vertical-tabs" id="myTab" role="tablist">
        <?php foreach ( $places as $key => $place ): ?>
            <li>
                <a class="nav-item vertical-tabs__item <?php echo ($key === 0) ? 'active' : '' ?>" id="item-tab-<?php echo $key ?>" data-toggle="tab" href="#item-<?php echo $key ?>" role="tab" aria-controls="item-<?php echo $key ?>" aria-selected="true">
                    <?php echo $place?>
                </a>
            </li>
        <?php endforeach; ?>
      </ul>
      <div class="vertical-tabs-panes">
        <?php foreach ( $places as $key => $place ): ?>
            <div class="fade vertical-tabs-panes__item <?php echo ($key === 0) ? 'active show' : '' ?>" id="item-<?php echo $key ?>" role="tabpanel" aria-labelledby="item-tab-<?php echo $key ?>">
                <?php echo do_shortcode( "[pg_map only_map=false address=' $place ' key=' $api_key ']" ) ?>
            </div>
        <?php endforeach; ?>
      </div>
    </div>

    <?php
    $content = ob_get_contents();
    ob_end_clean();
    return $content;
}

add_shortcode('map_tabs', 'prodigy_tabs');
