<?php

/**
 * @param      $atts
 * @param null $content
 *
 * @return false|string
 */
function prodigy_profile_box( $atts, $content = null ){

    $atts = shortcode_atts( array(
        'id' => 'text-box-'.rand(),
        'style' => '',
        'name' => 'Alexa Graham',
        'info' => 'CEO / FOUNDER',
        'img_src' => 'https://hips.hearstapps.com/rover/profile_photos/fa70aff2-1a7f-4024-b808-7d8876299b13.jpg?fill=1:1&amp;resize=80:*',
        'img_id' => '',
        'img_size' => '',
        'description' => 'It is a long established fact that a reader will be distracted by the readable'
    ), $atts );

    extract( $atts );

    $img = null;
    if (!empty($img_id)) {
        $img_data = wp_get_attachment_image_src( (int) $img_id, $img_size );
        if (!empty($img_data[0])) {
            $img = $img_data[0];
        }
    }

    $image_src = !empty($img_src) ? $img_src : $img;

    ob_start();
    ?>
    <div class="about-us__item">
        <img class="about-us__item-img" src="<?php echo esc_attr($image_src) ?>" alt="">
        <p class="about-us__item-name"><?php echo esc_attr($name) ?></p>
        <p class="about-us__item-info"><?php echo esc_attr($info) ?></p>
        <div class="about-us__item-contacts">
            <div class="prd-social">
                <a class="icon icon-facebook" href="#"></a>
                <a class="icon icon-twitter" href="#"></a>
                <a class="icon icon-instagram" href="#"></a>
            </div>
        </div>
        <p class="about-us__item-desc"><?php echo esc_attr($description) ?></p>
    </div>

    <?php
    $content = ob_get_contents();
    ob_end_clean();
    return $content;
}

add_shortcode('profile', 'prodigy_profile_box');
