<?php

function prodigy_row($atts, $content = null) {
    extract( shortcode_atts( array(
        'container' => 'main',
        'container_class' => 'container'
    ), $atts));

    if ($container == 'main') {
        $str = '<main><div class="'.$container_class.'"><div class="row">' . prodigy_contentfix($content) . '</div></div></main>';
    } else {
        $str = '<div class="'.$container_class.'"><div class="row">' . prodigy_contentfix($content) . '</div></div>';
    }

    return $str;
}

// [col]
function prodigy_col($atts, $content = null) {
	extract( shortcode_atts( array(
	    'span' => '',
        'span_md' => '',
        'span_sm' => '',
        'offset' => '',
        'offset_md' => '',
        'offset_sm' => '',
        'offset_lg' => '1',
        'col_count' => '',
        'col_lg' => '10',
    ), $atts));

	$classes = [];
	if ($span) {
	    $classes[] = 'col-xl-' . $span;
    }

	if ($offset) {
	    $classes[] = 'offset-xl-'. $offset;
    }

	if ($span_md) {
	    $classes[] = 'col-md-' . $span_md;
    }

    if ($offset_md) {
        $classes[] = 'offset-md-' . $offset_md;
    }
    
    if ($offset_lg) {
        $classes[] = 'offset-lg-' . $offset_lg;
    }
    
    if ($col_count) {
        $classes[] = 'col-' . $col_count;
    }
    
    if ($col_lg) {
        $classes[] = 'col-lg-' . $col_lg;
    }
    
	$column = '<div class="' . implode( ' ', $classes) . '">' . $content . '</div>';
  return prodigy_contentfix($column);
}

add_shortcode('col', 'prodigy_col');
add_shortcode('row', 'prodigy_row');
