<?php

/**
 * @param array $atts
 * @param null  $content
 *
 * @return mixed
 */
function prodigy_slider( $atts, $content=null ) {

    extract( shortcode_atts( array(
        '_id' => 'slider-'.rand(),
        'img_ids' => '',
        'img_size' => 'full',
        'inside_banner' => 0,
        'inside_banner_p_text' => "",
        'inside_banner_h2_text' => ""
    ), $atts ) );


    $images_src = prodigy_get_images_src( $img_ids, $img_size );
    $h2_string = explode(' ', $inside_banner_h2_text);


    ob_start();
    ?>

    <div class="prodigy-homepage__top-section">
        <div class="prodigy-homepage__slider-navs homepage-top-slider-arrows-js"></div>
        <div class="prodigy-homepage__top-section-slider homepage-top-slider-js">
            <?php if ( is_array($images_src) ): ?>
                <?php foreach ($images_src as $img): ?>

                <div class="prodigy-homepage__top-section-slider-item" style="background-image: url(<?php echo esc_attr($img) ?>)">
                    <?php if ( (int) $inside_banner ): ?>
                        <div class="prodigy-homepage__top-section-slider-cta">
                            <?php if ( !empty($inside_banner_p_text) ): ?>
                               <p><?php echo html_entity_decode($inside_banner_p_text) ?></p>
                            <?php endif; ?>
                            <?php if ( !empty($inside_banner_h2_text) ): ?>
                                <h2 class="prodigy-homepage__top-section-slider-cta-title">
                                    <?php
                                        echo $h2_string[0] .' '.$h2_string[1] .'<br>';
                                        unset($h2_string[0]);
                                        unset($h2_string[1]);
                                    ?>
                                    <?php echo implode(" ", $h2_string); ?>
                                </h2>
                            <?php endif; ?>
                          <div class="d-flex justify-content-center">
                              <?php
                                  // Get Layers
                                  if ( has_shortcode( $content, 'button' ) ) {
                                      echo prodigy_contentfix( $content );
                                  }

                              ?>
                          </div>
                        </div>
                    <?php endif; ?>
                </div>

            <?php endforeach; ?>
        <?php endif; ?>

        </div>
    </div>
    <script type="text/javascript">
        jQuery(document).ready(function ($) {
            $('.homepage-top-slider-js').slick({
                dots: true,
                slidesToShow: 1,
                appendArrows: $('.homepage-top-slider-arrows-js'),
                prevArrow: '<i class="icon icon-arrow-left prodigy-homepage__slider-icon font-24"></i>',
                nextArrow: '<i class="icon icon-arrow-right prodigy-homepage__slider-icon font-24"></i>'
            })
        });
    </script>

    <?php
    $content = ob_get_contents();
    ob_end_clean();

    return $content;
}

add_shortcode('slider', 'prodigy_slider');