<?php

/**
 * Prodigy my account widget class
 *
 * @version    1.0.0
 * @package    Prodigy
 * @subpackage Prodigy/includes
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Class My_Account_Prodigy_Widget
 */
class My_Account_Prodigy_Widget extends WP_Widget {
    
    /**
     * @var string|void
     */
    protected $default_title;
    
    /**
     * My_Account_Prodigy_Widget constructor.
     */
    public function __construct() {
    
        $this->default_title = esc_html__('My Account', 'prodigy');
        
        $widget_ops = array(
            'classname'   => 'my_account_prodigy_widget',
            'description' => 'Prodigy My Account',
        );
        parent::__construct( 'my_account_prodigy_widget', 'Prodigy My Account', $widget_ops );
        
        add_action( 'widgets_init', [ $this, 'my_account_prodigy_widget' ] );
    }
    
    /**
     * register widget
     */
    public function my_account_prodigy_widget() {
        
        register_widget( 'My_Account_Prodigy_Widget' );
    }
    
    /**
     * @param array $args
     * @param array $instance
     */
    public function widget( $args, $instance ) {
        echo $args['before_widget'];
        
        echo do_shortcode( '[prodigy-my-account]' );
        
        echo $args['after_widget'];
    }
    
    /**
     * @param array $instance
     *
     * @return string|void
     */
    public function form( $instance ) {
        ?>
        <p></p>
        <?php
    }
    
    /**
     * @param array $new_instance
     * @param array $old_instance
     *
     * @return void
     */
    public function update( $new_instance, $old_instance ) {
    
    }
}

return new My_Account_Prodigy_Widget();