<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main">
            <?php if ( Prodigy_Template_Loader::$is_prodigy_theme_enable ): ?>
                <div class="container">
                    <div class="row">
                        <div class="col-md-8 offset-md-2 col-xl-4 offset-xl-4">
                            <div class="page-not-found">
                                <p class="page-not-found__error">404</p>
                                <h2 class="page-not-found__title">OPPS! PAGE IS NOT FOUND</h2>
                                <div class="page-not-found__txt main-txt">
                                    <p>Sorry but the page you are looking for does not exist, have been removed, name changed or is temporary unavailable.</p>
                                </div><a class="main-button main-button--link" href="/home">BACK TO HOMEPAGE</a>
                            </div>
                        </div>
                    </div>
                </div>
            <?php else: ?>
            <section class="error-404 not-found">
                <header class="page-header">
                    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'prodigy' ); ?></h1>
                </header><!-- .page-header -->

                <div class="page-content">
                    <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'prodigy' ); ?></p>
                    
                    <?php
                    get_search_form();
                    
                    the_widget( 'WP_Widget_Recent_Posts' );
                    ?>

                    <div class="widget widget_categories">
                        <h2 class="widget-title"><?php esc_html_e( 'Most Used Categories', 'prodigy' ); ?></h2>
                        <ul>
                            <?php
                            wp_list_categories( array(
                                'orderby'    => 'count',
                                'order'      => 'DESC',
                                'show_count' => 1,
                                'title_li'   => '',
                                'number'     => 10,
                            ) );
                            ?>
                        </ul>
                    </div><!-- .widget -->
                    
                    <?php
                    /* translators: %1$s: smiley */
                    $prodigy_archive_content = '<p>' . sprintf( esc_html__( 'Try looking in the monthly archives. %1$s', 'prodigy' ), convert_smilies( ':)' ) ) . '</p>';
                    the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$prodigy_archive_content" );
                    
                    the_widget( 'WP_Widget_Tag_Cloud' );
                    ?>

                </div><!-- .page-content -->
            </section><!-- .error-404 -->
            <?php endif; ?>


        </main><!-- #main -->
    </div><!-- #primary -->