<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

global $wp_query;
?>

<?php if ( Prodigy_Template_Loader::$is_prodigy_theme_enable ): ?>
    <div class="col-xl-3 d-xl-block">
        <div class="shop-sidebar filter" id="filter">
            <?php dynamic_sidebar( 'prodigy_left_sidebar' ); ?>
        </div>
    </div>
<?php endif; ?>

<div class="col-xl-9 product-list">
    <div class="row">
        <?php if (have_posts()) :
            while (have_posts()): the_post();
                $current_product_id = $wp_query->post->ID;
                $product      = prodigy_setup_product_data($current_product_id);
                $rating_count = $product->get_count_rating();
                $average      = $product->get_average_rating(); ?>
            <div class="col-6 col-md-4">
                <div class="product-list__item">

                    <?php if ( ! empty($product->get_meta_field('product_sale_price'))) : ?>
                        <div class="product-list__item-label"><?php esc_html_e('SALE', 'prodigy'); ?></div>
                    <?php endif; ?>


                    <div class="product-list__link-wrp">
                        <a class="product-list__item-preview icon <?php echo empty(get_the_post_thumbnail_url( $current_product_id )) ? 'icon-image' : '' ?> " href="<?php echo esc_url(get_permalink()); ?>" >
                            <div class="product-list__item-preview-img" style="background-image: url(<?php echo get_the_post_thumbnail_url( $current_product_id ); ?>)"></div>
                        </a>
                        <a class="product-list__quick-view quick-view-js" data-id="<?php echo $current_product_id ?>">QUICK VIEW</a>
                    </div>

                    <h3 class="product-list__item-title"><a href="<?php echo esc_url(get_permalink()); ?>"><?php the_title(); ?></a></h3>
                    <?php if (pg_get_rating_html( $average, $rating_count ) ): ?>
                        <div class="product-list__item-rating">
                            <?php echo pg_get_rating_html( $average, $rating_count ); ?>
                        </div>
                    <?php endif; ?>
                    <div class="d-flex flex-wrap">
                        <?php if ( $product->get_meta_field('product_sale_price') !== '' ): ?>
                            <div class="product-list__item-price product-list__item-price--sale">
                                <?php echo esc_attr(get_option( 'pg_currency_type' ) . prodigy_price_format($product->get_meta_field('product_regular_price'))); ?>
                            </div>
                            <div class="product-list__item-price">
                                <?php echo esc_attr(get_option( 'pg_currency_type' ) . prodigy_price_format($product->get_meta_field('product_sale_price'))); ?>
                            </div>
                        <?php else: ?>
                            <div class="product-list__item-price">
                                <?php echo esc_attr(get_option( 'pg_currency_type' ) . prodigy_price_format($product->get_meta_field('product_regular_price'))); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php
            endwhile;
        endif;
        ?>

        <div class="col-12">
            <div class="prodigy-pagination">
                <?php prodigy_pagination( $wp_query->max_num_pages ); ?>
            </div>
        </div>
    </div>
</div>
