<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

global $wp_query;

$paged = get_query_var( 'paged' );

if ( empty( $paged ) ) $paged = 1;

if ( isset( $paged ) ) {
    $prev_posts = ( $paged - 1 ) * $wp_query->query_vars['posts_per_page'];
    $from       = 1 + $prev_posts;
    if ( ! empty( $wp_query->posts ) ) {
        $to = count( $wp_query->posts ) + $prev_posts;
        $of = $wp_query->found_posts;
    }
}

if ( isset( $_GET['search'] ) ) {
    $search = strip_tags( $_GET['search'] );
}

if ( ! have_posts() ) {
    return;
}
?>

<div class="prodigy-sort d-none d-lg-flex" data-width="200" style="float: right">
    <div class="prodigy-sort__results">
        <span class="prodigy-sort__results-label">
            <?php if ( ! empty( $search ) ) : ?>
                <?php esc_html_e('Search results for', 'prodigy'); ?> <span class="prodigy-sort__results-item"><?php echo esc_attr($search); ?></span>
            <?php endif; ?>
            <?php esc_html_e('Showing:', 'prodigy'); ?>
        </span>
        <span class="prodigy-sort__results-data">
           <?php if ( isset( $from, $to, $of ) ): ?>
               <?php
                printf( '%s - %s of %s results', esc_attr($from), esc_attr($to), esc_attr($of) );
                ?>
           <?php endif; ?>
        </span>
    </div>

    <?php
        if (!isset($_GET['sort'])) {
            $_GET['sort'] = '';
        }
    ?>

    <select onchange="location = this.value;">
        <option
                value="<?php echo add_query_arg( 'sort', 'date', esc_url_raw($_SERVER['REQUEST_URI']) ); ?>"
            <?php echo ( sanitize_text_field($_GET['sort']) === 'date' ) ? 'selected' : '' ?>
        >
            <?php esc_html_e( 'Sort by newness', 'prodigy' ); ?>
        </option>
        <option
                value="<?php echo add_query_arg( 'sort', 'rating', esc_url_raw($_SERVER['REQUEST_URI'] )); ?>"
            <?php echo ( sanitize_text_field($_GET['sort']) === 'rating' ) ? 'selected' : '' ?>
        >
            <?php esc_html_e( 'Sort by average rating', 'prodigy' ); ?>
        </option>
        <option
                value="<?php echo add_query_arg( 'sort', 'price-low-high', esc_url_raw($_SERVER['REQUEST_URI'] )); ?>"
            <?php echo ( sanitize_text_field($_GET['sort']) === 'price-low-high' ) ? 'selected' : '' ?>
        >
            <?php esc_html_e( 'Sort by price: low to high', 'prodigy' ); ?>
        </option>
        <option
                value="<?php echo add_query_arg( 'sort', 'price-high-low', esc_url_raw($_SERVER['REQUEST_URI'] )); ?>"
            <?php echo ( sanitize_text_field($_GET['sort']) === 'price-high-low' ) ? 'selected' : '' ?>
        >
            <?php esc_html_e( 'Sort by price: high to low', 'prodigy' ); ?>
        </option>
    </select>


</div>
