<?php
/* Template Name: Attributes Filter shortcode */

if ( ! defined( 'ABSPATH' ) ) exit;


    foreach ( $filters as $filter ):
        if ( empty( $filter->attributes_value ) || ! in_array( $filter->id, $info_widget['list_attributes'] ) ) {
            continue;
        }
        
        ?>
        <div class="filter__item">
            <h5 class="filter__subtitle"><?php echo esc_attr( ucwords( $filter->name ) ); ?></h5>
            <ul class="filter__item-list filter__item-list-js"
                id="filter_attr_<?php echo esc_attr( $filter->slug ); ?>">
                <?php
                
                foreach ( $filter->attributes_value_real as $attribute_values ):
                    if ( $attribute_values->count_products < Prodigy_Short_Code_Attributes_Filter::SHOW_ATTRIBUTE_VALUE_BY_COUNT_PRODUCTS
                    ) {
                        continue;
                    }
                    
                    if ( isset( $current_object->taxonomy ) && ! empty( $current_object->taxonomy == Prodigy::get_prodigy_category_type() )
                         && $attribute_values->real_count_products < Prodigy_Short_Code_Attributes_Filter::SHOW_ATTRIBUTE_VALUE_BY_COUNT_PRODUCTS
                    ) {
                        continue;
                    }
                    
                    $list_args = $filters_output[ $attribute_values->attribute_value ];
                    
                    if ( empty( $list_args ) ) {
                        $list_args = build_query( [ $filter->slug => $attribute_values->attribute_value ] );
                    };
                    
                    $active_value = false;
                    
                    if ( array_key_exists( $filter->slug, $get_request ) ) {
                        $active_value = strpos( $get_request[ $filter->slug ], $attribute_values->attribute_value );
                    }
                    
                    ?>
    
                    <li class="filter__item-list-li">
                            <span class="category-filter-js filter__item-list-txt filter__item-list-txt<?php if ( ! is_bool( $active_value ) ) {
                                echo '--active';
                            } ?>">
                                <?php if ( is_bool( $active_value ) ): ?>
                                    <a href="<?php echo esc_url( $list_args ); ?>">
                                    <?php echo esc_attr( $attribute_values->attribute_value ); ?>
                                </a>
                                <?php else: ?>
                                    <?php echo esc_attr( $attribute_values->attribute_value ); ?>
                                <?php endif; ?>
                                <?php if ( ! is_bool( $active_value ) ) { ?>
                                    <button class="filter__item-list-close icon icon-close" type="button"
                                            id="filter_text_btn_<?php echo esc_attr( $filter->slug ); ?>"
                                            data-attribute-name="<?php echo esc_attr( $filter->slug ); ?>"
                                            data-attribute-value="<?php echo esc_attr( $attribute_values->attribute_value ); ?>"></button>
                                <?php } ?>
                            </span>
                        <span class="filter__item-list-info">(<?php echo esc_attr( $attribute_values->real_count_products ); ?>)</span>
                    </li>
                <?php endforeach; ?>
            </ul>
            
            <?php
            
            if ( $active_filters ) {
                $attributes_value_count = $filter->attributes_value_count;
            } else {
                $attributes_value_count = $filter->attributes_value_count_real;
            }
            
            if ( $attributes_value_count >= Prodigy_Short_Code_Attributes_Filter::COUNT_SHOW_ATTRIBUTE_VALUES ): ?>
                <button class="filter__btn filter__btn-js" data-id="<?php echo esc_attr( $filter->slug ); ?>"
                        id="btn_txt_more_<?php echo esc_attr( $filter->slug ); ?>"><span
                            class="filter__btn-txt filter__btn-txt-js"><?php esc_attr_e( 'Show more', 'prodigy' ) ?></span>
                    <i class="icon icon-arrow-down"></i></button>
            <?php endif; ?>
        </div>
    
    <?php endforeach;
