<?php
/* Template Name: Cart shortcode */

if ( ! defined( 'ABSPATH' ) ) exit;

// for prodigy theme
if (isset(wp_get_sidebars_widgets()["prodigy_left_sidebar"]) && is_array(wp_get_sidebars_widgets()["prodigy_left_sidebar"]) ) {
    $widget = ! is_numeric(
        array_search( "cart_prodigy_widget-2", wp_get_sidebars_widgets()["prodigy_left_sidebar"],false )
    );
}

$removed_product = get_option('prodigy_widget_cart_removed_products');
?>

<div class="prodigy-navbar-cart-wrapper">

    <?php if ( !empty($is_dropdown) ): ?>
        <button class="prodigy-navbar-cart header-cart-block-js">
            <span class="prodigy-navbar-cart__txt d-none d-lg-block">CART</span>
            <span class="prodigy-navbar-cart__inner">
                <i class="icon icon-cart prodigy-navbar-cart__icon"></i>
                <span class="prodigy-navbar-cart__count cart-count-js" style="display: none">0</span>
            </span>
        </button>
    <?php endif;?>

    <div class="prodigy-cart-dropdown" aria-labelledby="cartDropdown">

        <div
                class="prodigy-cart-dropdown__menu dropdown-menu dropdown-menu-right prodigy-cart-widget prodigy-<?php echo $is_dropdown ? 'dropdown-' : '';?>cart-widget-js"
                aria-labelledby="cartDropdown"
                style="display: <?php echo !empty($is_dropdown) ? 'none' : 'block';?>"
        >

            <?php if ($is_dropdown): ?>
                <div class="d-flex align-items-center justify-content-between pl-16 pr-16" >
                    <h6 class="pr-4"><?php esc_attr_e('SHOPPING CART', 'prodigy')?></h6>
                    <button class="prodigy-cart-dropdown__header-close icon icon-close close-cart-widget-js" type="button"></button>
                </div>
            <?php endif; ?>

            <div class="prodigy-cart-dropdown__alert widget-cart-add-item-message-js" style="display: none">
                <i class="icon icon-check mr-8 font-20 in-green-100"></i>
                <span><?php esc_attr_e('has been added to your cart.', 'prodigy')?></span>
            </div>

            <div class="prodigy-cart-dropdown__alert widget-cart-message-error-js mb-20 prodigy-cart-dropdown__error-alert"
                 style="display: <?php echo !empty($removed_product) ? 'flex' : 'none' ?>"
            >
                <i class="icon icon-error mr-8"></i>
                <span>One or more items are no longer available and were removed from your cart</span>
            </div>
            <?php delete_option('prodigy_widget_cart_removed_products'); ?>


            <div class="prodigy-cart-dropdown__body cart-<?php echo !empty($is_dropdown) ? 'dropdown-' : '';?>widget-item-list-js">

                <?php foreach ( $cart_products  as $remote_product_id => $product ): ?>

                    <?php

                    $main_product = Prodigy_Product::get_product_with_meta_by_id( $product->get_field('post_parent') );

                    $attachment_id = !empty($product->get_meta_field('_thumbnail_id')) ?
                        $product->get_meta_field('_thumbnail_id') :
                        $product->get_meta_field('category-image-id');

                    $image = wp_get_attachment_image( $attachment_id, $gallery_thumb, false, array(
                        'title' => get_post_field( 'post_title', $attachment_id ),
                    ) );

                    $product_name = !empty($product->get_field('post_parent')) ?
                        $main_product['fields']['post_title'] :
                        $product->get_field('post_title');

                    $product_id = !empty($product->get_field('post_parent')) ?
                        $main_product['fields']['ID'] :
                        $product->get_field('ID');

                    ?>
                    <div class="prodigy-cart-item widget-cart-item-js">
                        <a href="<?php echo esc_url(get_permalink( $product_id)) ?>">
                            <div class="prodigy-cart-item__img <?php echo empty($image) ? "icon icon-image" : '' ?>">
                                <?php echo $image ?>
                            </div>
                        </a>
                        <div class="prodigy-cart-item__info">
                            <p class="prodigy-cart-item__info-title">
                                <a href="<?php echo esc_url(get_permalink( $product_id)) ?>"><?php echo esc_attr($product_name) ?></a>
                            </p>
                            <p class="prodigy-cart-item__info-price widget-cart-product-price-js">
                                <span class="widget-cart-count-item-js"><?php echo $product->count_items ?> x&nbsp;</span>
                                <span class="font-800 in-blue-500 ml-8 widget-total-price-js">
                                    $<?php echo esc_attr(prodigy_price_format($product->actual_price)) ?>
                                </span>
                            </p>
                            <ul class="prodigy-cart-item__info-variants">
                                <?php $attributes = json_decode( str_replace( "'", '"', stripslashes( $product->get_meta_field('post_attributes') ) ), 1 ); ?>
                                <?php if (!empty($product->get_meta_field('post_attributes'))): ?>
                                    <?php foreach ( $attributes as $key => $item ): ?>
                                        <li><?php echo $key . ' : ' . esc_attr($item) ?></li>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            </ul>
                        </div>
                        <div class="in-blue-600">
                            <button
                                    class="prodigy-cart-item__remove-btn icon icon-trash text-center widget-remove-item-js"
                                    type="button"
                                    data-local-id="<?php echo esc_attr($product->get_field('ID')) ?>"
                                    data-remote-id="<?php echo esc_attr($remote_product_id) ?>"
                            ></button>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>

            <div class="prodigy-cart-total widget-cart-subtotal-js" style="display: <?php echo empty($cart_products) ? 'none' : 'flex' ?>  ">
                <span><?php esc_attr_e('Subtotal:', 'prodigy')?></span><span class="font-800 in-blue-500 widget-subtotal-price-js"></span>
            </div>

            <div class="prodigy-cart-dropdown__footer widget-cart-checkout-block-js" style="display: <?php echo empty($cart_products) ? 'none' : 'flex' ?>  ">
                <a class="main-button main-button--outline justify-content-center mb-16" href="/cart" >
                    <?php esc_attr_e('View cart', 'prodigy')?>
                </a>
                <a class="main-button justify-content-center" href="<?php echo esc_url($proceed_url) ?>" class="checkout-url-js" >
                    <?php esc_attr_e('Checkout', 'prodigy')?>
                </a>
            </div>
            <div
                    class="prodigy-cart-dropdown__alert widget-cart-empty-cart-message-js"
                    style="display: <?php echo empty($cart_products) ? 'block' : 'none' ?>"
            >
                <i class="mr-8 font-20 in-green-100"></i>
                <span><?php esc_attr_e('No products added yet', 'prodigy')?></span>
            </div>
        </div>
    </div>
</div>