<?php defined( 'ABSPATH' ) || exit; ?>
<div class="prodigy-cart">
    <?php
    /*
    * Show container by item
    */
    prodigy_get_template( 'shortcode/pages/cart/item.php' );
    ?>
    <div class="row">
        <div class="col cart-form-block offset-xl-1">

            <div class="prodigy-empty-cart empty-cart-js" style="text-align: center;display: none">
                <div class="prodigy-empty-cart__icon icon icon-cart font-36"></div>
                <p class="prodigy-empty-cart__txt mb-40 mt-16" >
                    Your cart is empty!
                </p>
                <div class="d-flex justify-content-center">
                    <a class="main-button d-flex prodigy-empty-cart__link" href="/shop">
                        <i class="icon icon-arrow-left prodigy-empty-cart__link-icon"></i>
                        <span>CONTINUE SHOPPING</span>
                    </a>
                </div>
            </div>
        </div>
        <?php

        $ids = [];
        $arr_ids = [];
        $up_sell_product_ids = [];

        $cart = new Prodigy_Cart();
        $cart_items = $cart->get_cart_items_for_user( sanitize_text_field($_COOKIE['prodigy_user']) );
        $ids      = wp_list_pluck( $cart_items, 'local_product_id' );

        foreach ($ids as $id) {
            $post_info = get_post($id);

            if ($post_info->post_type == Prodigy::PRODIGY_VARIATION_POST_TYPE) {
                array_push($arr_ids, (int)$post_info->post_parent);
            } else {
                array_push($arr_ids, (int)$id);
            }
        }

        $arr_ids = array_unique($arr_ids);

        if ( ! empty( $arr_ids ) ) {
            $list_ids = implode( ',', $arr_ids );
        }

        foreach ( $arr_ids as $product_id ) {
            $list_crossell = Prodigy_Product::get_crossell_product_ids( $product_id );
            if ( ! empty( $list_crossell ) ) {
                $up_sell_product_ids = array_merge( (array) $up_sell_product_ids, (array) $list_crossell );
            }
        }
        ?>
    </div>
    <?php if ( ! empty( $up_sell_product_ids ) ) : ?>
        <div class="row">
            <div class="col-lg-9 col-xl-6 offset-xl-1">
                <div class="prodigy-related">
                    <h3 class="prodigy-related__products-title"><?php esc_html_e('CUSTOMERS ALSO BUY', 'prodigy'); ?></h3>
                    <div class="prodigy-related__products-container related-products-js">
                        <?php echo do_shortcode( '[prodigy_related_products type="crossell" product_ids=' . esc_attr($list_ids) . ']' ); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>


</div>