<?php
/* Template Name: Related shortcode */

if ( ! defined( 'ABSPATH' ) ) exit; ?>

<?php foreach ( $products as $product ): ?>
    <div class="prodigy-related__products-item">
        <a href="<?php echo esc_url(get_permalink( $product['fields']['ID'] )); ?>" class="prodigy-related__products-img">
            <img width="60" src="<?php if (isset($product['image_src'][0])) {echo esc_url($product['image_src'][0]); } else { echo esc_url($placeholder_url);  } ?>">
        </a>
        <div>
            <a href="<?php echo esc_url(get_permalink( $product['fields']['ID'] )); ?>" class="prodigy-related__products-item-title"><?php echo esc_attr($product['fields']['post_title']) ?></a>
            <div class="prodigy-related__products-item-price">
                <?php if ( ! empty( $product['meta']['product_sale_price'][0] ) ): ?>
                    <span class="prodigy-related__products-item-price-sale">$<?php echo esc_attr(prodigy_price_format($product['meta']['product_regular_price'][0])) ?></span>
                    <span>$<?php echo esc_attr(prodigy_price_format($product['meta']['product_sale_price'][0])) ?></span>
                <?php else: ?>
                    <span class="prodigy-related__products-item-price">$<?php echo esc_attr(prodigy_price_format($product['meta']['product_regular_price'][0])) ?></span>
                <?php endif; ?>
            </div>
        </div>
    </div>

<?php endforeach; ?>
