<div class="prodigy-homepage__slider prodigy-homepage__slider--related prodigy-homepage__slider--height-100">
    <div class="featured-products-slider-arrows-js prodigy-homepage__slider-navs"></div>
    <div class="related-products-js prodigy-homepage__slider-container product-list">
        <?php foreach ($product_ids as $id):
            $id = (int) $id;
            $post_info = get_post( $id );
            $regular_price = get_post_meta( $id, 'product_regular_price', true );
            $sale_price = get_post_meta( $id, 'product_sale_price', true );
            $img_url = get_the_post_thumbnail_url( $id, (string) $img_size );
            $product_average_rating = Prodigy_Product_Comments::get_rating_average_product( $id );
            $counts_rating_product = Prodigy_Product_Comments::get_counts_rating_product( $id );
            ?>
            <div class="product-list__item">
                <div class="product-list__link-wrp">
                    <a class="product-list__item-preview icon icon-image" href="<?php echo esc_url(get_permalink( $id )) ?>">
                        <div class="product-list__item-preview-img" style="background-image: url(<?php echo esc_html($img_url); ?>)"></div>
                    </a>
                </div>
                <h3 class="product-list__item-title">
                    <a href="<?php echo esc_url(get_permalink( $id )) ?>"><?php echo esc_html($post_info->post_title); ?></a>
                </h3>
                <div class="product-list__item-rating">
                    <div class="star-rating star-rating--sm mb-0"><?php echo pg_get_star_rating_html($product_average_rating, $counts_rating_product); ?></div>
                </div>
                <div class="d-flex flex-wrap">

                    <?php if (!empty($sale_price)): ?>
                        <div class="product-list__item-price product-list__item-price--sale">
                            <?php echo esc_attr(get_option( 'pg_currency_type' ) . prodigy_price_format($regular_price)); ?>
                        </div>
                        <div class="product-list__item-price">
                            <?php echo esc_attr(get_option( 'pg_currency_type' ) . prodigy_price_format($sale_price)); ?>
                        </div>
                    <?php else: ?>
                        <div class="product-list__item-price">
                            <?php echo esc_attr(get_option( 'pg_currency_type' ) . prodigy_price_format($regular_price)); ?>
                        </div>
                    <?php endif; ?>

                </div>
            </div>
        <?php endforeach; ?>
    </div>
</div>
