<?php

defined( 'ABSPATH' ) || exit;

do_action( 'prodigy_before_single_product' );
$product = $GLOBALS['prodigy_product'];

$is_quick_view = $GLOBALS['quick_view'];
?>

<div class="prodigy-product row product-container-js">
    <?php
    /**
     * Hook: prodigy_before_single_product_summary.
     *
     * @hooked prodigy_show_product_sale_flash - 10
     * @hooked prodigy_show_product_images - 20
     */
    do_action( 'prodigy_before_single_product_summary' );

    $info_product = get_post();

    /*
     * @array
     */
    $list_categories      = wp_list_pluck( get_the_terms( $info_product->ID, Prodigy::get_prodigy_category_type() ), 'slug' );
    if (isset($_SERVER['HTTP_REFERER'])) {
        $request_http_referer = esc_url_raw($_SERVER['HTTP_REFERER']);
        if ( $request_http_referer ) {
            $get_referer_category = explode( '/', wp_parse_url( $request_http_referer )['path'] );
            $intersect_category   = array_intersect( $list_categories, $get_referer_category );
        }
    }

    $category = '';
    if ( !empty($intersect_category) && is_array( $intersect_category ) ) {
        $category = array_values( $intersect_category )[0];
    } else {
        $category = array_values( $list_categories )[0];

    }

    $link_to_shop = get_permalink( get_page_by_path( 'shop' ) );

    $link_to_category = get_term_link( $category, Prodigy::get_prodigy_category_type() );

    $info_category = get_term_by( 'slug', $category, Prodigy::get_prodigy_category_type() );

    if ( isset( $info_category->name ) && ! empty( $info_category->name ) ) {
        $category = $info_category->name;
    }
    ?>

    <?php if (is_singular(Prodigy::get_prodigy_product_type())): ?>
        <div class="prodigy-product__info col-lg-4">
    <?php else: ?>
        <div class="prodigy-product__info col">
    <?php endif; ?>

        <?php if ( ! $is_quick_view ): ?>
            <ul class="prodigy-breadcrumbs">
                <li class="prodigy-breadcrumbs__item">
                    <a href="/" class="prodigy-breadcrumbs__item-link"><?php esc_html_e('HOME', 'prodigy'); ?></a>
                </li>
                <span class="prodigy-breadcrumbs__item-divider">/</span>
                <li class="prodigy-breadcrumbs__item">
                    <a href="<?php echo esc_url($link_to_shop); ?>" class="prodigy-breadcrumbs__item-link"><?php esc_html_e('SHOP', 'prodigy'); ?></a>
                </li>
                <span class="prodigy-breadcrumbs__item-divider">/</span>
                <?php if ( ! empty( $category ) ): ?>
                    <li class="prodigy-breadcrumbs__item">
                        <a href="<?php echo esc_url($link_to_category); ?>" class="prodigy-breadcrumbs__item-link">
                            <?php echo html_entity_decode(esc_html(mb_strtoupper( $category ))); ?>
                        </a>
                    </li>
                <?php endif; ?>
            </ul>
        <?php endif; ?>

        <?php if ( $is_quick_view ): ?>
            <h1 class="prodigy-product__name"><?php echo esc_attr($product->get_field( 'post_title' )); ?></h1>
        <?php endif; ?>
        <?php
        /**
         * Hook: prodigy_single_product_summary.
         *
         * @hooked prodigy_template_single_title - 5
         * @hooked prodigy_template_single_meta - 10
         * @hooked prodigy_template_single_rating - 15
         * @hooked prodigy_template_short_description - 20
         * @hooked prodigy_template_single_variants - 25
         * @hooked prodigy_template_single_price - 30
         * @hooked prodigy_template_single_add_to_cart - 30
         * @hooked prodigy_template_single_categories - 35
         */
        do_action( 'prodigy_single_product_summary' );
        ?>
    </div>
</div>

<?php
/**
 * Hook: prodigy_after_single_product_summary.
 *
 * @hooked prodigy_output_product_data_tabs - 10
 * @hooked prodigy_upsell_products_display - 15
 */
if ( ! $is_quick_view ) {
    do_action( 'prodigy_after_single_product_summary' );
}
?>

<?php do_action( 'prodigy_after_single_product' ); ?>
