<?php
defined( 'ABSPATH' ) || exit;
$product = $GLOBALS['prodigy_product'];
?>

<div
        class="panel entry-content"
        id="tab-additional_information"
        role="tabpanel"
        aria-labelledby="tab-title-additional_information"
>

    <table class="prodigy-product__additional">
        <colgroup>
            <col style="width: 40%">
            <col style="width: 60%">
        </colgroup>
        <tbody>
        <?php if ( $product->get_meta_field('product_requires_shipping') ) : ?>
            <?php if ( !empty($product->get_meta_field('product_weight_value')) ): ?>
                <tr>
                    <td class="prodigy-product__additional-col-title"><?php echo __('WEIGHT', 'prodigy') ?></td>
                    <td><?php esc_attr_e($product->get_meta_field('product_weight_value')); ?><?php esc_attr_e(Prodigy_Product::$weight_type_mapper[$product->get_meta_field('product_weight_type')]); ?></td>
                </tr>
                <tr>
                    <td class="prodigy-product__additional-col-title"><?php esc_html_e('DIMENSIONS', 'prodigy') ?></td>
                    <td><?php esc_attr_e($product->get_meta_field('shipping_dimension_length')); ?> x
                        <?php esc_attr_e($product->get_meta_field('shipping_dimension_width')); ?> x
                        <?php esc_attr_e($product->get_meta_field('shipping_dimension_height')); ?><?php esc_attr_e(Prodigy_Product::$dimension_type_mapper[$product->get_meta_field('shipping_dimensions')]); ?>
                    </td>
                </tr>
            <?php endif;?>
        <?php endif;?>

        <?php if ( !empty($product->get_attributes()) ): ?>
            <?php $attributes = $product->get_attributes(); ?>
            <?php foreach ($attributes as $key=>$item): ?>
                <tr>
                    <td class="prodigy-product__additional-col-title">
                        <?php esc_attr_e(strtoupper(Prodigy_Product_Attributes::get_attribute_name_by_slug($item['attribute'][key($item['attribute'])]))); ?>
                    </td>
                    <?php $value_names = Prodigy_Product_Attributes::get_value_by_ids( $item['values'] ) ?>
                    <td><?php esc_attr_e(implode(", ", $value_names)); ?></td>
                </tr>
            <?php endforeach; ?>
        <?php endif;?>
        </tbody>
    </table>
</div>
