<?php

defined( 'ABSPATH' ) || exit;

if ( ! function_exists( 'prodigy_get_gallery_image_html' ) ) {
    return;
}

$product = $GLOBALS['prodigy_product'];

$post_thumbnail_id = $product->get_meta_field('_thumbnail_id');

// Check quick view modal window
$is_quick_view = $GLOBALS['quick_view'];

$class_name = '';

if (!$post_thumbnail_id) {
    $class_name .= ' prodigy-product__gallery--no-image';
}

?>
<div id="gallery" class="prodigy-product__gallery col-lg-4 offset-lg-2 images-gallery-js <?php echo $class_name; ?>">
    <?php if ( $is_quick_view && $product->get_meta_field('product_sale_price') ): ?>
        <div class="product-list__item-label"><?php esc_html_e('SALE', 'prodigy'); ?></div>
    <?php endif; ?>

    <div id="gallery-thumbs"  class="prodigy-product__gallery-thumbs">
        <?php if ($post_thumbnail_id): ?>
        <ul style="list-style: none" class="slides prodigy-product__gallery-slides">
            <?php
            $attachment_ids = explode(",", $product->get_meta_field('prodigy_gallery'));
            $attachment_ids = array_filter(array_merge([$post_thumbnail_id], $attachment_ids));
            if ( $attachment_ids && $product->get_meta_field('_thumbnail_id') ) {
                foreach ( $attachment_ids as $index => $attachment_id ) {
                    echo prodigy_get_gallery_thumb_html( $attachment_id, $index );
                }
            }
            ?>
        </ul>
        <?php if (!empty($attachment_ids)):?>
        <div class="prodigy-product__gallery-navigation prodigy-product__gallery-navigation--top prodigy-product-gallery-nav-js">
            <i class="prodigy-product__gallery-icon flex-prev icon icon-arrow-left prodigy-product-gallery-nav-item-js"></i>
            <i class="prodigy-product__gallery-icon flex-next icon icon-arrow-right prodigy-product-gallery-nav-item-js"></i>
        </div>
        <div class="prodigy-product__gallery-navigation prodigy-product__gallery-navigation--bottom">
            <i class="prodigy-product__gallery-icon prodigy-product__gallery-icon--fullscreen icon icon-fullscreen icon-fullscreen-js"></i>
            <span class="prodigy-product__gallery-count">
                <span class="current-image-number-js"></span>/<span class="total-image-count-js"></span>
            </span>
        </div>
        <?php endif;?>
        <?php else: ?>
            <i class="icon icon-image" style="font-size: 100px;"></i>
        <?php endif; ?>
    </div>

    <?php if ($post_thumbnail_id): ?>
        <div class="prodigy-product__gallery-wrapper" style="display: block;">
            <?php do_action( 'prodigy_product_thumbnails' ); ?>
        </div>
    <?php endif; ?>
</div>
