<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$product = $GLOBALS['prodigy_product'];

$rating_count = $product->get_count_rating();
$review_count = $product->get_count_reviews();
$average      = $product->get_average_rating();

if ( $rating_count > 0 ) : ?>
    <div class="prodigy-product__rating">
        <?php if ( get_option( 'pg_product_rating' ) ): ?>
            <?php echo pg_get_rating_html( $average, $rating_count ); ?>
        <?php endif; ?>

        <?php if ( comments_open() ) : ?>
            <?php if ( get_option( 'pg_product_review' )): ?>
                <a class="prodigy-product__rating-link prodigy-review-link-js" rel="nofollow" style="cursor: pointer">
                    <i class="icon icon-user"></i><span class="count prodigy-product__rating-info">(<?php printf( _n( '%s customer review', '%s customer reviews',$review_count, 'prodigy' ), '' .esc_html( $review_count )) ?>)
                    </span>
                </a>
            <?php endif ?>
        <?php endif ?>
    </div>
    <?php if ( $GLOBALS['quick_view'] && !empty( $product->get_field( 'post_excerpt' ) ) ): ?>
        <p class="prodigy-product__description"><?php echo $product->get_field( 'post_excerpt' ) ?></p>
    <?php endif; ?>
<?php endif; ?>
