<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
$product = $GLOBALS['prodigy_product'];
/**
 * Filter tabs and allow third parties to add their own.
 */
$tabs = apply_filters( 'prodigy_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>
    <div class="prodigy-tabs prodigy-tabs-js row" id="prodigy-tabs">
        <div class="col-lg-8 offset-lg-2">
            <ul class="prodigy-tabs__tabs-list nav nav-tabs tabs pg-tabs" id="product-tab" role="tablist">
                <?php foreach ( $tabs as $key => $tab ) : ?>
                    <?php
                        $is_enable_review = get_option( 'pg_product_review' );
                        if ( $key === 'reviews' && !$is_enable_review ) {
                            break;
                        }
                    ?>
                    <li class="prodigy-tabs__tabs-item nav-item <?php echo esc_attr( $key ); ?>_tab" id="tab-li-<?php echo esc_attr( $key ); ?>">
                        <a class="prodigy-tabs__tabs-link nav-link <?php echo esc_attr( $key ); ?>_tab"
                        id="description-tab tab-title-<?php echo esc_attr( $key ); ?>"
                        data-toggle="tab"
                        href="#tab-<?php echo esc_attr( $key ); ?>"
                        role="tab"
                        aria-controls="description tab-<?php echo esc_attr( $key ); ?>"
                        aria-selected="true"
                        >
                            <?php echo apply_filters( 'prodigy_product_' . $key .'_tab_title', esc_html( $tab['title'] ), $key ); ?>
                        </a>
                    </li>
                <?php endforeach; ?>
            </ul>
            <?php foreach ( $tabs as $key => $tab ) : ?>
                <div class="panel entry-content pg-tab"
                    id="tab-<?php echo esc_attr( $key ); ?>"
                    role="tablist" aria-labelledby="tab-title-<?php echo esc_attr( $key ); ?>"
                >
                    <?php if ( isset( $tab['callback'] ) ) { call_user_func( $tab['callback'], $key, $tab ); } ?>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
<?php endif; ?>
