<?php

require_once plugin_dir_path( __FILE__  ) . 'includes/class-prodigy.php';
require_once plugin_dir_path( __FILE__  ) . 'includes/class-prodigy-uninstall-plugin.php';
require_once plugin_dir_path( __FILE__  ) . 'includes/class-prodigy-api-client.php';

global $wpdb;

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}

/**
 * clear prodigy
 */
Prodigy_Uninstall_Plugin::delete_products();
Prodigy_Uninstall_Plugin::delete_categories();
Prodigy_Uninstall_Plugin::delete_attributes_terms();

/**
 * disconnection hosted system
 */
if ( ! empty(get_option( 'pg_store_key') ) ) {
    $prodigy_api_client = new Prodigy_Api_Client();
    /**
     * only work https to https
     */
    @$prodigy_api_client->disconnection_uninstall( get_option( 'pg_store_key') );
    delete_option( 'pg_store_key');
}

$wpdb->query( "DELETE FROM $wpdb->options WHERE option_name LIKE '%prodigy%' OR option_name LIKE '%pg%'" );

// Tables.
Prodigy_Uninstall_Plugin::drop_tables();

// Clear cache.
wp_cache_flush();