jQuery(document).ready(function ($) {
    post_id = prodigyGetUrlParam('post');

    $('.js-example-basic-multiple').select2({
        width: '100%',
        language: "ru"
    });

    $(document).on('change', '.js-example-basic-multiple', function() {
        $(this).parent().find('.error').remove();
    });
    var x = 0;
    var maxField = 10;
    var addButton = $('#add_attribute');
    var wrapper = $('.field_wrapper');

    show_create_attribute_modal();
    show_create_values_modal();
    save_attribute();
    set_attribute_values();
    add_attribute_values();

    $(document).on("click", '#show-popup-attribute', function(event) {
        event.preventDefault();
        $('#create-attribute').dialog('open');

        let nameInput = $('input[name=create_attribute_name]'),
            valInput = $('input[name=create_attribute_values]');

        nameInput.val('');
        valInput.val('');

        hideErrors(nameInput.parent());
        hideErrors(valInput.parent());

    });

    $( document ).on( "click" , '.show-popup-values', function( event ) {
        $( 'input[name=add_attribute_values]' ).val( '' );
        let current_attr = $( this ).attr( 'data-val' );
        let current_attr_values = $( this ).attr( 'data-val-attr' );
        $( 'input[name = create_attribute_name_value]' ).val( current_attr );
        $( 'input[name = add_attribute_values]' ).val( current_attr_values );

        event.preventDefault();
        $( '#create-values' ).dialog( 'open' );
    });

    $(addButton).click(function () {
        if (($(".attribute-container").length > 0)) {
            var current_max_container_id = get_max_id_container();
            x = parseInt(current_max_container_id) + 1;
        }

        if (x < maxField) {
            var fieldHTML = generate_form(x);
            $(wrapper).append(fieldHTML);
            $('#attribute-container-' + x).find('.js-example-basic-multiple').select2({
                width: '100%',
                data: []
            });
            set_attributes_to_select($('#attribute-container-' + x).find('.select_attribute_names'));
            x++;
        }
    });



    $('.field_wrapper').on('click', '.remove-attribute-js', function (e) {
        e.preventDefault();
        var remove = $(this);
        $('#generate_variants_modal').dialog('open');
        $('.generate-variants-js').click(function () {
            remove.parent().parent().parent().remove();
            x--;
            $('#generate_variants_modal').dialog('close');
        })
    });

    function get_max_id_container() {
        var arr = get_data_container_array($('.attribute-container'));

        return Math.max.apply(Math,arr);
    }

    function get_data_container_array($container) {
        array = [];
        $container.each(function(){
            array.push(parseInt($(this).attr("data-attr-id")));
        });

        return array;
    }

    function set_attribute_values() {
        $( document ).on( 'change', '.select_attribute_names', function () {
            var attribute = $( this ).val(),
            $container = $( this ).closest( '.attribute-container' ),
            $currentMulti = $container.find( '.js-example-basic-multiple' );
            $currentMulti.html( '' );

            var attr_name = attribute.split( "," );
            $container.find( 'a.show-popup-values' ).attr( 'data-val', attr_name[0] );

            var check_block = $( this ).parent().siblings();
            check_block.find( '.enable-variant-js' ).attr( 'data-attr', attr_name[1] );
            check_block.find( '.enable-variant-js' ).attr( 'name', 'use_option['+attr_name[1]+']');

            $.ajax({
                type: 'post',
                data: {
                    action: 'get-attribute-values-meta-box',
                    attribute: attribute,
                    nonce_code : prodigyajax.nonce
                },
                dataType: 'json',
                url: ajaxurl,
                success: function ( data ) {
                    resetMultiSelect( $currentMulti, data );
                    let attrs = get_attr_values( data );

                    if ( attrs ) {
                        $container.find( 'a.show-popup-values' ).attr( 'data-val-attr', attrs.toString() );
                    }
                },
                error: function ( xhr ) {
                    xhr.status;
                    xhr.responseText;
                }
            });
        });
    }

    // generate attribute forms
    function generate_form(x) {

        var current_enable_variant_checkbox_value = $('.enabled-use-option-js').val();

        return '<div class="attribute-container" data-attr-id="' + x + '" id="attribute-container-' + x + '"><div' +
            ' class="d-inline-block' +
            ' width-210 mr-12">' +
            '<label class="main-label">\n' +
            '    <span>Attribute</span>\n' +
            '    <a href="#" class="main-link float-right" id="show-popup-attribute">\n' +
            '       Add New Attribute\n' +
            '    </a>\n' +
            '</label>' +
            ' <select class="d-block select_attribute_names" name="attribute[]">\n' +
            '   </select>\n' +
            ' </div>\n' +
            ' <div class="d-inline-block">\n' +
            '   <label class="main-checkbox">\n' +
            '       <input type="checkbox" name="use_option[]" class="enable-variant enable-variant-js" data-attr="'+ current_enable_variant_checkbox_value +'"/>\n' +
            '       <span class="main-checkbox__text">Use as option</span>\n' +
            '   </label>\n' +
            ' </div>\n' +
            ' <div class="ad-attributes-item">\n' +
            '  <label class="main-label font-12 d-flex justify-content-between"> <span>Values</span>\n' +
            '     <a href="#" class="main-link show-popup-values float-right"> \n' +
            '        Add New Value\n' +
            '     </a>\n' +
            '  </label>\n' +
            '    <div class="d-flex align-items-center">\n' +
            '      <select class="js-example-basic-multiple" name="values[' + x + '][]" multiple="multiple"></select>\n' +
            '      <i class="ml-12 ad-category__icon-basket icon icon-basket remove-attribute-js" id="remove_attribute"></i>\n' +
            '    </div>\n' +
            ' </div>' +
            '</div>';
    }

    // create popup window
    function show_create_attribute_modal() {
        $('#create-attribute').dialog({
            title: 'Add New Attribute',
            autoOpen: false,
            draggable: false,
            width: 'auto',
            modal: true,
            resizable: false,
            closeOnEscape: true,
            position: {
                my: "center",
                at: "center",
                of: window
            }
        });
    }

    function show_create_values_modal() {
        $('#create-values').dialog({
            title: 'Add New Attribute Values',
            autoOpen: false,
            draggable: false,
            width: 'auto',
            modal: true,
            resizable: false,
            closeOnEscape: true,
            position: {
                my: "center",
                at: "center",
                of: window
            }
        });
    }

    // create attribute modal validation
    function showError($element, message) {
        hideErrors($element.parent());
        $element.parent().append('<div class="error">' + message + '</div>');
    }

    // create attribute modal validation
    function hideErrors($container) {
        $container.find('.error').remove();
    }

    function resetMultiSelect($currentMulti, data) {
        data.forEach( function(item) {
            $currentMulti.append('<option value="' + item.id + '">' + item.text + '</option>')
        });
        $currentMulti.select2({ width: '100%' });
    }

    /**
     * get list name attribute
     * @param data
     * @returns {Array}
     */
    function get_attr_values( data ) {

        let attrs = [];
        data.forEach( function( item ) {
            attrs.push(item.text);
        });

        return attrs;
    }

    // save attribute
    function save_attribute() {
        $(document).on('click','.ui-dialog-titlebar-close', function () {
           $('.modal-footer').find('.error').remove();
        });

        $('.save_attribute').click(function (e) {
            e.preventDefault();
            var nameInput = $('input[name=create_attribute_name]'),
                valInput = $('input[name=create_attribute_values]'),
                attrName = nameInput.val(),
                attrVal = valInput.val(),
                hasErrors = false,
                data = {
                    action: 'create-attribute-meta-box',
                    attribute_name: attrName,
                    attribute_values: attrVal,
                    nonce_code : prodigyajax.nonce
                };

            hideErrors(nameInput.parent());
            hideErrors(valInput.parent());

            if (attrName == '') {
                showError(nameInput, 'Enter valid attribute name');
                hasErrors = true;
            } else {
                hideErrors(nameInput.parent());
            }

            if (attrVal == '') {
                showError(valInput, 'Enter valid attribute value');
                hasErrors = true;
            } else {
                hideErrors(valInput.parent());
            }

            if (hasErrors) {
                return;
            }

            var $button = $(this);
            var $select = $('.select_attribute_names');

            $.ajax({
                type: 'post',
                data: data,
                dataType: 'json',
                url: ajaxurl,
                success: function (data) {
                    if (data.status === true) {
                        $('#create-attribute').dialog('close');
                        nameInput.val('');
                        valInput.val('');
                        $select.append('<option value="' + data.attribute.slug + ',' + data.attribute.id + '">'+ data.attribute.name +'</option>');
                    } else {
                        showError($button, data.error);
                    }
                },
                error: function (data) {
                    let response = jQuery.parseJSON(data.responseText);
                    showError($button, response.data);
                }
            });
        });
    }


    function add_attribute_values() {
        $( '.save_values' ).click( function ( e ) {
            e.preventDefault();
            var nameInput = $( 'input[name=create_attribute_name_value]' ),
                valInput = $( 'input[name=add_attribute_values]' ),
                attrName = nameInput.val(),
                attrVal = valInput.val(),
                hasErrors = false,

                data = {
                    action: 'add-values-meta-box',
                    attribute_name: attrName,
                    attribute_values: attrVal,
                    nonce_code : prodigyajax.nonce
                };

            if ( attrName === '' ) {
                showError( nameInput, 'Enter valid attribute name' );
                hasErrors = true;
            } else {
                hideErrors( nameInput.parent() );
            }

            if ( attrVal === '' ) {
                showError( valInput, 'Enter valid attribute value' );
                hasErrors = true;
            } else {
                hideErrors( valInput.parent() );
            }

            if ( hasErrors ) {
                return;
            }

            var $button = $( this );
            attrName = $( 'input[name=create_attribute_name_value]' ).val();

            $currentMulti = $( '.show-popup-values[data-val=' + attrName + ']' ).closest( '.attribute-container' ).find( '.js-example-basic-multiple' );

            $.ajax({
                type: 'post',
                data: data,
                dataType: 'json',
                url: ajaxurl,
                success: function ( data ) {
                    if ( data.status ) {
                        data.list.forEach( function( item ) {
                            $currentMulti.append( '<option value="' + item.term_id + '" id="' + item.term_id + '">' + item.name + '</option>' )
                        });
                        $currentMulti.select2({ width: '100%' });
                        $( '#create-values' ).dialog( 'close' );
                        $( '#create-values .error' ).remove();
                    } else {
                        showError( $button, data.error );
                    }
                },
                error: function ( xhr ) {
                    xhr.status;
                    xhr.responseText;
                }
            });
        });
    }

    function set_attributes_to_select($select) {
        $.ajax({
            type       : 'post',
            data       : {
                action: 'get-attributes-meta-box',
                nonce_code : prodigyajax.nonce
            },
            dataType   : 'json',
            url        : ajaxurl,
            success: function (data) {
                $select.html('');

                $select.append('<option>Select value...</option>');
                data.forEach(function (data) {
                    $select.append('<option value="' + data.slug + ',' + data.id + '">'+ data.name +'</option>');
                });
            },
            error: function (xhr) {
                xhr.status;
                xhr.responseText;
            }
        });
    }
});
