jQuery(document).ready(function ($) {
    $('body').on('scroll', function () {
        if ($('.ui-datepicker').length) {
            $('.datepicker').datepicker('hide');
            $('.datepicker').blur();
        }
    });
    $( ".datepicker" ).datepicker({
        inline: true,
        nextText: '&rarr;',
        prevText: '&larr;',
        showOtherMonths: true,
        dayNamesMin: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
        dateFormat: 'yy-mm-dd'
    });

    $container = $('.sale-price-date');
    set_min_date();

    $('#product-sale-price').click(function () {
        if ($(this).prop('checked') == true) {
            $container.show();
        } else {
            $container.hide();
        }
    });

    if ($('#product-sale-price').prop('checked') == true) {
        $container.show();
    } else {
        $container.hide();
    }

    /**
     * set min change date for to_date
     */
    $( '#sale_from_date' ).on( 'change', function () {
        $( '#sale_to_date' ).datepicker( 'option', 'minDate', $( this ).val() );
    });

    $( "#sale_to_date" ).on( 'change', function() {

        let to_date = Date.parse( $(this).val() );
        let from_date = Date.parse( $( '#sale_from_date' ).val() );

        if ( from_date > to_date ) {

            $( this ).closest( '.main-form-field' ).find( 'input' ).addClass( 'form-error-input' );
            $( this ).closest( '.main-form-field' ).append( '<label id="sale_to_date_error" class="error"' +
                ' for="sale_to_date">The \'date to\' must be less that \'date from\'</label>');

            $( this ).val( '' );
        } else {
            $( this ).removeClass( 'form-error-input' );
            $( '#sale_to_date_error' ).remove();
        }

    });

    function set_min_date() {
        $( '#sale_to_date' ).datepicker( 'option', 'minDate', $( '#sale_from_date' ).val() );
        $( '#ui-datepicker-div' ).remove();
    }
});


