jQuery(document).ready(function ($) {


    const DATE_EMPTY_MESSAGE  = "Date must not be empty";
    const DATE_FORMAT_MESSAGE = "Please enter a date in the format yyyy-mm-dd";
    const SKU_UNIQUE_MESSAGE = "Please enter unique SKU";
    const PRICE_NEGATIVE_MESSAGE = "Price can not be negative";
    const PRICE_VALID_MESSAGE = "Please enter valid price";
    const SALE_PRICE_MESSAGE = "Sales price must be lower than regular price";
    const WEIGHT_VALID_MESSAGE = "Please enter valid weight";
    const EMPTY_VALUE_MESSAGE = "Value can't be empty!";
    const LENGTH_VALID_MESSAGE = "Please enter valid length";
    const WIDTH_VALID_MESSAGE = "Please enter valid width";
    const HEIGHT_VALID_MESSAGE = "Please enter valid height";
    const QUANTITY_VALID_MESSAGE = "Please enter valid quantity";


    // limit product excerpt count symbols
    $('#excerpt').attr( 'maxlength', 700 );
    $('html, body').css('overflow-x', 'hidden');

    reloading_editor();


    /////////////////////////////////////////// with mask validate /////////////////////////////////

    // for product
    $("[name=regular_price]").inputmask("numeric", {
        radixPoint: ".",
        allowPlus: false,
        allowMinus: false,
        digits: 2,
        autoGroup: true,
        rightAlign: false,
    });

    $("[name=sale_price]").inputmask("numeric", {
        radixPoint: ".",
        allowPlus: false,
        allowMinus: false,
        digits: 2,
        autoGroup: true,
        rightAlign: false,
    });


    $("[name=inventory_stock_quantity]").inputmask("integer", {
        rightAlign: false,
        placeholder: "0",
        allowPlus: false,
        allowMinus: false
    });


    $("[name=product_weight_value]").inputmask("numeric", {
        radixPoint: ".",
        allowPlus: false,
        allowMinus: false,
        digits: 2,
        autoGroup: true,
        rightAlign: false,
    });


    $("[name=shipping_dimension_length]").inputmask("numeric", {
        radixPoint: ".",
        allowPlus: false,
        allowMinus: false,
        digits: 2,
        autoGroup: true,
        rightAlign: false,
    });



    $("[name=shipping_dimension_width]").inputmask("numeric", {
        radixPoint: ".",
        allowPlus: false,
        allowMinus: false,
        digits: 2,
        autoGroup: true,
        rightAlign: false,
    });


    $("[name=shipping_dimension_height]").inputmask("numeric", {
        radixPoint: ".",
        allowPlus: false,
        allowMinus: false,
        digits: 2,
        autoGroup: true,
        rightAlign: false,
    });

    // for variants
    $(document).on("focus", "[ name='variants[product_sale_price][]' ]", function() {
        $(this).inputmask("numeric", {
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });
    });

    $(document).on("focus", "[ name='variants[product_regular_price][]' ] ", function() {
        $(this).inputmask("numeric", {
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });
    });

    $(document).on("focus", "[ name='variants[product_stock_quantity][]' ]", function() {
        $(this).inputmask("integer", {
            rightAlign: false,
            allowPlus: false,
            allowMinus: false,
            placeholder: "0"
        });
    });

    $(document).on("focus", "[ name='variants[product_weight_value][]' ]", function() {
        $(this).inputmask("numeric", {
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });
    });

    $(document).on("focus", "[ name='variants[shipping_dimension_length][]' ]", function() {
        $(this).inputmask("numeric", {
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });
    });

    $(document).on("focus", "[ name='variants[shipping_dimension_width][]' ]", function() {
        $(this).inputmask("numeric", {
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });
    });

    $(document).on("focus", "[ name='variants[shipping_dimension_height][]' ]", function() {
        $(this).inputmask("numeric", {
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });
    });
    /////////////////////////////////////////////////////////////////

    $.validator.addMethod("regularPrice", function(value) {
        return value != '';
    }, "");


    $.validator.addMethod("fromdate", function(value) {
        var result = true;
        if (value === '') {
            result = false;
            $.validator.messages.fromdate = DATE_EMPTY_MESSAGE;
        }

        if (!value.match(/([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))/)) {
            result = false;
            $.validator.messages.fromdate = DATE_FORMAT_MESSAGE;
        }

        return result;
    }, $.validator.messages.fromdate);

    $.validator.addMethod("todate", function(value) {
        var result = true;
        if (value === '') {
            result = false;
            $.validator.messages.todate = DATE_EMPTY_MESSAGE;
        }

        if (!value.match(/([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))/)) {
            result = false;
            $.validator.messages.todate = DATE_FORMAT_MESSAGE;
        }

        return result;
    }, $.validator.messages.todate);


    $('#product-sale-price').on('change', function () {
        var checkPrice = $(this).prop('checked');
        $("[name=sale_price]").rules("add", {required: checkPrice});
        $("[name=from_date]").data('rule-fromdate', checkPrice);
        $("[name=to_date]").data('rule-todate', checkPrice);
    });


    // required price for variants
    $.validator.addMethod("variantSalePrice", function(value) {
        return value != '';
    }, "");

    $(document).on('change', "[ name='variants[check_sale_price][]' ]", function () {
        var checkPrice = $(this).prop('checked');
        $("[name='variants[product_sale_price][]']").data('rule-variantsaleprice', checkPrice);
    });

    // required price for variants
    $.validator.addMethod("variantStockQuantity", function(value) {
        return value != '';
    }, "");

    // required options for dimensions
    $.validator.addMethod("productweight", function(value) {
        return value != '';
    }, "");
    $.validator.addMethod("dimensionlength", function(value) {
        return value != '';
    }, "");
    $.validator.addMethod("dimensionwidth", function(value) {
        return value != '';
    }, "");
    $.validator.addMethod("dimensionheight", function(value) {
        return value != '';
    }, "");

    $(document).on('change','.product-requires-shipping-js', function () {
        var checkShipping = $(this).prop('checked');
        $("[name=product_weight_value]").data('rule-productweight', checkShipping);
        $("[name=shipping_dimension_length]").data('rule-dimensionlength', checkShipping);
        $("[name=shipping_dimension_width]").data('rule-dimensionwidth', checkShipping);
        $("[name=shipping_dimension_height]").data('rule-dimensionheight', checkShipping);
    });

    function reloading_editor() {
        /**
         * reloading editor
         * @type {string}
         */
        if (typeof tinymce !== 'undefined') {
            document.body.style.overflow = 'hidden';
            tinymce.on('SetupEditor', function( event ) {
                document.body.style.overflow = '';
            }, true );

            if ($("#content")) {
                document.body.style.overflow = '';
            }
        }
    }

    function remove_spinner() {
        $('#publishing-action .spinner').removeClass('is-active');
        $('#publish').attr('disabled', false);
    }

    function activate_spinner() {
        $('#publishing-action .spinner').addClass('is-active');
        $('#publish').attr('disabled', true);
    }

    function validate_handler() {
        var result = true;

        // TODO description field
        // if (tinyMCE.activeEditor) {
        //     tinyMCE.triggerSave();
        //
        //     tinyMCE.activeEditor.on('keyup', function (item) {
        //         if (item.keyCode !== 9) {
        //             $('#wp-content-editor-container').removeClass('form-error-input');
        //         }
        //     });
        // }

        // var text = $('#content').val();
        //
        // if (text.length == 0  ) {
        //     $('#wp-content-editor-container').addClass('form-error-input');
        //
        //     result = false;
        // }

        // for attributes
        $('.main-form-field').find('.error').remove();
        $('.js-example-basic-multiple').each(function () {
            if (!$(this).val()) {
                $(this).closest('.ad-attributes-item').append('<label id="regular_price-error" class="error"' +
                    ' for="regular_price">'+ EMPTY_VALUE_MESSAGE +'</label>');
                $(this).closest('.main-form-field').find('input').addClass('form-error-input');

                result = false;
            }
        });

        $('[name=sale_price]').each(function( key ) {
            var message = '';

            if ($(this).val() < 0 ) {
                message = PRICE_NEGATIVE_MESSAGE;
            }

            var regular_price = parseFloat($('[name=regular_price]').val());
            var sale_price = parseFloat($('[name=sale_price]').val());
            if (regular_price <= sale_price && parseInt(regular_price) !== 0) {
                message = SALE_PRICE_MESSAGE;
            }
            if (message) {
                $(this).closest('.main-form-field').find('input').addClass('form-error-input');
                $(this).closest('.main-form-field').append('<label id="sale_price-error-' + key + '" class="error"' +
                    ' for="variants[product_sale_price][]">' + message + '</label>');
                result = false;
            }
        });

        // for variants
        $('[name="variants[product_regular_price][]"]').each(function( key ) {
            var message = '';

            if ($(this).val() === '' ) {
                $(this).closest('.main-form-field').find('input').addClass('form-error-input');
                result = false;
            }

            if ($(this).val() < 0 ) {
                message = PRICE_NEGATIVE_MESSAGE;
            }
            if ( $(this).val() !='' && !$.isNumeric($(this).val())) {
                message = PRICE_VALID_MESSAGE;
            }
            if (message) {
                $(this).closest('.main-form-field').append('<label id="regular_price-error-' + key + '" class="error"' +
                    ' for="variants[product_regular_price][]">' + message + '</label>');
                $(this).closest('.main-form-field').find('input').addClass('form-error-input');
                result = false;
            }
        });


        // for variants
        $('[name="variants[product_sale_price][]"]').each(function( key ) {
            var message = '';

            if ($(this).val() < 0 ) {
                message = '';
            }

            var regular_price = parseFloat($('.variants-product-regular-price-' + key + ' ').val());
            var sale_price = parseFloat($('.variants-product-sale-price-' + key + ' ').val());
            if (regular_price <= sale_price && parseInt(regular_price) !== 0 ) {
                message = SALE_PRICE_MESSAGE;
            }
            if (message) {
                $(this).closest('.main-form-field').find('input').addClass('form-error-input');
                $(this).closest('.main-form-field').append('<label id="sale_price-error-' + key + '" class="error"' +
                    ' for="variants[product_sale_price][]">' + message + '</label>');
                result = false;
            }
        });


        $('[name="variants[product_stock_quantity][]" ]').each(function(key) {
            var $container = $(this).closest('.accordion-content');
            var message = '';
            if ($date_check.prop('checked')) {

                if (!$(this).val()) {
                    message = EMPTY_VALUE_MESSAGE;
                }

                if ($(this).val() < 0 || !$.isNumeric($(this).val()) ) {
                    message = QUANTITY_VALID_MESSAGE;
                }

                if (message) {
                    $(this).closest('.main-form-field').append('<label id="product_stock_quantity-error-' + key + '" class="error"' +
                        ' for="variants[product_stock_quantity][]">' + message + '</label>');
                    result = false;
                }
            }
        });


        // for variants
        $('[name="variants[product_sku][]"]').each(function( key ) {
            var $container = $(this).closest('.accordion-content');

            var sku = $container.find('.variants-product-sku').val();

            if (sku == "") {
                $(this).closest('.main-form-field').find('.variants-product-sku').addClass('form-error-input');
                result = false;

            } else {
                var parent = $(this).parent();
                var variant_id = parent.find('.variant_id').val();
                var self = this;
                $.ajax({
                    url: ajaxurl,
                    type: 'post',
                    async: false,
                    data: {
                        inventory_sku: $(this).val(),
                        action: 'prodigy-variant-validate-sku',
                        post_id: variant_id,
                        nonce_code : prodigyajax.nonce
                    },
                    success: function (response) {
                        if (response == 'false') {
                            $(self).addClass('form-error-input');
                            result = false;
                        }
                    }
                }, $(this));
            }


            var product_sku = $('[name=inventory_sku]').val();
            var variant_sku = $(this).val();

            if (product_sku === variant_sku) {
                $(self).addClass('form-error-input');
                result = false;
            }

        });

        $('[name="variants[product_from_date][]"]').each(function(key) {
            var $container = $(this).closest('.accordion-content');
            var $date_check = $container.find('.variants-product-check-sale-price');
            var message = '';
            if ($date_check.prop('checked')) {
                if (!$(this).val()) {
                    message = EMPTY_VALUE_MESSAGE;
                }

                if (!$(this).val().match(/([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))/)) {
                    message = DATE_FORMAT_MESSAGE;
                }

                if (message) {
                    $(this).closest('.main-form-field').find('input').addClass('form-error-input');
                    result = false;
                }
            }
        });

        $('[name="variants[product_to_date][]"]').each(function( key ) {
            var $container = $(this).closest('.accordion-content');
            var $date_check = $container.find('.variants-product-check-sale-price');
            var message = '';
            if ($date_check.prop('checked')) {
                if (!$(this).val()) {
                    message = EMPTY_VALUE_MESSAGE;
                }

                if (!$(this).val().match(/([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))/)) {
                    message = DATE_FORMAT_MESSAGE;
                }

                if (message) {
                    $(this).closest('.main-form-field').find('input').addClass('form-error-input');
                    result = false;
                }
            }
        });

        $('[name="variants[product_weight_type][]"]').each(function( key ) {
            var $container = $(this).closest('.accordion-content');
            var $check = $container.find('.variants-product-requires-shipping');
            var message = '';

            if ($check.prop('checked')) {

                var weight = $container.find('.variants-product-weight-value').val();

                if (!$.isNumeric(weight) || weight < 0 ) {
                    message = WEIGHT_VALID_MESSAGE;
                }

                if (!$(this).val()) {
                    message = EMPTY_VALUE_MESSAGE;
                }
                if (message) {
                    $(this).closest('.main-form-field').find('input').addClass('form-error-input');
                    result = false;
                }
            }
        });


        $('[name="variants[shipping_dimension_length][]"]').each(function( key ) {
            var $container = $(this).closest('.accordion-content');
            var $check = $container.find('.variants-product-requires-shipping');
            var message = '';

            if ($check.prop('checked')) {
                var length = $(this).val(),
                    width = $container.find('.variants-shipping-dimension-width').val(),
                    height = $container.find('.variants-shipping-dimension-height').val();


                if (!$.isNumeric(length) || length < 0 ) {
                    message = LENGTH_VALID_MESSAGE;
                }

                if (!$.isNumeric(width) || width < 0 ) {
                    message = WIDTH_VALID_MESSAGE;
                }

                if (!$.isNumeric(height) || height < 0 ) {
                    message = HEIGHT_VALID_MESSAGE;
                }

                if (!(length && height && width)) {
                    message = EMPTY_VALUE_MESSAGE;
                }
                if (message) {
                    $(this).closest('.main-form-field').find('input').addClass('form-error-input');
                    result = false;
                }
            }
        });

        return result;
    }

    $("form#post").validate({
        onkeyup: false,
        onclick: false,
        errorClass: "form-error-input",
        rules: {
            post_title: {
                required: true,
            },
            regular_price: {
                required: true,
            },
            shipping_dimension_length: {
                required: true,
            },
            shipping_dimension_width: {
                required: true,
            },
            shipping_dimension_height: {
                required: true,
            },
            product_weight_value: {
                required: true,
            },
            inventory_sku: {
                required: true,
                remote: {
                    url: ajaxurl,
                    type: "post",
                    data: {
                        inventory_sku: function () {
                            return $('[name=inventory_sku]').val();
                        },
                        action: 'prodigy-validate-sku',
                        post_id: $('.current_post').val(),
                        nonce_code : prodigyajax.nonce
                    },
                },
            },
        },
        messages: {
            inventory_sku: {
                remote: SKU_UNIQUE_MESSAGE,
            }
        },
        invalidHandler: function(event, validator) {
            validate_handler();
        },
        submitHandler: function( form ) {
            // disable native browser popups
            activate_spinner();

            $(window).off('beforeunload');
            var result = validate_handler();

            if (result) {
                form.submit();
            } else {
                remove_spinner();
                // for variants
                this.defaultShowErrors();
                $('.accordion-content').each(function() {
                    if ($(this).find('.form-error-input').length > 0) {
                        $(this).show();
                    }
                });

                if ($('form .form-error-input').first().length != 0) {
                    $('html, body').animate({
                        scrollTop: ($('form .form-error-input').first().offset().top - 300)
                    }, 200);
                }

                return false;
            }
        },
        errorPlacement: function(error,element) {
            return true;
        },
        onsubmit: true
    });


    $("input[name*='tax_input[product-category][]']").on('click', function () {

        let click_element = $(this);

        /*
         * If subcategory is checked - all parents get checked as well
         */
        if ( this.checked ) {
            $(this).parents('li').children().children('input[type=checkbox]').prop('checked',true);
        }

        /*
         * If I unchecked a parent - all the child gets unchecked
         */
        let children_category_block = click_element.closest('li').children('ul');
        if (click_element.prop('checked') === false && children_category_block.hasClass('children') === true) {
            let children_category = children_category_block.children('li');
            $.each(children_category, function( index, value ) {
                let children_category_item = $( this );
                children_category_item.children().children().prop('checked', false);
                if (children_category_item.children('ul').hasClass('children') === true) {
                    unchecked_categories(children_category_item);
                }
            });
        }
    })

});

function unchecked_categories(children_category) {

    let children_category_block = children_category.children('ul');
    children_category_block.each( function (index, value) {
        var list = value.children;
        for (let item of list) {
            if (item.getElementsByTagName("ul") && item.getElementsByTagName("ul")[0] !== undefined) {
                if (item.getElementsByTagName("ul")[0].className !== undefined
                    && item.getElementsByTagName("ul")[0].className === 'children') {
                    unchecked_categories_collection(item);
                }
            }
            item.getElementsByTagName("input")[0].checked = false;
        }
    });
}

function unchecked_categories_collection(children_category) {

    if (children_category.getElementsByTagName("ul") && children_category.getElementsByTagName("ul")[0] !== undefined) {
        var list = children_category.getElementsByTagName("ul")[0].children;
        for (let item of list) {
            if (item.getElementsByTagName("ul") && item.getElementsByTagName("ul")[0] !== undefined) {
                if (item.getElementsByTagName("ul")[0].className !== undefined
                    && item.getElementsByTagName("ul")[0].className === 'children') {
                    unchecked_categories_collection(item);
                }
            }
            item.getElementsByTagName("input")[0].checked = false;
        }
    }
}

