jQuery(document).ready(function ($) {
   init();

    $(document).on('click', '.variants-product-check-sale-price', function () {
        toggleCheckSalePrice($(this));
    });

    $(document).on('click', '.variants-product-requires-shipping', function () {
        toggleCheckShipping($(this));
    });

    $('.variants-product-requires-shipping').each(function () {
        toggleCheckShipping($(this));
    });

    $(document).on('click', '.datepicker', function () {
        $(this).datepicker();
    });

    $(document).on('change', '.js-example-basic-multiple', function() {
        var container = $(this).closest('.attribute-container');
        var enable_checkbox = container.find('.enable-variant-js');

        if ( enable_checkbox.prop('checked') == true ) {
            init_regenerate_variants();
        }
    });

    $(document).on('change','.enable-variant-js', function () {
        var current_checkbox = $(this).data('attr');

        $('.ui-dialog-titlebar-close').attr('data-attr', parseInt(current_checkbox));
        $('.ui-dialog-titlebar-close').data('attr', parseInt(current_checkbox));

        $('.enabled-use-option-js').val($(this).data('attr'));
        init_regenerate_variants('variants-type');
    });

    $(document).on('click','.remove-attribute-js', function () {
        init_regenerate_variants();
    });

    $(document).on('change','.product-requires-shipping-js', function () {
        if (is_empty_variants()) {
            init_regenerate_variants('shipping-type');
        }
    });


    function reset_generate_variants_event() {
        $(document).on('click', '.ui-dialog-titlebar-close', function () {

            var popup_type = $('#generate_variants_modal').data('id');
            if ( popup_type === 'shipping-type' ) {

                let product_requires_shipping = $('.product-requires-shipping-js');
                let product_shipping_weight = $('.product_shipping_weight');
                let product_shipping_dimensions = $('.product_shipping_dimensions');
                if (product_requires_shipping.is(':checked')) {
                    product_requires_shipping.prop('checked', false);
                    product_shipping_weight.hide();
                    product_shipping_dimensions.hide();
                } else {
                    product_requires_shipping.prop('checked', true);
                    product_shipping_weight.show();
                    product_shipping_dimensions.show();
                }
            }

            var current_chekbox = $(this).data('attr');

            if ( popup_type === 'variants-type' ) {
                var enable_variant_checkbox = $('.enable-variant-js[data-attr=' + parseInt(current_chekbox) + ']');
                if (enable_variant_checkbox.is(':checked')) {
                    enable_variant_checkbox.prop('checked', false);
                } else {
                    enable_variant_checkbox.prop('checked', true);
                }
            }
        });
    }

    function init() {
        is_enable_generate_variants();
        show_generate_attributes_modal();
        delete_variant();
        reset_generate_variants_event();
        accordion_variants();
        hide_main_product_fields('load');
    }

    function is_empty_variants()  {
        return $('.variants-container-js').length > 0;
    }

    function accordion_variants() {
        $(document).on('click', '.accordion-toggle', function () {
            $(this).next().slideToggle('fast');
            $(".accordion-content").not($(this).next()).slideUp('fast');
            var $icon = $(this).find('.ad-variants-item__arrow');
            $icon.toggleClass('icon-arrow-up');
            $icon.toggleClass('icon-arrow-down');
        });
    }

    function toggleCheckSalePrice($element) {
        var $container = $element.closest('.accordion-content').find('.variants-product-check-sale-price-container');
        if ($element.prop('checked') == true) {
            $container.show();
        } else {
            $container.hide();
        }
    }

    function toggleCheckManageStock($element) {
        var $stockBlock = $element.closest('.accordion-content').find('.stock-block');
        var $stock_status_block = $element.closest('.accordion-content').find('.product_stock_status');
        if ($element.prop('checked') == false) {
            $stockBlock.show();
            $stock_status_block.hide();
        } else {
            $stockBlock.hide();
            $stock_status_block.show();
        }
    }

    function toggleCheckShipping($element) {
        var $container = $element.closest('.accordion-content').find('.product_shipping_weight, .product_shipping_dimensions')
        if ($element.prop('checked') == true) {
            $container.show();
        } else {
            $container.hide();
        }
    }

    // create popup window
    function show_generate_attributes_modal() {
        $('#generate_variants_modal').dialog({
            title: 'WARNING',
            autoOpen: false,
            draggable: false,
            width: 'auto',
            modal: true,
            resizable: false,
            closeOnEscape: true,
            position: {
                my: "center",
                at: "center",
                of: window
            }
        });
    }

    function is_enable_generate_variants() {
        var enabled = false;

        $('.enable-variant-js').each( function ( ) {
            if ( $(this).prop('checked') == true ) {
                enabled = true;
            }
        });

        $('.js-example-basic-multiple').each(function () {
            if ( !$(this).val() ) {
                enabled = false;
            }
        });
    }

    function init_regenerate_variants(type_click) {
        is_enable_generate_variants();
        save_attributes();
        generate_variants(type_click);
    }

    function generate_variants( type_click ) {
        $('#generate_variants_modal').dialog('open');

        $('#generate_variants_modal').data( "id", type_click );
        $('#generate_variants_modal').attr( "data-id", type_click );

        $(document).on('click', '.generate-variants-js', function () {
            hide_main_product_fields('');
            $('#generate_variants_modal').dialog('close');
            var wrapper = $('div#accordion');

            if (!$('[name=inventory_sku]').hasClass('form-error-input')) {
                var enable_variants = [];
                var counter = 0;
                $('.enable-variant-js').each(function () {
                    if ($(this).is(':checked')) {
                        enable_variants[counter++] = 'on';
                    } else {
                        enable_variants[counter++] = 'off';
                    }
                });

                var post_data = {
                    action: 'create-variant-meta-box',
                    post_id: $('input[name=current_post]').val(),
                    sku: $('[name=inventory_sku]').val(),
                    enable_variants: enable_variants,
                    nonce_code : prodigyajax.nonce
                };

                $.ajax({
                    type: 'post',
                    data: post_data,
                    dataType: 'json',
                    url: ajaxurl,
                    success: function (data) {
                        if (!data.current_product) {
                            $(wrapper).empty();
                        } else {
                            if (data.status) {
                                $(wrapper).empty();

                                var parent_product = data.current_product;

                                $.each(data.variants, function (key) {
                                    var sku = '';
                                    if (typeof this.sku !== 'undefined') {
                                        sku = this.sku;
                                    }

                                    var fieldHTML = generate_variants_form(parent_product, this, sku, key);
                                    $(wrapper).append(fieldHTML);
                                    set_variant_form(key);
                                    toggleCheckSalePrice($('#variants-product-check-sale-price-' + key));
                                    toggleCheckShipping($('#variants-product-requires-shipping-' + key));
                                    hide_main_product_fields('enable');
                                }, parent_product);
                            }
                        }
                    },
                });
            }
        });
    }

    function hide_main_product_fields( station ) {
        var sku = $('[name=inventory_sku]').val();
        var price = $('[name=regular_price]').val();

        var price_container = $('#prodigy-product-price');
        var inventory_container = $('#prodigy-product-inventory');

        if ( (station === 'enable' || station === 'load') && $( ".variants-container-js" ).length && sku !== '' && price !== '' ) {
            $('#prodigy-product-price').hide();
            $('#prodigy-product-inventory').hide();
        } else {
            $('#prodigy-product-price').show();
            $('#prodigy-product-inventory').show();
        }

        if (  station === '' ) {
            $('#prodigy-product-price').show();
            $('#prodigy-product-inventory').show();
        }
    }

    function save_attributes() {
        var attribute = [];
        $('.select_attribute_names').each( function(index, item) {
            attribute[index] = $('option:selected', item).val();
        });

        var values = [];
        $(".js-example-basic-multiple").each( function (indexes, items) {
            values[indexes] = [];
            $('option:selected', items).each( function (index, item) {
                values[indexes][index] = $(item).attr('value');
            }, values[indexes]);
        });

        var enablers = [];
        $('input.enable-variant-js').each(function ( key ) {
            if ($(this).is(":checked")) {
                enablers[key] = 'on';
            } else {
                enablers[key] = 'off';
            }
        });

        var post_data = {
            action: 'save-attributes-meta-box',
            attribute: attribute,
            values: values,
            post_id: $('input[name=current_post]').val(),
            enable_attributes: enablers,
            nonce_code : prodigyajax.nonce
        };

        $.ajax({
            type: 'post',
            data: post_data,
            dataType: 'json',
            url: ajaxurl,
            success: function (data) {

            },
        });

    }

    function delete_variant() {
        $(document).on('click', '.delete_variant' , function(event) {
            event.preventDefault();
            $(this).closest('.accordion-toggle').remove();
        })
    }

    function set_variant_form(index) {
        var regular_price = $('[name=regular_price]').val();
        var default_regular_price = (regular_price === '' || regular_price === 'undefined') ? '' : regular_price;

        var sale_price = $('[name=sale_price]').val();
        var from_date = $('[name=from_date]').val();
        var to_date = $('[name=to_date]').val();
        var sku = $('[name=inventory_sku]').val();
        var inventory_stock_status = $('.product_stock_status option:selected').val();
        var inventory_stock_quantity = $('[name=inventory_stock_quantity]').val();
        var check_allow_backorders = $('[name=check_allow_backorders] option:selected').val();
        var product_weight_type = $('[name=product_weight_type] option:selected').val();
        var product_weight_value = $('[name=product_weight_value]').val();
        var shipping_dimensions = $('[name=shipping_dimensions] option:selected').val();
        var shipping_dimension_length = $('[name=shipping_dimension_length]').val();
        var shipping_dimension_width = $('[name=shipping_dimension_width]').val();
        var shipping_dimension_height = $('[name=shipping_dimension_height]').val();

        $('.variants-product-regular-price-'+index).val(default_regular_price);
        $('.variants-product-sale-price-'+index).val(sale_price);

        if ($('#product-sale-price').is(':checked')) {
            $('.variants-product-check-sale-price').prop('checked', true);
            $('.variants-product-from-date').val(from_date);
            $('.variants-product-to-date').val(to_date);
        }

        if ($('#product-manage-stock').is(':checked')) {
            $('.variants-product-stock-quantity').val(inventory_stock_quantity);
            $('.variants-allow').val(check_allow_backorders);
        }


            if ($('.product-requires-shipping-js').is(':checked')) {
                $('.variants-product-requires-shipping').prop('checked', true);
                $('.variants-product-weight-type').val(product_weight_type);
                $('.variants-product-weight-value').val(product_weight_value);
                $('.variants-dimension').val(shipping_dimensions);
                $('.variants-shipping-dimension-length').val(shipping_dimension_length);
                $('.variants-shipping-dimension-width').val(shipping_dimension_width);
                $('.variants-shipping-dimension-height').val(shipping_dimension_height);
            }
    }

    // create attribute modal validation
    function showError($element, message) {
        hideErrors($element.parent());
        $element.parent().append('<div class="error">' + message + '</div>');
    }

    // create attribute modal validation
    function hideErrors($container) {
        $container.find('.error').remove();
    }

    function generate_variants_form(parent_product, variant, sku, index) {
        var domain = document.domain;
        var is_check_sale_price = (parent_product.product_check_sale_price === 'on');
        var is_check_manage_stock = (parent_product.check_product_manage_stock === 'on');
        var placeholder_url = '';
        if ( plugin_path_dir != 0 && typeof plugin_path_dir.dir !== 'undefined') {
            placeholder_url = plugin_path_dir.dir + 'admin/images/placeholder.png';
        }
        return '<div class="ad-variants-item accordion-toggle variants-container-js">\n' +
        '        <p class="mb-0">' + variant.name + '</p>\n' +
        '        <div>\n' +
        '            <i class="ad-variants-item__arrow icon icon-arrow-up"></i>\n' +
        '            <i class="ad-variants-item__icon-basket icon icon-basket delete_variant"></i>\n' +
        '        </div>\n' +
        '       <input type="hidden" value="'+ variant.name +'" class="variants_post_title" name="variants[post_title][]">' +
            '<input type="hidden" value="'+ JSON.stringify(variant.attrs).replace(/"/g, "'") +'" class="variant_attributes" name="variants[post_attributes][]">\n' +
        '    </div>' +
        '    <div class="ad-variants-details accordion-content">' +
        '       <div class="form-field term-group">\n' +
        '           <input type="hidden"\n' +
        '                 id="category-image-id-' + index + '"\n' +
        '                 name="variants[category-image-id][' + index + ']"\n' +
        '                 class="custom_media_url"\n' +
        '                 value=""\n' +
        '           >' +
        '           <div id="category-image-wrapper" class="category-image-wrapper-default">\n' +
        '               <img src="'+placeholder_url+'" style="margin-left: 20px; max-height: 100px; float:none;' +
            ' display: block;">\n' +
        '           </div>' +
        '           <div id="category-image-wrapper-' + index + '"></div>\n' +
        '            <p>\n' +
        '                <input type="button" class="button button-secondary ct_variant_media_button" id="ct_tax_media_button-' + index + '" data-key="' + index + '"\n' +
        '                       name="ct_tax_media_button" value="Add Image" />\n' +
        '                <input type="button" class="button button-secondary ct_variant_media_remove" id="ct_tax_media_remove-' + index + '" data-key="' + index + '"\n' +
        '                       name="ct_tax_media_remove" value="Remove Image" />\n' +
        '            </p>\n' +
        '        </div>\n' +
        '        <div class="ad-variants-details__row">\n' +
        '            <div class="ad-variants-details__col">\n' +
        '                <div class="main-form-field width-160">\n' +
        '                    <label class="main-label">Regular Price</label>\n' +
        '                    <input type="text"\n' +
        '                           placeholder="$0.00"\n' +
        '                           class="variants-product-regular-price-'+index+' "\n' +
        '                           name="variants[product_regular_price][]" data-rule-variantRegularPrice="'+ is_check_sale_price +'" \n' +
        '                    />\n' +
        '                </div>\n' +
        '            </div>\n' +
        '            <div class="ad-variants-details__col">\n' +
        '                <div class="main-form-field width-160">\n' +
        '                    <label class="main-label">Sale Price</label>\n' +
        '                    <input\n' +
        '                            type="text"\n' +
        '                            placeholder="$0.00"\n' +
        '                            class="variants-product-sale-price-'+index+' "\n' +
        '                            name="variants[product_sale_price][]" data-rule-variantSalePrice="'+ is_check_sale_price +'" \n' +
        '                    />\n' +
        '                </div>\n' +
        '            </div>\n' +
        '        </div>\n' +
        '        <label class="main-checkbox">\n' +
        '            <input type="checkbox" class="variants-product-check-sale-price"' +
        '                   name="variants[check_sale_price][]" id="variants-product-check-sale-price-' + index + '" />\n' +
        '            <span class="main-checkbox__text">Sale price dates</span>\n' +
        '        </label>\n' +
        '        <div class="ad-variants-details__row mb-16 variants-product-check-sale-price-container" style="display: none">\n' +
        '            <div class="ad-variants-details__col">\n' +
        '                <div class="main-form-field width-160">\n' +
        '                    <label class="main-label">From</label>\n' +
        '                    <input\n' +
        '                            type="text"\n' +
        '                            placeholder="Date"\n' +
        '                            class="variants-product-from-date datepicker"\n' +
        '                            name="variants[product_from_date][]" \n' +
        '                    />\n' +
        '                </div>\n' +
        '            </div>\n' +
        '            <div class="ad-variants-details__col">\n' +
        '                <div class="main-form-field width-160">\n' +
        '                    <label class="main-label">To</label>\n' +
        '                    <input\n' +
        '                            type="text"\n' +
        '                            placeholder="Date"\n' +
        '                            class="variants-product-to-date datepicker"\n' +
        '                            name="variants[product_to_date][]" \n' +
        '                    />\n' +
        '                </div>\n' +
        '            </div>\n' +
        '        </div>\n' +
        '        <div class="ad-variants-details__row">\n' +
        '            <div class="ad-variants-details__col">\n' +
        '                <div class="main-form-field width-160">\n' +
        '                    <label class="main-label">SKU' +
        '                    <div class="tooltip">\n' +
        '                       <i class="tooltip__icon fa fa-info-circle"></i>\n' +
        '                       <span class="tooltip__message">Stock- keeping unit- unique identifier for each distinct product and service that can be purchased.\n' +
        '                       </span>\n' +
        '                    </div></label>' +
        '                    <input type="hidden" name="variants[post_id][]" class="variant_id" value="'+ variant.id +'">\n' +
                                '<input\n' +
        '                            type="text"\n' +
        '                             name="variants[product_sku][]"\n' +
        '                            placeholder=""\n' +
        '                            class="variants-product-sku"\n' +
            '                        value="'+ sku +'" \n' +
        '                    />\n' +
        '                </div>\n' +
        '            </div>\n' +
        '            <div class="ad-variants-details__col stock-block">\n' +
        '                <div class="main-form-field width-160">\n' +
        '                    <label class="main-label">Stock Status</label>\n' +
        '                    <select class="variants-product-stock-status" ' +
        '                            name="variants[product_stock_status][]">\n' +
        '                        <option value="0">In Stock</option>' +
        '                        <option value="1">Out of Stock</option>' +
        '                    </select>\n' +
        '                </div>\n' +
        '            </div>\n' +
        '        </div>\n' +
        '        <label class="main-checkbox main-hint">\n' +
        '            <input\n' +
        '                    type="checkbox" class="variants-product-requires-shipping"\n' +
        '                    id="variants-product-requires-shipping-' + index + '"' +
        '                    name="variants[check_requires_shipping][] "\n' +
        '                    style="cursor: not-allowed;"\n' +
        '            disabled/>\n' +
        '            <span class="main-checkbox__text">Product requires shipping</span>\n' +
        '        </label>\n' +
        '        <div class="ad-variants-details__row product_shipping_weight">\n' +
        '            <div class="main-form-field mr-30">\n' +
        '                <label class="main-label">Weight</label>\n' +
        '                <div class="d-flex">\n' +
        '                    <select class="width-56 mr-8 variants-product-weight-type"' +
        '                           name="variants[product_weight_type][]">\n' +
        '                        <option value="0">lbs</option>' +
        '                        <option value="1">g</option>' +
        '                        <option value="2">oz</option>\n' +
        '                        <option value="3">kg</option>\n' +
        '                    </select>\n' +
        '                    <input\n' +
        '                            type="text"\n' +
        '                            placeholder=""\n' +
        '                            class="width-100 variants-product-weight-value"' +
        '                            name="variants[product_weight_value][]" \n' +
        '                    >\n' +
        '                </div>\n' +
        '            </div>\n' +
        '            <div class="main-form-field product_shipping_dimensions">\n' +
        '                <label class="main-label">Dimensions</label>\n' +
        '                <div class="d-flex">\n' +
        '                    <select class="width-56 mr-8 variants-dimension"' +
        '                            name="variants[dimension][]">\n' +
        '                        <option value="0">cm</option>' +
        '                        <option value="1">in</option>\n' +
        '                    </select>\n' +
        '                    <input type="text" name="variants[shipping_dimension_length][]" placeholder="Length"' +
        '                           class="variants-shipping-dimension-length width-62 mr-8">\n' +
        '                    <input type="text" name="variants[shipping_dimension_width][]" placeholder="Width" ' +
        '                           class="width-62 mr-8 variants-shipping-dimension-width">\n' +
        '                    <input type="text" name="variants[shipping_dimension_height][]" placeholder="Height" ' +
        '                           class="width-62 variants-shipping-dimension-height">\n' +
        '                </div>\n' +
        '            </div>\n' +
        '        </div>\n' +
        '</div>';
    // generate variant form
    }
});
