jQuery(document).ready(function ($) {

    /**
     * prodigy_attributes_delete_confirm register on page /prodigy-wp-plugin/admin/class-prodigy-admin-attributes.php
     * @method load_attribute_menu_scripts
     */
    const message = 'This action will delete all variants data. Are you sure you want to delete the attribute?' +
    ' You will need to generate new variants for your product after deleting.';

    $( 'a.delete_attribute' ).on( 'click', function () {
        if ( window.confirm( message ) ) {
            return true;
        } return false;
    });


    $('a.edit-attributes-js').on('click', function () {
        let counts = $(this).data('count-prods');
        let str_counts = `Attribute you want to edit is used as an option for ${counts} product(s). Please, disable "use as option" for this attribute on all related products`;
        alert( str_counts);
    });

    $('a.delete-attributes-js').on('click', function () {
        let counts = $(this).data('count-prods');
        let str_counts = `Attribute you want to delete is used as an option for ${counts} product(s). Please, disable "use as option" for this attribute on all related products`;
        alert( str_counts);
    });


    $(document).on('click', 'a.delete_attribute', function(event) {
        event.preventDefault();
        var attr_slug = $(this).data('attr-slug');

        $.ajax({
            dataType: 'json',
            url: ajaxurl,
            type: 'post',
            data: {
                action: 'delete-prodigy-attribute',
                attr_slug: attr_slug
            },
            success: function (data) {
                var element = $('.widefat');
                if (data.status === true) {
                    showError(element, data);
                } else {
                    location.reload();
                    hideErrors(element);
                }
            }
        });
    });

    $(document).on('click', '.submit_attribute', function(event) {
        event.preventDefault();
        $(this).closest('form').valid();

        var values = $('[name=attribute_value]').val();
        var attribute_label = $('[name=attribute_name]').val();
        var attribute_slug = $('[name=attribute_slug]').val();
        var attribute_order = $('[name=attribute_orderby] option:selected').val();

        $.ajax({
            dataType: 'json',
            url: ajaxurl,
            type: 'post',
            data: {
                action: 'create-prodigy-attribute',
                label: attribute_label,
                slug: attribute_slug,
                values: values,
                order: attribute_order,
                nonce_code : prodigyajax.nonce
            },
            success: function (data) {
                var element = $('h1.wp-heading-inline');
                if (data.status) {
                    hideErrors(element);
                }
                location.reload();
            }
        });
    });

    // create attribute modal validation
    function showError($element, message) {
        hideErrors($element.next('.notice-error'));
        $element.after("<div class='notice notice-error is-dismissible'>" +
            "<p>" + message.error + "</p><button" +
            " type='button' class='notice-dismiss'>" +
            "<span class='screen-reader-text'>Dismiss this notice.</span>" +
            "</button>" +
            "</div>"
        );
    }

    // create attribute modal validation
    function hideErrors($container) {
        $container.remove();
    }

});