jQuery(document).ready(function ($) {

    $(document).on("click","#category_synchronize", function() {
        event.preventDefault();
        $(this).parent().find('.retry').append('<span class="spinner is-active"></span>');
        $(this).hide();
        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'retry-synchronize-category',
                term_id: $(this).data('id'),
                nonce_code : prodigyajax.nonce
            },
            success: function (data) {
                location.reload();
            }
        });
    });


    $(document).on('click', '.text-more', function(e) {
        e.preventDefault();

        $(this).prev().slideToggle("slow", function() {

        });
    });

    /**
     * prodigy_product_cat_delete register on page prodigy-wp-plugin/admin/class-prodigy-admin-category.php
      * @method category_load_media
     */
    $( '#doaction' ).on( 'click', function () {
        const confirm_message = "You are about to permanently delete these items from your site.\nThis action" +
            " cannot be undone.\n 'Cancel' to stop, 'OK' to delete.";

        if ( $( '#bulk-action-selector-top' ).val() === 'delete' ) {
            let selected = $( '#the-list input:checked' ).length;
            if ( selected > 0 ) {
                if ( !window.confirm( confirm_message ) ) {
                    return false;
                } return true;
            }
        }
    });

    // add spinner
    $('#submit').on('click', function () {
        var category_name = $('#tag-name').val();

        if (category_name === '') {
            $('.spinner').removeClass('is-active');
        } else {
            if ($(this).next().length > 0 ) {
                $(this).prev().addClass(".is-active").css('float', 'left');
            } else {
                $(this).after('<span class="spinner is-active"></span>');
            }
        }
    });

    // remove spinner
    $(document).ajaxComplete(function (event, xhr, settings) {
        if (!settings.hasOwnProperty("data")) {
            return;
        }

        var queryStringArr = settings.data.split('&');
        if ($.inArray('action=add-tag', queryStringArr) !== -1 && $('#ajax-response').children().length === 0) {
            $('.spinner').remove();
        }
    });

    /**
     * Create and show a dismissible admin notice
     */
    function myAdminNotice( msg ) {

        /* create notice div */

        let div = document.createElement( 'div' );
        div.classList.add('error', 'notice', 'notice-info', 'is-dismissible' );

        /* create paragraph element to hold message */

        let p = document.createElement( 'p' );

        /* Add message text */

        p.appendChild( document.createTextNode( msg ) );

        // Optionally add a link here

        /* Add the whole message to notice div */

        div.appendChild( p );

        /* Create Dismiss icon */

        let b = document.createElement( 'button' );
        b.setAttribute( 'type', 'button' );
        b.classList.add( 'notice-dismiss' );

        /* Add screen reader text to Dismiss icon */

        let bSpan = document.createElement( 'span' );
        bSpan.classList.add( 'screen-reader-text' );
        bSpan.appendChild( document.createTextNode( 'Dismiss this notice' ) );
        b.appendChild( bSpan );

        /* Add Dismiss icon to notice */

        div.appendChild( b );

        /* Insert notice after the first h1 */

        let h1 = document.getElementsByTagName( 'h1' )[0];
        h1.parentNode.insertBefore( div, h1.nextSibling);


        /* Make the notice dismissable when the Dismiss icon is clicked */

        b.addEventListener( 'click', function () {
            div.parentNode.removeChild( div );
        });


    }

});