jQuery(document).ready(function ($) {

    init();
    function init() {
        disable_input();
        set_validation_masks();
        // apply_changes();
    }

    function set_validation_masks() {
        // for product

        $("[name=regular_price_value]").inputmask({
            regex: "[0-9]+(\\.[0-9]{0,2})?%?",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            radixPoint: ".",
            autoGroup: true,
            rightAlign: false,
        });

        $("[name=sale_price_value]").inputmask({
            regex: "[0-9]+(\\.[0-9]{0,2})?%?",
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });


        $("#the-list [name=product_stock_quantity]").inputmask("integer", {
            rightAlign: false,
            placeholder: "0",
            allowPlus: false,
            allowMinus: false
        });
    }

    function disable_input() {
        $('#wpbody').on('change', '#prodigy-fields-bulk .inline-edit-group .change_to', function () {
            if (0 < parseInt($(this).val())) {
                $(this).closest('div').find('.change-input').show();
            } else {
                $(this).closest('div').find('.change-input').hide();
            }
        });
    }

    function apply_changes() {
        $('#bulk_edit').live('click', function () {
            // define the bulk edit row
            var $bulk_row = $('#bulk-edit');
            // get the selected post ids that are being edited
            var $post_ids = new Array();
            $bulk_row.find('#bulk-titles').children().each(function () {
                $post_ids.push($(this).attr('id').replace(/^(ttle)/i, ''));
            });

            var regular_price_filter = $bulk_row.find("[name=change_regular_price]").val();
            var regular_price_value = $bulk_row.find("[name=regular_price_value]").val();

            var sale_price_filter = $bulk_row.find("[name=change_sale_price]").val();
            var sale_price_value = $bulk_row.find("[name=sale_price_value]").val();

            var product_stock_status = $bulk_row.find("[name=product_stock_status]").val();
            var product_allow_backorders = $bulk_row.find("[name=product_allow_backorders]").val();
            var product_stock_quantity = $bulk_row.find("[name=product_stock_quantity]").val();

            // save the data
            $.ajax({
                url: ajaxurl,
                type: 'POST',
                data: {
                    action: 'prodigy-save-bulk-edit',
                    post_ids: $post_ids,
                    regular_price_filter: regular_price_filter,
                    regular_price_value: regular_price_value,
                    sale_price_filter: sale_price_filter,
                    sale_price_value: sale_price_value,
                    product_stock_status: product_stock_status,
                    product_allow_backorders: product_allow_backorders,
                    product_stock_quantity: product_stock_quantity
                }
            });
        });
    }
});