jQuery(document).ready(function ($) {

    $(document).on('mousedown', "#posts-filter .save", function () {
        $('#posts-filter').valid();
        $(this).attr('onclick', 'return false');
        return false;
    });

    $(document).on("click", "#the-list .editinline", function () {
        var element_id = $(this).parent().parent().parent().find('.hidden').attr('id').split("_");
        var post_id = element_id[1];
        var current_data_container = $('#edit-' + post_id);
        set_validation_masks();

        $.ajax({
            dataType: 'json',
            url: ajaxurl,
            type: 'post',
            data: {
                action: 'set-current-post-id',
                post_id: post_id,
                nonce_code : prodigyajax.nonce
            },
            success: function (data) {
                set_data(current_data_container, data);
            },
        }, current_data_container);
    });

    function set_validation_masks() {
        // for product
        $("#the-list [name=product_quick_regular_price]").inputmask("numeric", {
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });

        $("#the-list [name=product_quick_sale_price]").inputmask("numeric", {
            radixPoint: ".",
            allowPlus: false,
            allowMinus: false,
            digits: 2,
            autoGroup: true,
            rightAlign: false,
        });


        $("#the-list [name=product_stock_quantity]").inputmask("numeric", {
            rightAlign: false,
            placeholder: "0",
            allowPlus: false,
            allowMinus: false
        });

        // $("#the-list [name=post_title]").inputmask( {
        //     regex: "[a-zA-Z0-9- ]*"
        // });
    }

    function set_data( container, data ) {
        container.find('[name=product_quick_regular_price]').val(data.regular_price);
        container.find('[name=product_quick_sale_price]').val(data.sale_price);
        container.find('[name=product_sku]').val(data.sku);
        container.find('[name=product_stock_quantity]').val(data.stock_quantity);
        container.find('[name=product_stock_status]').find('option').each(function () {
            if ( parseInt(data.stock_status) === parseInt($(this).val()) ) {
                $(this).attr("selected","selected");
            }
        });
        container.find('[name=product_allow_backorders]').find('option').each(function () {
            if ( parseInt(data.allow_backorders) === parseInt($(this).val()) ) {
                $(this).attr("selected","selected");
            }
        });
    }

});
