(function( $ ) {
    'use strict';

    $(document).ready(function() {

        window.imagePathDirectory = function(){
            return window.location.protocol + '//' + window.location.hostname + '/wp-content/plugins/prodigy-wp-plugin/web/';
        };

        window.prodigyGetUrlParam = function(name) {
            var results = new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
            if (results==null) {
                return null;
            }

            return decodeURI(results[1]) || 0;
        };

        window.prodigyInsertUrlParams = function( params ) {
            var result;
            var ii = params.length;
            var queryString = document.location.search.substr(1);
            var kvps = queryString ? queryString.split('&') : [];
            var kvp;
            var skipParams = [];
            var i = kvps.length;
            while (i--) {
                kvp = kvps[i].split('=');
                if (kvp[0].slice(-2) != '[]') {
                    var ii = params.length;
                    while (ii--) {
                        if (params[ii][0] == kvp[0]) {
                            kvp[1] = params[ii][1];
                            kvps[i] = kvp.join('=');
                            skipParams.push(ii);
                        }
                    }
                }
            }
            var ii = params.length;
            while (ii--) {
                if (skipParams.indexOf(ii) === -1) {
                    kvps.push(params[ii].join('='));
                }
            }
            result = kvps.length ? '?' + kvps.join('&') : '';
            return result;
        },

        window.getCurrentUrl = function() {
            var path = window.location.pathname;
            var pathName = path.substring(0, path.lastIndexOf('/') + 1);

            return pathName;
        },

        window.prodigy_price_format = function (number, decimals = 2, dec_point = '.', thousands_sep = ',') {
            // Strip all characters but numerical ones.
            number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
            var n = !isFinite(+number) ? 0 : +number,
                prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
                sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
                dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
                s = '',
                toFixedFix = function (n, prec) {
                    var k = Math.pow(10, prec);
                    return '' + Math.round(n * k) / k;
                };
            // Fix for IE parseFloat(0.55).toFixed(0) = 0;
            s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
            if (s[0].length > 3) {
                s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
            }
            if ((s[1] || '').length < prec) {
                s[1] = s[1] || '';
                s[1] += new Array(prec - s[1].length + 1).join('0');
            }
            return s.join(dec);
        },

         window.parse_price = function(str) {
            var regex = /[+-]?\d+(?:\.\d+)?/g;
            var number = regex.exec(str.trim().replace(/\,/g,''));
            if (number !== null)
                return  parseFloat(number[0]);
        }

    });

}) (jQuery);