(function( $ ) {
    'use strict';
    $(document).ready(function() {
        if ( prodigyGetUrlParam('search') ) {
            $("html,body").animate({ scrollTop: 0 }, "slow");
        }

        init();
        function init() {
            set_search_parameters();
            set_dropdown_sortable();
        }

        let lists = $('.filter__item-list-js');

        $.each( lists, function( i, val ) {
            let amount_element = val.children.length;

            /**
             * default theme 2019
             */
            $( this ).height(216);

            if (amount_element < 5) {
                $( this ).height( ($( this ).outerHeight() / 4 ) * val.children.length );
            }
        });

        const searchBtn = $('.prodigy-search__icon-js');
        const searchWidgetBtn = $('.prodigy-search__icon-widget-js');
        const closeSearchBtn = $('.prodigy-search__close-icon');
        const searchInput = $('.prodigy-search__input-js');

        searchWidgetBtn.on('click', () => {
            set_search_params();
        });

        searchBtn.on('click', () => {

            /**
             * for prodigy theme
             */
            searchInput.toggleClass('prodigy-search__input-is-open');
            searchInput.focus();

            if (searchInput.hasClass('prodigy-search__input-is-open') && searchInput.val().length > 0) {
                setTimeout(function (){
                    closeSearchBtn.removeClass('d-none');
                }, 200);
            } else {
                closeSearchBtn.addClass('d-none');
            }

        });

        if (typeof searchInput.val() !== 'undefined' && searchInput.val().length > 0) {
            searchInput.addClass('prodigy-search__input-is-open');
            closeSearchBtn.removeClass('d-none');
        }

        searchInput.on('keyup', function () {
            if (searchInput.val().length > 0) {
                closeSearchBtn.removeClass('d-none');
            } else {
                closeSearchBtn.addClass('d-none');
            }
        });

        closeSearchBtn.on('click', function () {
            searchInput.val('');
        });


        // show more/less filter values
        $('.filter__btn-js').on('click', function() {
            const id_attr = $(this).data('id');

            const list = $('.filter__item-list-js#filter_attr_'+id_attr),
                btnText = $(this).find('.filter__btn-txt-js'),
                listOpenClass = 'filter__item-list--is-open',
                moreText = 'Show more',
                lessText = 'Show less',
                totalItems = list.children().length,
                itemHeight = list.children().outerHeight(),
                visibleFilterValues = 4;

            const initialListHeight = visibleFilterValues * itemHeight;
            const targetListHeight = totalItems * itemHeight;

            list.toggleClass(listOpenClass);

            if (list.hasClass(listOpenClass)) {
                list.height(targetListHeight);
                btnText.text(lessText);
            } else {
                btnText.text(moreText);
                list.height(initialListHeight);
            }
        });

        function set_search_parameters() {
            var search  = prodigyGetUrlParam('search');
            if ( typeof search !== 'undefined' && search !== 0 ) {
                $('.prodigy-search__input-js').val(prodigyGetUrlParam('search'));
            }

            $(document).on('keypress',function(e) {
                if (e.which == 13 && $('.prodigy-search__input-js').val() != '' && typeof $('.prodigy-search__input-js').val() !== 'undefined') {
                    e.preventDefault();
                    set_search_params();
                }
            });

            $(document).on('keypress',function(e) {
                if (e.which == 13 && $('.prodigy-search__input-mobile-js').val() != '' && typeof $('.prodigy-search__input-mobile-js').val() !== 'undefined') {
                    e.preventDefault();
                    set_search_params();
                }
            });

            $('.products-search-js').click(function (e) {
                set_search_params();
            });
        }

        function set_search_params() {
            var search_value = ''
            if (($('.prodigy-search__input-js').is(":visible") === true)) {
                search_value = $('.prodigy-search__input-js').val();
            } else {
                search_value = $('.prodigy-search__input-mobile-js').val();
            }

            var newParams = [
                [ 'search', search_value ],
            ];

            var newUrl = document.location.origin + '/shop/' + prodigyInsertUrlParams(newParams);

            history.pushState('', '', newUrl);
            document.location.reload();
        }

        function set_dropdown_sortable() {
            var selText = '';
            var sort_param = prodigyGetUrlParam('sort');
            var dropdown_container = $(".prodigy-dropdown__menu a");

            switch (sort_param) {
                case 'date':
                    selText = 'Sort by newness';
                    break;
                case 'rating':
                    selText = 'Sort by average rating';
                    break;
                case 'price-low-high':
                    selText = 'Sort by price: low to high';
                    break;
                case 'price-high-low':
                    selText = 'Sort by price: high to low';
                    break;
                default:
                    selText = 'Sort by newness';
                    break;
            }

            dropdown_container.parents('.btn-group').find('.prodigy-dropdown__btn').html(selText+' <span class="caret"></span>');

            dropdown_container.click(function(e) {
                selText = $(this).text();
                $(this).parents('.btn-group').find('.prodigy-dropdown__btn').html(selText+' <span class="caret"></span>');
            });
        }
    });
}) (jQuery);