( function ( $, window ) {
    var cart_widget = {

        init: function() {
            this.init_widget();
            this.remove_item();
            this.add_item();
        },

        init_widget: function() {
            if (parseInt($('.widget-cart-item-js').length) <= 0) {
                $('.widget-cart-checkout-block-js').hide();
                $('.widget-cart-subtotal-js').hide();
                $('.widget-cart-empty-cart-message-js').show();
            } else {
                $('.widget-cart-checkout-block-js').show();
                $('.widget-cart-subtotal-js').show();
                $('.widget-cart-empty-cart-message-js').hide();
            }
        },

        add_item: function() {
            var self = this;
            $(document).on('click', '.add-to-cart-js', function () {
                $('.widget-cart-subtotal-js').show();
                $('.widget-cart-checkout-block-js').show();
                $('.widget-cart-empty-cart-message-js').hide();
                self.recalculate_subtotal_amount();
                self.check_hide_counter();
            });
        },

        check_hide_counter: function() {
            let self = this;
            var current_count = parseInt($('.cart-count-js').text());
            if (current_count === 0) {
                $('.cart-count-js').hide();
            } else {
                $('.cart-count-js').show();
            }

            if ($('.cart-count-js').is(':hidden')) {
                $('.cart-count-js').show();
            }

        },

        remove_item: function () {
            var self = this;
            $(document).on('click','.widget-remove-item-js', function () {
                self.remove_from_storage($(this).data('local-id'), $(this).data('remote-id'));
                self.change_widget_blocks($(this));
                self.recalculate_subtotal_amount();
                $('.continue-cart-js').hide();
            });
        },

        change_widget_blocks: function( container ) {
            container.parent().parent().remove();
            if (parseInt($('.widget-cart-item-js').length) === 0) {
                $('.widget-cart-checkout-block-js').hide();
                $('.widget-cart-subtotal-js').hide();
                $('.widget-cart-empty-cart-message-js').show();
            }
        },

        recalculate_subtotal_amount: function () {
            var self = this;
            var subtotal_amount = 0;
            $('.widget-cart-product-price-js').each(function () {
                let amount = parse_price($(this).find('.widget-total-price-js').text());
                let count = parseInt($(this).find('.widget-cart-count-item-js').text());
                subtotal_amount += amount * count;
            });

            $('.widget-subtotal-price-js').text('$' + prodigy_price_format(subtotal_amount));
            localStorage.setItem("subtotal_amount", "$" + prodigy_price_format(subtotal_amount));
        },

        remove_from_storage: function ( product_id, remote_id ) {
            var self = this;
            var post_data = {
                action: 'prodigy-remove-item-cart',
                product_id: product_id,
                remote_id: remote_id,
            };

            $.ajax({
                type: 'post',
                data: post_data,
                url: ajax_url,
                dataType: 'json',
                success: function (data) {
                    if (data !== null) {
                        self.show_error(data.error);
                    }
                },
            });
        },

    };

    window.cart_widget = cart_widget;

})(jQuery, window);

jQuery(function ($) {
    window.cart_widget.init();
});