jQuery(function($){
    /*
     * Select/Upload image(s) event
     */
    $('body').on('click', '#upload_image_button', function(e){
        e.preventDefault();

        let button = $(this);
        let custom_uploader = wp.media({
                title: 'Upload logo',
                multiple: false
            }).on('select', function() {
                let imagePreview = $('.image-preview-js');
                let removeImageBtn = $('.remove-image-js');
                let attachment = custom_uploader.state().get('selection').first().toJSON();

                $.ajax({
                    dataType: 'json',
                    url: ajaxurl,
                    type: 'post',
                    data: {
                        action: 'upload_logo_image',
                        pg_image_id: attachment.id,
                        nonce_code : prodigyajax.nonce
                    },
                    success: function () {
                        imagePreview.html('<img class="form__image" id="upload_image" src="' + attachment.url + '" data-id="'+attachment.id+'" />');
                        button.attr('value', attachment.id);
                        removeImageBtn.removeClass('d-none');
                        imagePreview.addClass('form__image-preview--is-loaded');
                    },
                    fail: function () {
                        alert('Error upload new logo image.');
                    },
                });
            }).open();
    });

    /*
     * Remove image event
     */
    $('body').on('click', '.remove-image-js', function() {

        let pg_image_id = $('#upload_image').data('id');
        let imagePreview = $('.image-preview-js');
        let removeImageBtn = $('.remove-image-js');

        window.onbeforeunload = function() {
            return 'Are you sure you want to remove this logo?';
        };

        $.ajax({
            dataType: 'json',
            url: ajaxurl,
            type: 'post',
            data: {
                action: 'remove_upload_image',
                pg_image_id: pg_image_id,
                nonce_code : prodigyajax.nonce
            },
            success: function () {
                $('#upload_image').remove();
                removeImageBtn.addClass('d-none');
                imagePreview.removeClass('form__image-preview--is-loaded');
            },
            fail: function () {
                alert('Error remove logo');
            },
        });

        return false;
    });

});